<?php 

defined('BASEPATH') OR exit('No direct script access allowed');
session_cache_limiter('private-no-expire'); 

class Quotes extends CI_Controller
{
    public $viewData = array();
	public $cbrData = array('457' => 'C117291', '305' => 'C2234', '706' => 'C145182', '309' => 'C30208', '285' => 'C1612', '401' =>'','367' => '', '480' => '');

    function __construct()
    {
        session_start();
        parent::__construct();

		$broker_host = $_SERVER['SERVER_NAME'];
        if (!empty($broker_host)) {
            if (!isset($_SESSION['user_id'])) {
                $brokers = $this->generic_model->getGenericData('users', array('sub_domain' => $broker_host));

                if (count($brokers) == 1) {
                    $_SESSION['user_id'] = $brokers[0]->id;
                    $_SESSION['broker_id'] = $brokers[0]->broker_id;
					$_SESSION['phone'] = $brokers[0]->phone;

					if( $brokers[0]->broker_id == 457) // ROckwell - Custom Phone number;
						$_SESSION['phone'] = '012539863';					

                    $_SESSION['base_url'] = "http://" . $brokers[0]->sub_domain;

                } else {
/*                  $_SESSION['user_id'] = 21;
                   $_SESSION['broker_id'] = 457;
                    $_SESSION['base_url'] = "http://localhost/money_advice/www/";*/
                    exit("<br>Domain Configuration went wrong. Please Contact the Admin.");
                }
            }
        } else {
            exit("<br>Domain Configuration went wrong. Please Contact the Admin. Not forwarded");
        }

		$_SESSION['cbr_code'] = $this->cbrData[$_SESSION['broker_id']];
		$this->viewData['pixel_data'] = $this->db->query('SELECT * FROM pixels where user_id = '.$_SESSION['user_id'])->result();
		$this->viewData['details'] = $this->_getAllSettings($_SESSION['user_id']);
        $this->viewData['userDetails'] = $this->_getUserDetails($_SESSION['user_id']);
        $this->viewData['footerDetails'] = $this->_getFooterContent($_SESSION['user_id']);
        $this->config->set_item('base_url', $_SESSION['base_url']);
    }

    function index()
    {
        $this->home();
    }

    function home()
    {
        $userID = $_SESSION['user_id'];
        $this->viewData['settings'] = $this->_getHomeLinks($userID);
        $this->load->view('rockwell/r_home', $this->viewData);
        $this->load->view('common/mobile/footer', $this->viewData);
    }

    function showContent($contentType)
    {
        $this->viewData['content'] = $this->_getContent($_SESSION['user_id'], $contentType);
        $this->viewData['contentType'] = $contentType;
        $userID = $this->_baseSettings($this->viewData['content']['title']);
        $this->load->view('mobile/content', $this->viewData);
        $this->load->view('common/mobile/footer', $this->viewData);
    }

	function r_lifeInsurance()
    {
        $userID = $this->_baseSettings("Life Insurance");
        $this->load->view('rockwell/r_lifeInsurance', $this->viewData);
        $this->load->view('common/mobile/footer', $this->viewData);
    }


	function r_mortgageProtection()
    {
        $userID = $this->_baseSettings("Mortgage Protection");
        $this->load->view('rockwell/r_mortgage', $this->viewData);
        $this->load->view('common/mobile/footer', $this->viewData);
    }

	function r_incomeProtection()
    {
        $userID = $this->_baseSettings("Income Protection");
        $this->load->view('rockwell/r_income', $this->viewData);
        $this->load->view('common/mobile/footer', $this->viewData);
    }

    function r_seriousIllness()
    {
        $userID = $this->_baseSettings("Serious Illness");
        $this->load->view('rockwell/r_illness', $this->viewData);
        $this->load->view('common/mobile/footer', $this->viewData);
    }

    function r_lifeQuote($client = '')
    {
        $userID = $this->_baseSettings("Life Insurance");
		$data = $this->viewData;
        
		$data['client'] = $client;
        $data['link'] = "Life";
        $data['step'] = "2";
        $flag = false;

        $monthly = $this->get_life_insurance_report("Monthly", '', 'life');
		
		if ($monthly != "empty") {
            if (array_key_exists('0', $monthly['Outputs']['Quotes']['Type'])) {
                foreach ($monthly['Outputs']['Quotes']['Type'] as $arr) {
                    if ($arr['Desc'] == "Life Cover Only") {
                        $flag = true;
                    }
                }
            }

        }

        if ($monthly == "empty" || !$flag) {
            $this->viewData['message'] = "No Quotes have been generated for the data entered by you. Please contact us to discuss your needs.";
            $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
            $this->load->view('mobile/error', $this->viewData);
            $this->load->view('common/mobile/footer', $this->viewData);
        } 
		else 
		{
            $data['cover_type'] = $this->input->post('cover_type');
            $data['gender'] = $this->input->post('gender');
            $data['smoking'] = $this->input->post('smoking');
            $data['dob'] = $this->input->post('dob');
            $data['name'] = $this->input->post('name');
            $data['contact'] = $this->input->post('contact');
            $data['email'] = $this->input->post('email');

            $data['partner_gender'] = "";
            $data['partner_smoking'] = "";
            $data['partner_dob'] = "";

            if ($data['cover_type'] == "Joint") 
			{
                $data['partner_gender'] = $this->input->post('partner_gender');
                $data['partner_smoking'] = $this->input->post('partner_smoking');
                $data['partner_dob'] = $this->input->post('partner_dob');
            }

            $data['monthly_data'] = $monthly;
	        $_SESSION['monthly_data'] = $monthly;

			foreach($monthly['Outputs']['Quotes']['Type'] as $arr)
			{
				if($arr['Desc'] == "Life Cover Only")
				{
				    if(array_key_exists('Level', $arr))
		                $level =  $arr['Level'];
			    }
			}
		
	        $_SESSION['monthly'] = $level;

			$quote_summary = '';

			if (array_key_exists('Life1', $monthly['Outputs']['Summary'])) 
	            $quote_summary .= $monthly['Outputs']['Summary']['Life1'];

            if (array_key_exists('Life2', $monthly['Outputs']['Summary']) && !empty($monthly['Outputs']['Summary']['Life2'])) 
		        $quote_summary .= $monthly['Outputs']['Summary']['Life2'];

            $data['quote_summary'] = $quote_summary;

			$body = $this->r_sendEmail($client, 'Life Insurance');

			$data['email_message'] = $body;
			$data['utm'] =  $this->input->post('utm');

            $this->load->view('rockwell/r_showDetails', $data);
            $this->load->view('common/mobile/footer', $this->viewData);

	    }
    }

	function get_life_insurance_report($term, $client = '', $quote_type = '')
    {
        $data['client'] = $client;

        $array = array(
            "cover_amount" => $this->input->post('cover_amount'),
            "cover_type" => $this->input->post('cover_type'),
            "length" => $this->input->post('length'),
            "indexation" => $this->input->post('indexation'),
			"gender" => $this->input->post('gender'),
            "smoking" => $this->input->post('smoking'),
            "dob" => $this->input->post('dob'),
            "partner_gender" => $this->input->post('partner_gender'),
            "partner_smoking" => $this->input->post('partner_smoking'),
            "partner_dob" => $this->input->post('partner_dob'),
        );

		$array['quote_type'] = $quote_type;
		$array['cbr_code'] = $_SESSION['cbr_code'];

        $frequency = $term; //Annual or Monthly

		if( $quote_type != '' )
	        $api_data = getLifeQuoteByType($array, $frequency);
		else
			$api_data = getLifeQuote($array, $frequency);

        return $api_data;
    }

	function r_apply_life_insurance($client = '')
    {
        $userID = $this->_baseSettings("Life Insurance");
        $data = $this->viewData;
        $data['client'] = $client;
        $data['link'] = "Life";

        if (isset($_REQUEST['send_mail'])) 
		{
			$data['step'] = "4";
            $data['thankyou'] = "Thankyou";
        
			$sendmail = true;
            
			$data = array_merge($data, $_POST);
            $this->r_update_broker_api($data, "Life Insurance");

            if ($sendmail) 
	             redirect('quotes/r_Thanks', 'refresh');
            else 
			{
                $this->viewData['message'] = "Operation Failed. Please Try Again";
                $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
                $this->load->view('mobile/error', $this->viewData);
                $this->load->view('common/mobile/footer', $this->viewData);
            }
        } 
		else 
		{
            $data['step'] = "3";
            $data['monthly'] = $this->input->post('monthly');
            $data['gender'] = $this->input->post('gender');
            $data['smoking'] = $this->input->post('smoking');
            $data['dob'] = $this->input->post('dob');

			$data['name'] = $this->input->post('name');
            $data['email'] = $this->input->post('email');
            $data['contact'] = $this->input->post('contact');

            $data['quote_summary'] = $this->input->post('quote_summary');
			
			$data['partner_gender'] = $this->input->post('partner_gender');
            $data['partner_smoking'] = $this->input->post('partner_smoking');
            $data['partner_dob'] = $this->input->post('partner_dob');            
            $data['cover_type'] = $this->input->post('cover_type');
			
			$data['monthly_data'] = $_SESSION['monthly_data'];
			$data['phone'] = $_SESSION['phone'];

			$this->load->view('rockwell/r_ApplyOnline', $data);
            $this->load->view('common/mobile/footer', $this->viewData);
        }
    }

	function r_mortgage_insurance($client = '')
    {
        $userID = $this->_baseSettings("Mortgage Protection");
        $data = $this->viewData;
        $data['client'] = $client;

        if (isset($_REQUEST['get_life_quote'])) {

            $data['link'] = "Mortgage";
            $data['step'] = "2";
            $flag = false;
    
			$monthly = $this->get_life_insurance_report("Monthly", '', 'mortgage');
			
            if ($monthly != "empty") {
                if (array_key_exists('0', $monthly['Outputs']['Quotes']['Type'])) {
                    foreach ($monthly['Outputs']['Quotes']['Type'] as $arr) {
                        //print_r($arr);exit;
                        if ($arr['Desc'] == "Life Cover Only") {
                            $flag = true;
                        }
                    }
                }
            }

            if ($monthly == "empty" || !$flag) {
                $this->viewData['message'] = "No Quotes have been generated for the data entered by you. Please contact us to discuss your needs.";
                $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
                $this->load->view('mobile/error', $this->viewData);
                $this->load->view('common/mobile/footer', $this->viewData);
            } else {
                $data['cover_type'] = $this->input->post('cover_type');
                $data['gender'] = $this->input->post('gender');
                $data['smoking'] = $this->input->post('smoking');
                $data['dob'] = $this->input->post('dob');

                $data['name'] = $this->input->post('name');
                $data['contact'] = $this->input->post('contact');
                $data['email'] = $this->input->post('email');

                if ($data['cover_type'] == "Joint") {
                    $data['partner_gender'] = $this->input->post('partner_gender');
                    $data['partner_smoking'] = $this->input->post('partner_smoking');
                    $data['partner_dob'] = $this->input->post('partner_dob');
                } else {
                    $data['partner_gender'] = "";
                    $data['partner_smoking'] = "";
                    $data['partner_dob'] = "";
                }

                $data['monthly_data'] = $monthly;
	            $_SESSION['monthly_data'] = $monthly;

				foreach($monthly['Outputs']['Quotes']['Type'] as $arr)
				{
					if($arr['Desc'] == "Life Cover Only")
					{
						if(array_key_exists('MortgageProtection', $arr))
							$mon_mort =  $arr['MortgageProtection'];
					}
				}

			    $_SESSION['monthly'] = $mon_mort;

				$quote_summary = '';

				if (array_key_exists('Life1', $monthly['Outputs']['Summary'])) 
					$quote_summary .= $monthly['Outputs']['Summary']['Life1'];

		        if (array_key_exists('Life2', $monthly['Outputs']['Summary']) && !empty($monthly['Outputs']['Summary']['Life2'])) 
					$quote_summary .= $monthly['Outputs']['Summary']['Life2'];

				$data['quote_summary'] = $quote_summary;

				$body = $this->r_sendEmail($client, 'Mortgage Protection');

				$data['email_message'] = $body;
				$data['utm'] =  $this->input->post('utm');

                $this->load->view('rockwell/r_showMortgageDetails', $data);
                $this->load->view('common/mobile/footer', $this->viewData);
            }
        }
    }

	function r_apply_mortgage_insurance($client = '')
    {
        $userID = $this->_baseSettings("Mortgage Protection");
        $data = $this->viewData;
        $data['client'] = $client;
        $data['link'] = "Mortgage";

        if (isset($_REQUEST['send_mail'])) {

            $data['step'] = "4";
            $data['thankyou'] = "Thankyou";
            
			$sendmail = true;
        	$data = array_merge($data, $_POST);
			$this->r_update_broker_api($data, "Mortgage");

            if ($sendmail) 
                redirect('quotes/r_Thanks', 'refresh');
            else {
                $this->viewData['message'] = "Operation Failed. Please Try Again";
                $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
                $this->load->view('mobile/error', $this->viewData);
                $this->load->view('common/mobile/footer', $this->viewData);
            }

        } else {
            $data['step'] = "3";
            $data['monthly'] = $this->input->post('monthly');

            $data['gender'] = $this->input->post('gender');
            $data['smoking'] = $this->input->post('smoking');
            $data['dob'] = $this->input->post('dob');

			$data['name'] = $this->input->post('name');
			$data['contact'] = $this->input->post('contact');
			$data['email'] = $this->input->post('email');

			$data['quote_summary'] = $this->input->post('quote_summary');

            $data['partner_gender'] = $this->input->post('partner_gender');
            $data['partner_smoking'] = $this->input->post('partner_smoking');
            $data['partner_dob'] = $this->input->post('partner_dob');
            $data['monthly_data'] = $_SESSION['monthly_data'];
            $data['cover_type'] = $this->input->post('cover_type');
			$data['phone'] = $_SESSION['phone'];

            $this->load->view('rockwell/r_ApplyMortgageOnline', $data);
            $this->load->view('common/mobile/footer', $this->viewData);
        }
    }


	function r_income_protection($client = '')
    {
        $userID = $this->_baseSettings("Income Protection");
        $data = $this->viewData;

        if (isset($_REQUEST['get_income_quote'])) {
            $data['client'] = $client;
            $userID = $this->_baseSettings("Income Protection");
            $data['link'] = "Income";
            $data['step'] = "2";
            $monthly = $this->get_income_report("Monthly");


            if (empty($monthly['PHIQuote']['QuoteResults'])) {
                $this->viewData['message'] = "No Quotes have been generated for the data entered by you. Please contact us to discuss your needs.";
                $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
                $this->load->view('mobile/error', $this->viewData);
                $this->load->view('common/mobile/footer', $this->viewData);
            } 
			else {
            
                $data['cover_amount'] = $this->input->post('cover_amount');
                $data['income_paye'] = $this->input->post('income_paye');
                $data['income_age'] = $this->input->post('income_age');
				$data['name'] = $this->input->post('name');
                $data['email'] = $this->input->post('email');
                $data['contact'] = $this->input->post('contact');                
				$data['gender'] = $this->input->post('gender');
                $data['smoking'] = $this->input->post('smoking');
                $data['dob'] = $this->input->post('dob');

				$data['monthly'] = $monthly;
	            $_SESSION['monthly_data'] = $monthly;

	            $data['partner_gender'] = "";
                $data['partner_smoking'] = "";
                $data['partner_dob'] = "";


			$_SESSION['monthly'] = round($monthly['PHIQuote']['QuoteResults']['Type'][0]['GuarLevelRate'],2);

			$quote_summary = '';

			if (array_key_exists('Life1', $monthly['PHIQuote']['Summary'])) 
	            $quote_summary .= $monthly['PHIQuote']['Summary']['Life1'];

            if (array_key_exists('Plan', $monthly['PHIQuote']['Summary']) && !empty($monthly['PHIQuote']['Summary']['Plan'])) 
		        $quote_summary .= $monthly['PHIQuote']['Summary']['Plan'];

            $data['quote_summary'] = $quote_summary;


				$body = $this->r_sendEmail($client, 'Income Protection');

				$data['email_message'] = $body;
				$data['utm'] =  $this->input->post('utm');

				
                $this->load->view('rockwell/r_showIncomeDetails', $data);
                $this->load->view('common/mobile/footer', $this->viewData);
            }
        }
    }

	function r_apply_income_protection($client = '')
    {
        $userID = $this->_baseSettings("Income Protection");
        $data = $this->viewData;
        $data['link'] = "Income";
        $data['client'] = $client;

        $data['level_month'] = $this->input->post('level_month');
        $data['inc_month'] = $this->input->post('inc_month');
        $data['plan1'] = $this->input->post('plan1');

        if (isset($_REQUEST['send_mail'])) {
            $data['step'] = "4";
            $data['thankyou'] = "Thankyou";        

            $sendmail = true;
			$data = array_merge($data, $_POST);
            $this->r_update_broker_api($data, "Income Protection");
            if ($sendmail) {
                redirect('quotes/r_Thanks', 'refresh');
            } else {
                $this->viewData['message'] = "Operation Failed. Please Try Again";
                $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
                $this->load->view('mobile/error', $this->viewData);
                $this->load->view('common/mobile/footer', $this->viewData);
            }

        } else {
            $data['step'] = "3";

            $data['monthly'] = $this->input->post('monthly');

			$data['gender'] = $this->input->post('gender');
            $data['smoking'] = $this->input->post('smoking');
            $data['dob'] = $this->input->post('dob');

			$data['name'] = $this->input->post('name');
            $data['email'] = $this->input->post('email');
            $data['contact'] = $this->input->post('contact');

			$data['quote_summary'] = $this->input->post('quote_summary');

			$data['partner_gender'] = $this->input->post('partner_gender');
            $data['partner_smoking'] = $this->input->post('partner_smoking');
            $data['partner_dob'] = $this->input->post('partner_dob');

            $data['monthly_data'] = $_SESSION['monthly_data'];
			
			$data['phone'] = $_SESSION['phone'];

            $this->load->view('rockwell/r_ApplyIncomeOnline', $data);
            $this->load->view('common/mobile/footer', $this->viewData);
        }
    }

	function get_income_report($term = "", $client = '')
    {
        $cover_amount = $this->input->post('cover_amount');
        $income_age = $this->input->post('income_age');
        $gender = $this->input->post('gender');
        $smoking = $this->input->post('smoking');
        $dob = $this->input->post('dob');

        $array = array(
            "cover_amount" => $cover_amount,
            "income_age" => $income_age,
            "gender" => $gender,
            "smoking" => $smoking,
            "dob" => $dob,
        );

        $frequency = $term; //Annual or Monthly

        $api_data = $this->make_income_api_call($array, $frequency);
        return $api_data;
    }

    function r_serious_illness($client = '')
    {
        $userID = $this->_baseSettings("Serious Illness Protection");
        $data = $this->viewData;
        $data['client'] = $client;

		if (isset($_REQUEST['get_illness_quote'])) {
            $data['link'] = "Serious";
            $data['step'] = "2";
            $flag = false;

            $monthly = $this->get_life_insurance_report("Monthly", '', 'serious_illness');

            if ($monthly != "empty") {
                if (array_key_exists('0', $monthly['Outputs']['Quotes']['Type'])) {
                    foreach ($monthly['Outputs']['Quotes']['Type'] as $arr) {
                        //print_r($arr);exit;
                        if ($arr['Desc'] == "Serious Illness Only") {
                            $flag = true;
                        }
                    }
                }
            }

            if ($monthly == "empty" || !$flag) {
                $this->viewData['message'] = "No Quotes have been generated for the data entered by you. Please contact us to discuss your needs.";
                $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
                $this->load->view('mobile/error', $this->viewData);
                $this->load->view('common/mobile/footer', $this->viewData);
            }
			else 
			{
                $data['cover_type'] = $this->input->post('cover_type');
                $data['gender'] = $this->input->post('gender');
                $data['smoking'] = $this->input->post('smoking');
                $data['dob'] = $this->input->post('dob');

				$data['name'] = $this->input->post('name');
				$data['contact'] = $this->input->post('contact');
				$data['email'] = $this->input->post('email');

                if ($data['cover_type'] == "Joint") {
                    $data['partner_gender'] = $this->input->post('partner_gender');
                    $data['partner_smoking'] = $this->input->post('partner_smoking');
                    $data['partner_dob'] = $this->input->post('partner_dob');
                } else {
                    $data['partner_gender'] = "";
                    $data['partner_smoking'] = "";
                    $data['partner_dob'] = "";
                }
                $data['monthly_data'] = $monthly;
                $_SESSION['monthly_data'] = $monthly;

				foreach($monthly['Outputs']['Quotes']['Type'] as $arr)
				{
				    if($arr['Desc'] == "Serious Illness Only")
					{
				        if(array_key_exists('Level', $arr))
				            $mon_level =  $arr['Level'];
				    }
				}

	            $_SESSION['monthly'] = $mon_level;

				$quote_summary = '';

				if (array_key_exists('Life1', $monthly['Outputs']['Summary'])) 
		            $quote_summary .= $monthly['Outputs']['Summary']['Life1'];

			    if (array_key_exists('Life2', $monthly['Outputs']['Summary']) && !empty($monthly['Outputs']['Summary']['Life2'])) 
					$quote_summary .= $monthly['Outputs']['Summary']['Life2'];

	            $data['quote_summary'] = $quote_summary;

				$body = $this->r_sendEmail($client, 'Serious Illness');

				$data['email_message'] = $body;
				$data['utm'] =  $this->input->post('utm');

                $this->load->view('rockwell/r_showIllnessDetails', $data);
                $this->load->view('common/mobile/footer', $this->viewData);
            }
        }
    }


	function r_apply_serious_illness($client = '')
    {
        $userID = $this->_baseSettings("Serious Illness Protection");
        $data = $this->viewData;
        $data['client'] = $client;
        $data['link'] = "Serious";

		if (isset($_REQUEST['send_mail'])) {
            $data['step'] = "4";
            $data['thankyou'] = "Thankyou";
            //$sendmail = $this->r_sendEmail($client);
            $sendmail = true;
			$data = array_merge($data, $_POST);
            $this->r_update_broker_api($data, "Serious Illness");
            if ($sendmail) {
                redirect('quotes/r_Thanks', 'refresh');
            } else {
                $this->viewData['message'] = "Operation Failed. Please Try Again";
                $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
                $this->load->view('mobile/error', $this->viewData);
                $this->load->view('common/mobile/footer', $this->viewData);
            }
        } else {
            $data['step'] = "3";
            $data['monthly'] = $this->input->post('monthly');
            $data['gender'] = $this->input->post('gender');
            $data['smoking'] = $this->input->post('smoking');
            $data['dob'] = $this->input->post('dob');

			$data['name'] = $this->input->post('name');
			$data['contact'] = $this->input->post('contact');
			$data['email'] = $this->input->post('email');
			
			$data['quote_summary'] = $this->input->post('quote_summary');

            $data['partner_gender'] = $this->input->post('partner_gender');
            $data['partner_smoking'] = $this->input->post('partner_smoking');
            $data['partner_dob'] = $this->input->post('partner_dob');
            $data['monthly_data'] = $_SESSION['monthly_data'];
            $data['cover_type'] = $this->input->post('cover_type');
			
			$data['phone'] = $_SESSION['phone'];

            $this->load->view('rockwell/r_ApplyIllnessOnline', $data);
            $this->load->view('common/mobile/footer', $this->viewData);

        }
        // prettyprint($result);
    }

	function r_Thanks()
    {
        $userID = $this->_baseSettings("Thanks");
        $this->load->view('rockwell/r_ThankYou', $this->viewData);
        $this->load->view('common/mobile/footer', $this->viewData);
    }

    function _baseSettings($title)
    {
        $userID = $_SESSION['user_id'];
        $this->viewData['details'] = $this->_getAllSettings($userID);
        $this->viewData['details']['pageTitle'] = $title;
        return $userID;
    }

    function _getAllSettings($userID)
    {

        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID), null, null, null, true);
        $details = array();
        foreach ($result as $attr) {
            $details[$attr->variable] = $attr->value;
            $details[$attr->variable . '_sub'] = $attr->enabled;
        }

        return $details;
    }

    function  _getThemeSettings($userID)
    {
        $needed = array('logo', 'theme_color', 'news_link');
        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID, 'variable' => $needed));
        $details = array('logo' => '', 'theme_color' => '#18B3CF', 'news_link' => '');
        foreach ($result as $attr) {
            $details[$attr->variable] = $attr->value;
        }
        return $details;
    }

    function _getWebLinks($userID)
    {
        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID, 'variable' => array('website_link')), null, null, null, true);
        $link = "";
        foreach ($result as $attr) {
            $link = $attr->value;
        }
        return $link;
    }

    function _getHomeLinks($userID)
    {
        $result = $this->generic_model->getGenericData('home_links', array('user_id' => $userID));
        $de = array();
        foreach ($result[0] as $attr => $val) {
            $de[$attr] = $val;
        }
        return $de;
    }

    function _getContent($userID, $contentType)
    {
        $contentTitle = array(
            "about_us" => "About Us",
            "terms" => "Terms & Conditions",
            "office_hours" => "Office Hours",
            "services" => "Our Services",
            "ulinks" => "Useful Links",
            "news_link" => "News & Events",
            "working_with" => "Working With",
            "telephone" => "Call Us",
            "termsofb" => "Terms of Business",
            "privacy" => "Privacy Statement",
            "logo_redirect_url" => "Where to take when the logo is clicked",
            "back_button_url" => "Where to take when the back button is clicked",
            "is_header_enabled_yn" => "Is header enabled?",
            "is_footer_enabled_yn" => "Is footer enabled?"
        );

        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID, 'variable' => $contentType), null, null, null, true);
        $content = array();
        foreach ($result as $attr) {
            $content['content'] = $attr->value;
        }
        $content['title'] = $contentTitle[$contentType];

        return $content;
    }

    function _getContactInfo($userID)
    {
        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID, 'variable' => array('facebook_link', 'twitter_link', 'telephone', 'address', 'location')), null, null, null, true);
        $details = array();
        foreach ($result as $attr) {
            $details[$attr->variable] = $attr->value;
        }
        return $details;
    }

    function _getFooterContent($userID)
    {
        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID, 'variable' => array('thanks', 'footer')), null, null, null, true);
        $details = array();
        foreach ($result as $attr) {
            $details[$attr->variable] = $attr->value;
        }
        return $details;
    }

    function _getUserDetails($userID)
    {
        $details = $this->generic_model->getGenericData('users', array('id' => $userID), null, null, null, true);
        return $details[0];
    }


	function r_sendEmail($client = '', $quote_type = '')
    {
        $monthly = number_format(round($_SESSION['monthly'],2), 2);
        
		$name = $this->input->post('name');
        $email = $this->input->post('email');
        $phone = $this->input->post('contact');

        $api_data = $_SESSION['monthly_data'];

        $life1 = "";
        $life2 = "";
        $plan = $api_data['Outputs']['Summary']['Plan'];;

		if( $quote_type == 'Income Protection')
        {
		    $life1 = $api_data['PHIQuote']['Summary']['Life1'];;
	        $plan = $api_data['PHIQuote']['Summary']['Plan'];;

		}

	    $premium_month = "";
        $quote = "";

        if (array_key_exists('Life1', $api_data['Outputs']['Summary'])) {
            $life1 = $api_data['Outputs']['Summary']['Life1'];
        }
        if (array_key_exists('Life2', $api_data['Outputs']['Summary']) && !empty($api_data['Outputs']['Summary']['Life2'])) {
            $life2 = $api_data['Outputs']['Summary']['Life2'];
        }

        $body = "
            <html>
            <table>            
            <tr>
            <td><strong>Name: </strong></td>
            <td> $name </td>
            </tr>
            <tr>
            <td><strong>Email: </strong></td>
            <td> $email </td>
            </tr>
            <tr>
            <td><strong>Phone: </strong></td>
            <td> $phone </td>
            </tr>";
		
//		$arrUtm = array( 'fb' => 'Facebook', 'gl' => 'Google', '' => '');
//		$utm = $arrUtm[base64_decode($this->input->post('utm'))];
		$utm = $this->input->post('utm');
        $utm_cmp = $this->input->post('utm_cmp');
        $utm_params = $this->input->post('utm_params');
	
		if( $utm != '')
           $body .= "<tr><td><strong>Source: </strong></td><td>$utm</td></tr>";
		
		if( $utm_cmp != '')
           $body .= "<tr><td><strong>Source - Campaign # </strong></td><td>$utm_cmp</td></tr>";

		if( $utm_params != '')
		   $body .= "<tr><td><strong>Params: </strong></td><td>$utm_params</td></tr>";

		$body .= '</table>';
		 		 
		 if( $life1 != '' || $life2 != '' || $plan != '')
		 {
			 $body .= "<table> 
            <tr>
            <td><strong>Quote Summary</strong></td>
            </tr>
            <tr>
            <td>$life1</td>
            </tr>
            <tr>
            <td>$life2</td>
            </tr>
            <tr>
            <td>$plan</td>
            </tr>
           </table>";
		}

		  
		$body .= "<table> 
            <tr>
            <td><strong>Your Quote</strong></td>
            </tr>
            <tr>
            <td>Monthly Premium:</td>
            <td>$monthly</td>
            </tr>
            </table>
            </html>";

        return $body;
    }

	function r_sendJSEmail()
    {
		$body = $this->input->post('message');
		$quote_type = $this->input->post('quote_type');

		$userId = $_SESSION['user_id'];
        $user = $this->_getUserDetails($userId);
        $client_email = $user->email;

		$arrUtm = array( 'fb' => 'Facebook', 'gl' => 'Google', '' => '');
		$utm = $arrUtm[base64_decode($this->input->post('utm'))];
		if( $utm != '')
			$utm = " - ".$utm;

		$this->load->library('email');

		$config = array(
            'protocol' => 'smtp',
            'smtp_host' => 'smtp.office365.com',
            'smtp_port' => 587,
            'smtp_user' => 'noreply@moneyadvice.ie',
            'smtp_pass' => 'money@dv1ce',
            'mailtype' => 'html',
            'charset' => 'iso-8859-1',
			'smtp_crypto' => 'tls'
        );

        $this->email->initialize($config);
        $this->email->set_newline("\r\n");

        $this->email->from('noreply@moneyadvice.ie', 'Money Advice');
        $this->email->to($client_email);
        $this->email->bcc('sat@moneyadvice.ie, swetha043@gmail.com');

        $this->email->subject('Web Quote - '.$quote_type.' '.$utm);
        $this->email->message($body);

        return $this->email->send();
    }

	function make_income_api_call($array, $frequency)
    {

//        $url = "http://www.mortgagecrmlite.com/BrokerCRMPHIQuote/BrokerCRMPHIQuote.asmx?WSDL";
        $url = "https://services.moneyadvice.ie/BrokerCRMPHIQuote/BrokerCRMPHIQuote.asmx?WSDL"; 
//        $url = "http://www.mortgagecrmlite.com/StagingQuotes/BrokerCRMPHIQuote/BrokerCRMPHIQuote.asmx?WSDL";
//        $url = "http://www.mortgagecrmlite.com/BrokerCRMPHIQuote/BrokerCRMPHIQuote.asmx?WSDL";
//	      $url = "http://www.theworkscrm.com/BrokerCRMPHIQuote/BrokerCRMPHIQuote.asmx?WSDL";

        $client = new SoapClient($url);

        $xml = '<PHIQuote>
                      <Authentication>
                            <BrokerKey>test</BrokerKey>
                            <BrokerWebsiteURL>http://www.brokercrmlite.com/test.html</BrokerWebsiteURL>
                      </Authentication>
                      <QuoteDetails>
                            <OccupationClass>Class 1</OccupationClass>
                            <Gender>' . $array['gender'] . '</Gender>
                            <CessationAge>' . $array['income_age'] . '</CessationAge>
                            <DeferredPeriod>26 Weeks</DeferredPeriod>
                            <AnnualBenefit>' . $array['cover_amount'] . '</AnnualBenefit>
							<DeferredPeriod2/>
							<AnnualBenefit2>0</AnnualBenefit2>
							<DeferredPeriod3/>
							<AnnualBenefit3>0</AnnualBenefit3>
                            <Smoker>' . $array['smoking'] . '</Smoker>
							<DOB>' . $array['dob'] . '</DOB>
							<Indexation>0</Indexation>
                            <Frequency>' . $frequency . '</Frequency>
							<CBR>'.$_SESSION['cbr_code'].'</CBR>
                            <QuoteFriendsFirst>Y</QuoteFriendsFirst>
                            <QuoteIrishLife>Y</QuoteIrishLife>
                            <QuoteNewIreland>Y</QuoteNewIreland>
							<QuoteCaledonian>Y</QuoteCaledonian>
							<QuotePersonalExecutive>Personal</QuotePersonalExecutive>
                      </QuoteDetails>
                </PHIQuote>';

        $doc = new DOMDocument();
        $doc->loadXML($xml);
        $xml_str = $doc->saveXML();

        $result = $client->GetBestQuote(array('xmlQuotationDetails' => $xml_str));
		$restt = $result->GetBestQuoteResult;

        $res_arr = $this->xmlstr_to_array($restt);

		$file = fopen("/var/www/html/money_advice/www/".'income-'.date('d-m-Y').".log","a+");
		fwrite($file, "\n << START >> ----".date("F j, Y, g:i:s a")."---- \n");
		fwrite($file, $url);
		fwrite($file, "\n ");
		fwrite($file, $xml);
		fwrite($file, "\n << ------ Results ------- >>-\n");
		fwrite($file, $restt);
		fwrite($file, "\n << ------ << END >> ------- >>-\n");
		fclose($file);

        return $res_arr;
    }
    function xmlstr_to_array($xmlstr) {
        $doc = new DOMDocument();
        $doc->loadXML($xmlstr);
        return domnode_to_array($doc->documentElement);
    }
    function domnode_to_array($node) {
        $output = array();
        switch ($node->nodeType) {
            case XML_CDATA_SECTION_NODE:
            case XML_TEXT_NODE:
                $output = trim($node->textContent);
                break;
            case XML_ELEMENT_NODE:
                for ($i=0, $m=$node->childNodes->length; $i<$m; $i++) {
                    $child = $node->childNodes->item($i);
                    $v = domnode_to_array($child);
                    if(isset($child->tagName)) {
                        $t = $child->tagName;
                        if(!isset($output[$t])) {
                            $output[$t] = array();
                        }
                        $output[$t][] = $v;
                    }
                    elseif($v) {
                        $output = (string) $v;
                    }
                }
                if(is_array($output)) {
                    if($node->attributes->length) {
                        $a = array();
                        foreach($node->attributes as $attrName => $attrNode) {
                            $a[$attrName] = (string) $attrNode->value;
                        }
                        $output['@attributes'] = $a;
                    }
                    foreach ($output as $t => $v) {
                        if(is_array($v) && count($v)==1 && $t!='@attributes') {
                            $output[$t] = $v[0];
                        }
                    }
                }
                break;
        }
        return $output;
    }

	function r_update_broker_api($data, $product_type)
    {
		$userId = $_SESSION['user_id'];
        $user = $this->_getUserDetails($userId);
        $broker_id = $user->broker_id;

		$api_data = array(
            "BrokerID" => $broker_id,
            "FirstName" => $data['name'],
            "Surname" => $data['name'],
            "Title" => "",
            "DateOfBirth" => $data['dob'],
            "Gender" => $data['gender'],
            "Smoker" => $data['smoking'],
            "Mobile" => $data['contact'],
            "Email" => $data['email'],
            "Address1" => "",
            "Address2" => "",
            "TownCity" => "",
            "County" => "",
            "WorkPhone" => "",
            "HomePhone" => "" ,
            "SourceOfBusiness" => "Web Site",
            "Product" => "Protection",
            "ProductType" => $product_type,
            "Provider" => "",
            "Premium" => $data['monthly'],
            "Frequency" => "Monthly",
            "Description" => isset($data['quote_summary']) ? $data['quote_summary']: ""
        );

        if ($data['cover_type'] == "Joint") {

			$api_data1 = array(
                "IsJoint" => "1",
                "FirstName2" => "",
                "Surname2" => "",
                "Title2" => "",
                "DateOfBirth2" => $data['partner_dob'],
                "Gender2" => $data['partner_gender'],
                "Smoker2" => $data['partner_smoking'],
                "Mobile2" => "",
                "Email2" => "", //$data['email2'],
                "Address12" => "",
                "Address22" => "",
                "TownCity2" => "",
                "County2" => "",
                "WorkPhone2" => "",
                "HomePhone2" => "",
                "SourceOfBusiness2" => "Web Site"
            );
        } else {
            $api_data1 = array(
                "IsJoint" => "0",
                "FirstName2" => "",
                "Surname2" => "",
                "Title2" => "",
                "DateOfBirth2" => "",
                "Gender2" => "",
                "Smoker2" => "",
                "Mobile2" => "",
                "Email2" => "",
                "Address12" => "",
                "Address22" => "",
                "TownCity2" => "",
                "County2" => "",
                "WorkPhone2" => "",
                "HomePhone2" => "",
                "SourceOfBusiness2" => ""
            );
        }

        $result_array = array_merge((array)$api_data, (array)$api_data1);
        //print_r($result_array);exit;
        $url = "https://services.moneyadvice.ie/MoneyAdviceClientDataSync/ClientDataWebQuote.asmx?WSDL"; 
//		$url = "http://www.mortgagecrmlite.com/MoneyAdviceClientDataSync/ClientDataWebQuote.asmx?WSDL";

        $client = new SoapClient($url);

        $result = $client->WebQuote($result_array);

     
    }

}