<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Admin extends CI_Controller {
	public $viewData=array();
    public $variableList =array(
        'theme_color',
        'news_link',
        'about_us',
        'services',
        'terms',
        'ulinks',
        'office_hours',
        'working_with',
        'website_link',
        'facebook_link',
        'twitter_link',
        'location',
        'address',
        'logo',
        'telephone',
        'termsofb',
        'privacy',
        'thanks',
        'footer',
        'logo_redirect_url',
        'back_button_url',
        'is_header_enabled_yn',
        'is_footer_enabled_yn',
        'termsofb_link',
        'privacy_link'
        );
    public $homeLinks=array('life','mortgage','illness','income','portfolio','about','contact','news','capture');

	function __construct()
	{
		parent::__construct();
		if (!$this->ion_auth->logged_in()) // not logged in
        {
            redirect('auth/login', 'refresh');
        }
        // elseif (!$this->ion_auth->is_admin()) // logged in but not admin
        // {
        //     $this->ion_auth->logout();
        // }
        $this->viewData['current_user']=$this->ion_auth->user()->row();
	}

	function index(){
		// $this->load->view('admin/index');
        $this->settings();
	}

	function profile($edit='view'){
		if($edit=='view')
			$this->load->view('admin/profile',$this->viewData);
		else
			$this->load->view('admin/profile_edit',$this->viewData);
	}

	function edit_profile(){
		if(isset($_POST['submit'])){

			$updated_data=array(
				'first_name'=>$this->input->post('first_name'),
				'last_name'=>$this->input->post('last_name'),
				'phone'=>$this->input->post('phone'),
				'address'=>$this->input->post('address'),
				'company'=>$this->input->post('company')
			);

			$message="Sorry,The Process Failed to complete. Please try again.";
			$status=false;

			if($this->generic_model->updateGenericData('users',array('id'=>$this->input->post('user_id')),$updated_data))
			{
				$message="Successfully updated Profile information.";
				$status=true;
			}

			$this->session->set_flashdata('statusMessage', $message);
            $this->session->set_flashdata('status', $status);
		}
		redirect('admin/profile');				
	}

    function change_password(){
        $this->load->view('admin/change_password',$this->viewData);
    }

    function save_change_password(){
        if(isset($_POST['submit'])){

            $updated_data=array(
                'password'=>$this->input->post('new_password')
            );

            $message="Password updation failed. Please Try Again";
            $status=false;

            if($this->ion_auth->update($this->ion_auth->user()->row()->id,$updated_data))
            {
                $message="Successfully updated Password.";
                $status=true;
            }

            $this->session->set_flashdata('statusMessage', $message);
            $this->session->set_flashdata('status', $status);
        }
        redirect('admin/profile');
    }

	function settings(){
		$this->viewData['settings']=$this->_getUserSettings($this->viewData['current_user']->id);
		$this->load->view('admin/settings',$this->viewData);
	}

	function _getUserSettings($user_id){

		// settings array add all the settings here
        $results = array();
        foreach($this->variableList as $variable){
            $results[$variable] = '';
        }
        $results['theme_color'] = '#18B3CF';

		$settings=$this->generic_model->getGenericData('settings',array('user_id'=>$user_id));
        
		foreach ($settings as $setting) {
            $results[$setting->variable]=$setting->value;
			$results[$setting->variable.'_sub']=$setting->enabled;
		}

        $home_links=$this->generic_model->getGenericData('home_links',array('user_id'=>$user_id),$this->homeLinks);

        foreach ($home_links[0] as $index=>$home_link) {
           $results[$index]=$home_link;
        }

		return $results;
	}

    function _getUserProfile($userID){

        $profile = $this->generic_model->getGenericData('users',array('id'=>$userID));

        return $profile;
    }

	function save_theme(){
		if(isset($_POST['save'])){
            $salt = $this->_generateRandomString(6);
            $status = true;
            $uploadFile = !empty($_FILES["logo"]['name']);

            if($uploadFile){
//                echo ("upload file ".count(trim($_FILES["logo"]['name'])));
                $arrFileName = explode('.', $_FILES["logo"]['name']);
                $fileExt = end($arrFileName);

                $config['upload_path'] = './uploads/';
                $config['allowed_types'] = 'gif|jpg|png';
//                $config['max_size']	= '100';
//                $config['max_width']  = '180';
//                $config['max_height']  = '50';
                $config['file_name']= $arrFileName[0].$salt;
                log_message('info','file name is '.$config['file_name']);
                $this->load->library('upload', $config);
                if (!$this->upload->do_upload("logo"))
                {
                    log_message('error','could not upload file');
                    $error = array('error' => $this->upload->display_errors());
                    $status = false;
                    $message = "Error Submitting Logo! Max size 1MB (gif|png|jpg formats only)";
                }
            }

            if($status)
            {
                $user_id=$this->input->post('user_id');
                $variables = array();
                foreach($this->variableList as $variable){
                    $variables[$variable] = trim($this->input->post($variable));
                }

                //saving Home Links 
                $hLinks=array();
                foreach ($this->homeLinks as $homeLink)
                    $hLinks[$homeLink]=(isset($_POST[$homeLink]))?1:0;
                
                $this->generic_model->updateGenericData('home_links',array('user_id'=>$user_id),$hLinks);
                
                if($uploadFile)
                    $variables['logo'] =trim($config['file_name'].".".$fileExt);
                else
                    unset($variables['logo']);

                $this->_updateThemeData('settings',$user_id,$variables,$_POST);
                $message="Changes Updated";
                $status=true;

            }


			$this->session->set_flashdata('statusMessage', $message);
            $this->session->set_flashdata('status', $status);
		}
		redirect('admin/settings');
	}

	function _updateThemeData($table,$user_id,$variables=array(),$dddd){


		foreach ($variables as $variable=>$variable_value) {

			$exists=$this->generic_model->getGenericData($table,array('user_id'=>$user_id,'variable'=>$variable),array('id'));
            $enabled=isset($dddd[$variable.'_sub'])?1:0;
			// if variable is not in db add variable else update it
			if(count($exists)==1)
				$this->generic_model->updateGenericData($table,array('id'=>$exists[0]->id),array('value'=>$variable_value,'enabled'=>$enabled));
			else
				$this->generic_model->addGenericData($table,array('user_id'=>$user_id,'variable'=>$variable,'value'=>$variable_value,'enabled'=>$enabled));

		}
	}

    function _generateRandomString($length){
        $base = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
        $max = strlen($base)-1;
        $randomString = '';
        mt_srand((double)microtime()*1000000);
        while (strlen($randomString)< $length+1)
            $randomString = $randomString.$base{mt_rand(0, $max)};
        return $randomString;
    }
}