<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Api extends CI_Controller {
	public $viewData=array();

	function __construct()
	{
		parent::__construct();
	}

	function createLogin(){
		if(isset($_POST['email'])){
            $email=$_POST['email'];
            $broker_id=$_POST['broker_id'];
            $customer_id=$_POST['client_id'];
            $data=array();
            if(!empty($email) && !empty($broker_id) && !empty($customer_id)){
                $customers=$this->generic_model->getGenericData('customers',array('email'=>$email));
                if(count($customers)!=0){
                    $data["error"]="A user with Email already exists in our system.";
                }else{
                    $broker_pin=$this->_generateRandomString(6);

                    $additional_data=array('pin'=>$broker_pin,'broker_id'=>$broker_id,'client_id'=>$customer_id,'email'=>$email);

                    $register=$this->generic_model->addGenericData('customers',$additional_data);
                    if($register){
                        $data['success']="Successfully Created user with email ".$email;
                        $subject="New Account created for you on Moneyadvice";
                        $message="Dear User,<br>";
                        $message.="A new account was created for you on moneyadvice.<br> Your Login details are as follows:<br />";
                        $message.="<br><b>Username: </b>".$email;
                        $message.="<br><b>Password: </b>".$broker_pin;
                        $message.="<br><br>If you are unaware of any such account creation please contact Moneyadvice team at info@moneyadvice.ie for further details.";
                        $message.="<br><br>Best Regards,<br>";
                        $message.="Money Advice Team";
                        $this->_sendBasemail($email,$subject,$message);
                    }else{
                        $data['error']="Failed to create user with email ".$email.". Please Try Again";
                    }

                }
            }else{
                $data["error"]="Please make sure all the required details are entered";
            }
        }else{
            $data["error"]="Unauthorised Call to the API";
        }
        echo json_encode($data);
	}

    function _generateRandomString($length)
    {
        $base = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
        $max = strlen($base)-1;
        $randomString = '';
        mt_srand((double)microtime()*1000000);
        while (strlen($randomString)< $length+1)
            $randomString = $randomString.$base{mt_rand(0, $max)};
        return $randomString;
    }

    function _sendBasemail($to,$subject,$message){
        $this->load->library('email');
        $config = array(
            'protocol' => 'smtp',
            'smtp_host' => 'ssl://smtp.gmail.com',
            'smtp_port' => "465",
            'smtp_user' => 'demo.iglulabs@gmail.com',
            'smtp_pass' => 'password123+',
            'mailtype'  => 'html', 
            'charset'   => 'iso-8859-1'
        );
        $this->email->initialize($config);
        $this->email->set_newline("\r\n");

        $this->email->from('info@moneyadvice.ie', 'Money Advice');
        $this->email->to($to);
        $this->email->bcc('contact@iglulabs.com');

        $this->email->subject($subject);
        $this->email->message($message);    

        return $this->email->send();
    }

}