<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Leads extends CI_Controller {
   public $viewData=array();

   function __construct()
	{
		parent::__construct();
		
		if (!$this->ion_auth->logged_in()) // not logged in
        {
	         redirect('auth/login', 'refresh');
        }        
	    
		$this->viewData['current_user'] = $this->ion_auth->user()->row();
	}

	function index()
	{	
		$broker_id = $this->viewData['current_user']->broker_id;
		$this->viewData['leads'] = $this->db->query('SELECT * FROM lead_tracker where broker_id = '.$broker_id)->result();

		$totals_data = $this->db->query("SELECT type, step, count(*) total FROM lead_tracker where broker_id = ".$broker_id." group by type, step")->result();

		$life = $mortgage = $serious = $income = array( 'total' => 0, '1' => 0, '2' => 0, '3' => 0, '4' => 0);

		foreach( $totals_data as $i => $data)
		{
			if( $data->type == 'life_insurance')
			{
				$life['total'] = $life['total'] + $data->total;
				$life[$data->step] = $data->total;
			}
			else if($data->type == 'mortgage_protection')
			{
				$mortgage['total'] = $mortgage['total'] + $data->total;
				$mortgage[$data->step] = $data->total;
			}
			else if($data->type == 'serious_illness')
			{
				$serious['total'] = $serious['total'] + $data->total;
				$serious[$data->step] = $data->total;		
			}
			else if($data->type == 'income_protection')
			{
				$income['total'] = $income['total'] + $data->total;
				$income[$data->step] = $data->total;		
			}
		}

		$this->viewData['life'] = $life;
		$this->viewData['mortgage'] = $mortgage;
		$this->viewData['serious'] = $serious;
		$this->viewData['income'] = $income;

		$this->load->view('leads/index',$this->viewData);
	}

	function dashboard()
	{	
		$broker_id = $this->viewData['current_user']->broker_id;
		$this->viewData['leads'] = $this->db->query('SELECT * FROM lead_tracker where broker_id = '.$broker_id)->result();
		$totals_data = $this->db->query("SELECT type, step, count(*) total FROM lead_tracker where broker_id = ".$broker_id." group by type, step")->result();

		$life = $mortgage = $serious = $income = array( 'total' => 0, '1' => 0, '2' => 0, '3' => 0, '4' => 0);

		foreach( $totals_data as $i => $data)
		{
			if( $data->type == 'life_insurance')
			{
				$life['total'] = $life['total'] + $data->total;
				$life[$data->step] = $data->total;
			}
			else if($data->type == 'mortgage_protection')
			{
				$mortgage['total'] = $mortgage['total'] + $data->total;
				$mortgage[$data->step] = $data->total;
			}
			else if($data->type == 'serious_illness')
			{
				$serious['total'] = $serious['total'] + $data->total;
				$serious[$data->step] = $data->total;		
			}
			else if($data->type == 'income_protection')
			{
				$income['total'] = $income['total'] + $data->total;
				$income[$data->step] = $data->total;		
			}
		}

		$this->viewData['life'] = $life;
		$this->viewData['mortgage'] = $mortgage;
		$this->viewData['serious'] = $serious;
		$this->viewData['income'] = $income;


		$this->load->view('leads/dashboard',$this->viewData);
	}

	function lead()
	{	
		$broker_id = $this->viewData['current_user']->broker_id;

		$totals_data = $this->db->query("SELECT type, step, count(*) total FROM lead_tracker where broker_id = ".$broker_id." group by type, step")->result();
		$life = $mortgage = $serious = $income = array( 'total' => 0, '1' => 0, '2' => 0, '3' => 0, '4' => 0);

		foreach( $totals_data as $i => $data)
		{
			if( $data->type == 'life_insurance')
			{
				$life['total'] = $life['total'] + $data->total;
				$life[$data->step] = $data->total;
			}
			else if($data->type == 'mortgage_protection')
			{
				$mortgage['total'] = $mortgage['total'] + $data->total;
				$mortgage[$data->step] = $data->total;
			}
			else if($data->type == 'serious_illness')
			{
				$serious['total'] = $serious['total'] + $data->total;
				$serious[$data->step] = $data->total;		
			}
			else if($data->type == 'income_protection')
			{
				$income['total'] = $income['total'] + $data->total;
				$income[$data->step] = $data->total;		
			}
		}


		$t = $this->input->get('t');
		$st = $this->input->get('st');
		$ag = $this->input->get('ag');
		$ct = $this->input->get('ct');

		$cond = '';

		if( $st != '' )
			$cond .= ' and step='.$st;

		if( $ct != '' )
			$cond .= " and cover_type='".$ct."'";

		if( $ag != '' )
		{
			if( $ag == 75 )
				$cond .= ' and ( YEAR(now()) - YEAR(dob) ) > '.$ag.' ';
			else
				$cond .= ' and ( YEAR(now()) - YEAR(dob) ) BETWEEN '.$ag.' AND '.($ag+10).' ';
		}


		if( $t == 'li' )
		{
			$this->viewData['leads'] = $this->db->query("SELECT * FROM lead_tracker where broker_id = ".$broker_id." and type='life_insurance' ".$cond)->result();
			$this->viewData['stepdata'] = array( 'icon' => 'ion-heart', 'step1' => $life['1'], 'step2' => $life['2'], 'step3' => $life['3'], 'step4' => $life['4']);
		}
		else if( $t == 'mp' )
		{	$this->viewData['leads'] = $this->db->query("SELECT * FROM lead_tracker where broker_id = ".$broker_id." and type='mortgage_protection' ".$cond)->result();
			$this->viewData['stepdata'] = array( 'icon' => 'ion-ios-home', 'step1' => $mortgage['1'], 'step2' => $mortgage['2'], 'step3' => $mortgage['3'], 'step4' => $mortgage['4']);
		}
		else if( $t == 'si' )
		{	$this->viewData['leads'] = $this->db->query("SELECT * FROM lead_tracker where broker_id = ".$broker_id." and type='serious_illness' ".$cond)->result();
			$this->viewData['stepdata'] = array( 'icon' => 'ion-medkit', 'step1' => $serious['1'], 'step2' => $serious['2'], 'step3' => $serious['3'], 'step4' => $serious['4']);
		}
		else if( $t == 'ip' )
		{	$this->viewData['leads'] = $this->db->query("SELECT * FROM lead_tracker where broker_id = ".$broker_id." and type='income_protection' ".$cond)->result();
			$this->viewData['stepdata'] = array( 'icon' => 'ion-cash', 'step1' => $income['1'], 'step2' => $income['2'], 'step3' => $income['3'], 'step4' => $income['4']);
		}
		else
		{	$this->viewData['leads'] = $this->db->query('SELECT * FROM lead_tracker where broker_id = '.$broker_id.' '.$cond)->result();
			$this->viewData['stepdata'] = array( 'icon' => 'ion-pie-graph', 'step1' => ($life['1']+$mortgage['1']+$serious['1']+$income['1']), 'step2' => ($life['2']+$mortgage['2']+$serious['2']+$income['2']), 'step3' => ($life['3']+$mortgage['3']+$serious['3']+$income['3']), 'step4' => ($life['4']+$mortgage['4']+$serious['4']+$income['4']));
		}

		$this->viewData['type'] = $t;
		$this->viewData['step'] = $st;
		$this->viewData['age'] = $ag;
		$this->viewData['covertype'] = $ct;
		$this->viewData['life'] = $life;
		$this->viewData['mortgage'] = $mortgage;
		$this->viewData['serious'] = $serious;
		$this->viewData['income'] = $income;

		$this->load->view('leads/lead',$this->viewData);
	}

	function reports()
	{	
		$broker_id = $this->viewData['current_user']->broker_id;

		$this->viewData['life'] = $this->db->query("SELECT step, count(*) total FROM lead_tracker where type='life_insurance' and broker_id = ".$broker_id." group by step")->result();
		$this->viewData['mortgage'] = $this->db->query("SELECT step, count(*) total FROM lead_tracker where type='mortgage_protection' and broker_id = ".$broker_id." group by step")->result();
		$this->viewData['serious'] = $this->db->query("SELECT step, count(*) total FROM lead_tracker where type='serious_illness' and broker_id = ".$broker_id." group by step")->result();
		$this->viewData['income'] = $this->db->query("SELECT step, count(*) total FROM lead_tracker where type='income_protection' and broker_id = ".$broker_id." group by step")->result();


		$this->viewData['life_covertype'] = $this->db->query("SELECT cover_type, count(*) total FROM lead_tracker where type='life_insurance' and broker_id = ".$broker_id." and cover_type IS NOT NULL group by cover_type")->result();
		$this->viewData['mortgage_covertype'] = $this->db->query("SELECT cover_type, count(*) total FROM lead_tracker where type='mortgage_protection' and broker_id = ".$broker_id."  and cover_type IS NOT NULL group by cover_type")->result();
		$this->viewData['serious_covertype'] = $this->db->query("SELECT cover_type, count(*) total FROM lead_tracker where type='serious_illness' and broker_id = ".$broker_id."  and cover_type IS NOT NULL group by cover_type")->result();
		$this->viewData['income_covertype'] = $this->db->query("SELECT cover_type, count(*) total FROM lead_tracker where type='income_protection' and broker_id = ".$broker_id."  and cover_type IS NOT NULL group by cover_type")->result();

		$this->load->view('leads/report',$this->viewData);
	}

}

