<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage extends CI_Controller {
	public $viewData=array();

	function __construct()
	{
		parent::__construct();
        if (!$this->ion_auth->logged_in()) // not logged in
        {
            redirect('auth/login', 'refresh');
        }
        elseif (!$this->ion_auth->is_admin()) // logged in but not admin
        {
            $this->ion_auth->logout();
        }
        $this->viewData['current_user']=$this->ion_auth->user()->row();
	}

    function index(){
        $this->viewData['users']=$this->db->query('SELECT * FROM users where id <> 1')->result();
        $this->load->view('manage/index',$this->viewData);
    }

    function addUser($id=null,$edit=""){
        if($edit=="edit"){
            $res=$this->generic_model->getGenericData('users',array('id'=>$id));
            $this->viewData['user']=$res[0];
        }
        $this->load->view('manage/addUser',$this->viewData);
    }

    function saveUser(){
        
        if(isset($_POST['submit'])){
                    
            $upload=array(
                    'first_name'=>$this->input->post('first_name'),
                    'last_name'=>$this->input->post('last_name'),
                    'phone'=>$this->input->post('phone'),
                    'broker_id'=>$this->input->post('broker_id'),
                    'cbr_code'=>$this->input->post('cbr_code'),
                    'company'=>$this->input->post('company'),
                    'sub_domain'=>$this->input->post('sub_domain'),
                    'email'=>$this->input->post('email')
                );

            $message="Successful.";
            $status=true;
            if(isset($_POST['id'])){ //trying to edit the user
                if(isset($_POST['password']))
                    $upload['password']=$this->input->post('password');
                $this->ion_auth->update($_POST['id'], $upload);
            }               
            else{
                $id=$this->ion_auth->register($this->input->post('first_name'), $this->input->post('password'), $this->input->post('email'), $upload,'2');     
                if($id){
                    $this->generic_model->addGenericData('home_links',array('user_id'=>$id));
                }else{
                    $message="Broker Creation Failed. Please Try Again.";
                    $status=false;
                }
            }

            $this->session->set_flashdata('statusMessage', $message);
            $this->session->set_flashdata('status', $status);
                

            redirect('manage/index','refresh');
        }   
    }

}