<?php defined('BASEPATH') OR exit('No direct script access allowed');
session_cache_limiter('private-no-expire'); 

class Quoteengine extends CI_Controller
{
    public $viewData = array();
	public $cbrData = array('457' => 'C117291', '305' => 'C2234', '706' => 'C145182', '309' => 'C30208', '285' => 'C1612', '401' =>'','367' => '', '480' => '', '' => '');

    function __construct()
    {
        session_start();
        parent::__construct();

		$broker_host = $_SERVER['SERVER_NAME'];
        if (!empty($broker_host)) {
            if (!isset($_SESSION['user_id'])) {
                $brokers = $this->generic_model->getGenericData('users', array('sub_domain' => $broker_host));

                if (count($brokers) == 1) {
                    $_SESSION['user_id'] = $brokers[0]->id;
                    $_SESSION['broker_id'] = $brokers[0]->broker_id;
					$_SESSION['phone'] = $brokers[0]->phone;

					if( $brokers[0]->broker_id == 457) // ROckwell - Custom Phone number;
						$_SESSION['phone'] = '012539863';					

                    $_SESSION['base_url'] = "http://" . $brokers[0]->sub_domain;

                } else {
                    exit("<br>Domain Configuration went wrong. Please Contact the Admin.");
                }
            }
        } else {
            exit("<br>Domain Configuration went wrong. Please Contact the Admin. Not forwarded");
        }

		$_SESSION['cbr_code'] = $this->cbrData[$_SESSION['broker_id']];

        $this->viewData['details'] = $this->_getAllSettings($_SESSION['user_id']);
        $this->viewData['userDetails'] = $this->_getUserDetails($_SESSION['user_id']);
        $this->viewData['footerDetails'] = $this->_getFooterContent($_SESSION['user_id']);
        $this->config->set_item('base_url', $_SESSION['base_url']);

    }

    // quoteengine pages
    function index()
    {
        $this->home();
    }

    function home()
    {
        $userID = $_SESSION['user_id'];
        $this->viewData['settings'] = $this->_getHomeLinks($userID);
        $this->load->view('quoteengine/home', $this->viewData);
        $this->load->view('common/quoteengine/footer', $this->viewData);
    }

    function aboutUs()
    {

        $this->viewData['noHeightChange'] = true;
        $this->viewData['details']['pageTitle'] = "About Us";
        $this->load->view('quoteengine/aboutUs', $this->viewData);
        $this->load->view('common/quoteengine/footer', $this->viewData);
    }

    function contact()
    {
        $userID = $this->_baseSettings("Get In Touch");
        $this->viewData['noHeightChange'] = true;
        $this->viewData['details'] = array_merge($this->viewData['details'], $this->_getContactInfo($userID));
        $this->load->view('quoteengine/contact', $this->viewData);
        $this->load->view('common/quoteengine/footer', $this->viewData);
    }

    function clientdata()
    {
        $userID = $this->_baseSettings("Client Data Capture");
        $this->viewData['noHeightChange'] = true;
        $this->load->view('quoteengine/clientdata_medium', $this->viewData);
        $this->load->view('common/quoteengine/footer', $this->viewData);
    }

    function existing()
    {
        $userID = $this->_baseSettings("Client Data Capture");
        $this->viewData['noHeightChange'] = true;
        $this->load->view('quoteengine/clientdata', $this->viewData);
        $this->load->view('common/quoteengine/footer', $this->viewData);
    }

    function processClientdata()
    {
        if (isset($_POST['client_data'])) {
            $email = $_POST["email"];
            $scode = $_POST["scode"];
            $fname = $_POST["fname"];
            $sname = $_POST["sname"];

            $url = "http://www.mortgagecrmlite.com/MobileAuth/MobileLoginService.MobileLogin.svc?wsdl";
            $client = new SoapClient($url);

            $data = array('strFirstname' => $fname, 'strSurname' => $sname, 'strEmail' => $email, 'strSecurityCode' => $scode);

            $result = $client->GetDataCaptureClientsLoginUrl($data);
            $x = $result->GetDataCaptureClientsLoginUrlResult;

            if ($x->IsSuccess) {
                redirect($x->Url, 'refresh');
            } else {
                $status = $x->ErrorMessages;
                $this->session->set_flashdata('status', $status);
                redirect('quoteengine/clientdata', 'refresh');
            }
        }
    }

    function portfolio()
    {
        if (!isset($_SESSION['customer_id']) || empty($_SESSION['customer_id'])) {
            $userID = $this->_baseSettings("Portfolio");
            $msg = $this->session->flashdata('loginMessage');

            $userId = $_SESSION['user_id'];
            $user = $this->_getUserDetails($userId);
            $this->viewData['client_email'] = $user->email;
            $this->viewData['msg'] = (isset($msg) && $msg != "") ? $msg : "";
            $this->load->view('quoteengine/portfolio_login', $this->viewData);
            $this->load->view('common/quoteengine/footer', $this->viewData);
        } else {
            redirect('quoteengine/policies', 'refresh');
        }
    }

    function viewPolicy($id)
    {
        if (isset($_SESSION['portfolioData']) && !empty($_SESSION['portfolioData'])) {
            $userID = $this->_baseSettings("Portfolio");
            $d = $_SESSION['portfolioData'];
            $this->viewData['data'] = isset($d['Policies'][0]) ? $d['Policies'][$id] : $d['Policies'];
            $this->load->view('quoteengine/portfolio_view', $this->viewData);
            $this->load->view('common/quoteengine/footer', $this->viewData);
        } else {
            $this->session->set_flashdata('loginMessage', 'Please Log in to continue.');
            redirect('quoteengine/portfolio', 'refresh');
        }
    }

    function logoutPortfolio()
    {
        unset($_SESSION['customer_id']);
        unset($_SESSION['portfolioData']);
        redirect('quoteengine/portfolio', 'refresh');
    }

    function portfolioLogin()
    {
        if (isset($_POST['submit'])) {
            $username = $_POST['username'];
            $passwords = $_POST['password'];


            // New Implementation

            $keys = array(' ', ' ', ' ', ' ', ' ', ' ');
            foreach ($passwords as $ind => $pass) {
                $keys[$ind] = $pass;
            }

            $finalPass = join("", $keys);


            $url = "http://www.mortgagecrmlite.com/MoneyAdviceClientDataSync/MortgageTreeService.asmx?WSDL";
            $client = new SoapClient($url);

            $data = array('BrokerID' => $_SESSION['broker_id'], 'Email' => $username, 'PIN' => $finalPass);

            $result = $client->LoginPortfolioClient($data);
            //var_dump($result);
            $cli_id = $result->LoginPortfolioClientResult;

            if ($cli_id != "ERROR") {
                $_SESSION['customer_id'] = $cli_id;
                redirect('quoteengine/policies', 'refresh');
            } else {
                $this->session->set_flashdata('loginMessage', 'Please check the credentials you have entered.');
                redirect('quoteengine/portfolio', 'refresh');
            }

//old implementation

//            $customer=$this->generic_model->getGenericData('customers',array('email'=>$username));
//            if(count($customer)==1){
//                $pin=str_split($customer[0]->pin);
//                $c=0;
//                foreach ($pin as $key => $value) {
//                    if(isset($passwords[$key]) && ($value===$passwords[$key]))
//                        $c++;
//                }
//                if($c==3){
//                    $_SESSION['customer_id']=$customer[0]->id;
//                    redirect('quoteengine/policies','refresh');
//                }else{
//                    $this->session->set_flashdata('loginMessage','Please check the credentials you have entered.');
//                    redirect('quoteengine/portfolio','refresh');
//                }
//
//            }else{
//                $this->session->set_flashdata('loginMessage','Please check the credentials you have entered.');
//                redirect('quoteengine/portfolio','refresh');
//            }
        }
    }

    function policies()
    {
        $customer_id = $_SESSION['customer_id'];
        if (!empty($customer_id)) {
            //$customer=$this->generic_model->getGenericData('customers',array('id'=>$customer_id),array('broker_id','client_id'));
            $broker_id = $_SESSION['broker_id'];
            $client_id = $customer_id;
            $userID = $this->_baseSettings("Portfolio");
		log_message('info','brokerid '.$broker_id.' client id: '.$client_id);
            if (isset($_SESSION['portfolioData'])) {
                $this->viewData['policies'] = $_SESSION['portfolioData'];
            } else {
                $data = getUserPolicies($broker_id, $client_id);
                $this->viewData['policies'] = $data;
		log_message('info',json_encode($data));             
   $_SESSION['portfolioData'] = $data;
            }

            $this->load->view('quoteengine/portfolio_policies', $this->viewData);
            $this->load->view('common/quoteengine/footer', $this->viewData);
        } else {
            $this->session->set_flashdata('loginMessage', 'Please Log in to continue.');
            redirect('quoteengine/portfolio', 'refresh');
        }
    }

    function showContent($contentType)
    {
        $this->viewData['content'] = $this->_getContent($_SESSION['user_id'], $contentType);
        $this->viewData['contentType'] = $contentType;
        $userID = $this->_baseSettings($this->viewData['content']['title']);
        $this->load->view('quoteengine/content', $this->viewData);
        $this->load->view('common/quoteengine/footer', $this->viewData);
    }

    function location()
    {
        $userID = $this->_baseSettings("Find Us");
        $this->viewData['details'] = array_merge($this->viewData['details'], $this->_getContactInfo($userID));
        $this->load->view('quoteengine/location', $this->viewData);
        $this->load->view('common/quoteengine/footer', $this->viewData);
    }

    function portfolioPolicy()
    {
        $userID = $this->_baseSettings("Portfolio");
        $brokerID = '363';
        $clientID = '18016';
        $this->viewData['policyList'] = getPolicyList($brokerID, $clientID);
        $userDetails = $this->_getUserDetails($userID);
        $this->viewData['details']['phone'] = $userDetails->phone;
        $this->load->view('quoteengine/portfolioPolicy', $this->viewData);
        $this->load->view('common/quoteengine/footer', $this->viewData);
    }

    function lifeInsurance()
    {
        $userID = $this->_baseSettings("Life Insurance");
        $this->load->view('quoteengine/lifeInsurance', $this->viewData);
        $this->load->view('common/quoteengine/footer', $this->viewData);
    }

	function mortgageProtection()
    {
        $userID = $this->_baseSettings("Mortgage Protection");
        $this->load->view('quoteengine/mortgage', $this->viewData);
        $this->load->view('common/quoteengine/footer', $this->viewData);
    }

	function incomeProtection()
    {
        $userID = $this->_baseSettings("Income Protection");
        $this->load->view('quoteengine/income', $this->viewData);
        $this->load->view('common/quoteengine/footer', $this->viewData);
    }

	function seriousIllness()
    {
        $userID = $this->_baseSettings("Serious Illness");
        $this->load->view('quoteengine/illness', $this->viewData);
        $this->load->view('common/quoteengine/footer', $this->viewData);
    }

    function lifeQuote($client = '')
    {
        $userID = $this->_baseSettings("Life Insurance");
        $data = $this->viewData;
        $data['client'] = $client;
        $data['link'] = "Life";
        $data['step'] = "2";
        $flag = false;

        $result = $this->get_life_insurance_report("Annual", '', 'life');
        $monthly = $this->get_life_insurance_report("Monthly", '' ,'life');

		if ($monthly != "empty") {
            if (array_key_exists('0', $monthly['Outputs']['Quotes']['Type'])) {
                foreach ($monthly['Outputs']['Quotes']['Type'] as $arr) {
                    if ($arr['Desc'] == "Life Cover Only") {
                        $flag = true;
                    }
                }
            }

        }

        if ($result == "empty" || !$flag) {
            $this->viewData['message'] = "No Quotes have been generated for the data entered by you. Please contact us to discuss your needs.";
            $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
            $this->load->view('quoteengine/error', $this->viewData);
            $this->load->view('common/quoteengine/footer', $this->viewData);
        } else {
            $data['cover_type'] = $this->input->post('cover_type');
            $data['gender'] = $this->input->post('gender');
            $data['smoking'] = $this->input->post('smoking');
            $data['dob'] = $this->input->post('dob');
            $data['name'] = $this->input->post('name');
            $data['contact'] = $this->input->post('contact');


            $data['email'] = $this->input->post('email');

            $data['partner_gender'] = "";
            $data['partner_smoking'] = "";
            $data['partner_dob'] = "";

            if ($data['cover_type'] == "Joint") {
                $data['partner_gender'] = $this->input->post('partner_gender');
                $data['partner_smoking'] = $this->input->post('partner_smoking');
                $data['partner_dob'] = $this->input->post('partner_dob');
            }

            $data['api_data'] = $result;
            $data['monthly_data'] = $monthly;
            $_SESSION['api_data'] = $result;
            $_SESSION['monthly_data'] = $monthly;

			foreach($monthly['Outputs']['Quotes']['Type'] as $arr)
			{
				if($arr['Desc'] == "Life Cover Only")
				{
				    if(array_key_exists('Level', $arr))
		                $level =  $arr['Level'];
			    }
			}
			
			foreach($result['Outputs']['Quotes']['Type'] as $arr)
			{
		        if($arr['Desc'] == "Life Cover Only")
				{
				    if(array_key_exists('Level', $arr))
						$ann_level =  $arr['Level'];	
				}
			}
			$_SESSION['annual'] = $ann_level;
	        $_SESSION['monthly'] = $level;

			$sendmail = $this->sendEmail($client, 'Life Insurance');

            $this->load->view('quoteengine/showDetails', $data);
            $this->load->view('common/quoteengine/footer', $this->viewData);
        }
    }


    function get_life_insurance_report($term, $client = '', $quote_type = '')
    {
        $data['client'] = $client;

        $array = array(
            "cover_amount" => $this->input->post('cover_amount'),
            "cover_type" => $this->input->post('cover_type'),
            "length" => $this->input->post('length'),
            "indexation" => $this->input->post('indexation'),
			"gender" => $this->input->post('gender'),
            "smoking" => $this->input->post('smoking'),
            "dob" => $this->input->post('dob'),
            "partner_gender" => $this->input->post('partner_gender'),
            "partner_smoking" => $this->input->post('partner_smoking'),
            "partner_dob" => $this->input->post('partner_dob'),
        );

		$array['quote_type'] = $quote_type;
		$array['cbr_code'] = $_SESSION['cbr_code'];

        $frequency = $term; //Annual or Monthly

		if( $quote_type != '')
	        $api_data = getLifeQuoteByType($array, $frequency);
		else
			$api_data = getLifeQuote($array, $frequency);

        return $api_data;
    }

	function apply_life_insurance($client = '')
    {
        $userID = $this->_baseSettings("Life Insurance");
        $data = $this->viewData;
        $data['client'] = $client;
        $data['link'] = "Life";

        if (isset($_REQUEST['send_mail'])) {

			$data['step'] = "4";
            $data['thankyou'] = "Thankyou";
        
			$sendmail = true;
            
			$data=array_merge($data, $_POST);
            $this->update_broker_api($data, "Life Insurance");
            if ($sendmail) {
                redirect('quoteengine/Thanks', 'refresh');
            } else {
                $this->viewData['message'] = "Operation Failed. Please Try Again";
                $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
                $this->load->view('quoteengine/error', $this->viewData);
                $this->load->view('common/quoteengine/footer', $this->viewData);
            }

        } else {
            $data['step'] = "3";
            $data['monthly'] = $this->input->post('monthly');
            $data['annual'] = $this->input->post('annual');
            $data['gender'] = $this->input->post('gender');
            $data['smoking'] = $this->input->post('smoking');
            $data['dob'] = $this->input->post('dob');

			$data['name'] = $this->input->post('name');
            $data['email'] = $this->input->post('email');
            $data['contact'] = $this->input->post('contact');

            $data['partner_gender'] = $this->input->post('partner_gender');
            $data['partner_smoking'] = $this->input->post('partner_smoking');
            $data['partner_dob'] = $this->input->post('partner_dob');
            $data['api_data'] = $_SESSION['api_data'];
            $data['monthly_data'] = $_SESSION['monthly_data'];
            $data['cover_type'] = $this->input->post('cover_type');
			$data['phone'] = $_SESSION['phone'];
            $this->load->view('quoteengine/ApplyOnline', $data);
            $this->load->view('common/quoteengine/footer', $this->viewData);
        }
    }

	function apply_life_insurance_email($client = '')
    {
        $userID = $this->_baseSettings("Life Insurance");
        $data = $this->viewData;
        $data['client'] = $client;
        $data['link'] = "Life";

        $data['step'] = "4";
        $data['thankyou'] = "Thankyou";
        
		$sendmail = true;
            
		$data = array_merge($data, $_POST);
        $this->update_broker_api($data, "Life Insurance");
        if ($sendmail) 
             redirect('quoteengine/Thanks', 'refresh');
        else {
                $this->viewData['message'] = "Operation Failed. Please Try Again";
                $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
                $this->load->view('quoteengine/error', $this->viewData);
              $this->load->view('common/quoteengine/footer', $this->viewData);
        }
    }

	function mortgage_insurance($client = '')
    {
        $userID = $this->_baseSettings("Mortgage Protection");
        $data = $this->viewData;
        $data['client'] = $client;

        if (isset($_REQUEST['get_life_quote'])) {

            $data['link'] = "Mortgage";
            $data['step'] = "2";
            $flag = false;
            $result = $this->get_life_insurance_report("Annual", '', 'mortgage');
            $monthly = $this->get_life_insurance_report("Monthly", '', 'mortgage');
            if ($monthly != "empty") {
                if (array_key_exists('0', $monthly['Outputs']['Quotes']['Type'])) {
                    foreach ($monthly['Outputs']['Quotes']['Type'] as $arr) {
                        //print_r($arr);exit;
                        if ($arr['Desc'] == "Life Cover Only") {
                            $flag = true;
                        }
                    }
                }
            }

            if ($result == "empty" || !$flag) {
                $this->viewData['message'] = "No Quotes have been generated for the data entered by you. Please contact us to discuss your needs.";
                $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
                $this->load->view('quoteengine/error', $this->viewData);
                $this->load->view('common/quoteengine/footer', $this->viewData);
            } else {
                $data['cover_type'] = $this->input->post('cover_type');
                $data['gender'] = $this->input->post('gender');
                $data['smoking'] = $this->input->post('smoking');
                $data['dob'] = $this->input->post('dob');

                $data['name'] = $this->input->post('name');
                $data['contact'] = $this->input->post('contact');
                $data['email'] = $this->input->post('email');

                if ($data['cover_type'] == "Joint") {
                    $data['partner_gender'] = $this->input->post('partner_gender');
                    $data['partner_smoking'] = $this->input->post('partner_smoking');
                    $data['partner_dob'] = $this->input->post('partner_dob');
                } else {
                    $data['partner_gender'] = "";
                    $data['partner_smoking'] = "";
                    $data['partner_dob'] = "";
                }
                $data['api_data'] = $result;
                $data['monthly_data'] = $monthly;
                $_SESSION['api_data'] = $result;
                $_SESSION['monthly_data'] = $monthly;

				foreach($monthly['Outputs']['Quotes']['Type'] as $arr)
				{
					if($arr['Desc'] == "Life Cover Only")
					{
						if(array_key_exists('MortgageProtection', $arr))
							$mon_mort =  $arr['MortgageProtection'];
					}
				}

				foreach($result['Outputs']['Quotes']['Type'] as $arr)
				{
					if($arr['Desc'] == "Life Cover Only")
					{
						if(array_key_exists('MortgageProtection', $arr))
							$ann_mort =  $arr['MortgageProtection'];
					}
				}

				$_SESSION['annual'] = $ann_mort;
			    $_SESSION['monthly'] = $mon_mort;

				$sendmail = $this->sendEmail($client, 'Mortgage Protection');

                $this->load->view('quoteengine/showMortgageDetails', $data);
                $this->load->view('common/quoteengine/footer', $this->viewData);
            }
        }
    }

	function apply_mortgage_insurance($client = '')
    {
        $userID = $this->_baseSettings("Mortgage Protection");
        $data = $this->viewData;
        $data['client'] = $client;
        $data['link'] = "Mortgage";

        if (isset($_REQUEST['send_mail'])) {

            $data['step'] = "4";
            $data['thankyou'] = "Thankyou";
        
			$sendmail = true;
			$data=array_merge($data, $_POST);            
			$this->update_broker_api($data, "Mortgage");

            if ($sendmail) {
                redirect('quoteengine/Thanks', 'refresh');
            } else {
                $this->viewData['message'] = "Operation Failed. Please Try Again";
                $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
                $this->load->view('quoteengine/error', $this->viewData);
                $this->load->view('common/quoteengine/footer', $this->viewData);
            }


        } else {
            $data['step'] = "3";
            $data['monthly'] = $this->input->post('monthly');
            $data['annual'] = $this->input->post('annual');
            $data['gender'] = $this->input->post('gender');
            $data['smoking'] = $this->input->post('smoking');
            $data['dob'] = $this->input->post('dob');

			$data['name'] = $this->input->post('name');
			$data['contact'] = $this->input->post('contact');
			$data['email'] = $this->input->post('email');

            $data['partner_gender'] = $this->input->post('partner_gender');
            $data['partner_smoking'] = $this->input->post('partner_smoking');
            $data['partner_dob'] = $this->input->post('partner_dob');
            $data['api_data'] = $_SESSION['api_data'];
            $data['monthly_data'] = $_SESSION['monthly_data'];
            $data['cover_type'] = $this->input->post('cover_type');
			$data['phone'] = $_SESSION['phone'];

            $this->load->view('quoteengine/ApplyMortgageOnline', $data);
            $this->load->view('common/quoteengine/footer', $this->viewData);
        }
    }

	function income_protection($client = '')
    {
        $userID = $this->_baseSettings("Income Protection");
        $data = $this->viewData;

        if (isset($_REQUEST['get_income_quote'])) {
            $data['client'] = $client;
            $userID = $this->_baseSettings("Income Protection");
            $data['link'] = "Income";
            $data['step'] = "2";
            $monthly = $this->get_income_report("Monthly");
			$quarterly = $this->get_income_report("Quarterly");
            $half = $this->get_income_report("Half-Yearly");
            $result = $this->get_income_report("Annual");

            if (empty($monthly['PHIQuote']['QuoteResults'])) {
                $this->viewData['message'] = "No Quotes have been generated for the data entered by you. Please contact us to discuss your needs.";
                $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
                $this->load->view('quoteengine/error', $this->viewData);
                $this->load->view('common/quoteengine/footer', $this->viewData);
            } else {
                $data['monthly'] = $monthly;
                $data['quarterly'] = $quarterly;
                $data['half'] = $half;
                $data['api_data'] = $result;
                $_SESSION['api_data'] = $result;
                $data['cover_amount'] = $this->input->post('cover_amount');
                $data['income_paye'] = $this->input->post('income_paye');
                $data['income_age'] = $this->input->post('income_age');
				$data['name'] = $this->input->post('name');
                $data['email'] = $this->input->post('email');
                $data['contact'] = $this->input->post('contact');                
				$data['gender'] = $this->input->post('gender');
                $data['smoking'] = $this->input->post('smoking');
                $data['dob'] = $this->input->post('dob');

		            $data['partner_gender'] = "";
                    $data['partner_smoking'] = "";
                    $data['partner_dob'] = "";


			$_SESSION['monthly'] = round($monthly['PHIQuote']['QuoteResults']['Type'][0]['GuarLevelRate'],2);
			$_SESSION['annual'] = round($result['PHIQuote']['QuoteResults']['Type'][0]['GuarLevelRate'],2);

			$sendmail = $this->sendEmail($client, 'Income Protection');

				
                $this->load->view('quoteengine/showIncomeDetails', $data);
                $this->load->view('common/quoteengine/footer', $this->viewData);
            }
        }
    }

	function apply_income_protection($client = '')
    {
        $userID = $this->_baseSettings("Income Protection");
        $data = $this->viewData;
        $data['link'] = "Income";
        $data['client'] = $client;

        $data['level_month'] = $this->input->post('level_month');
        $data['level_quarter'] = $this->input->post('level_quarter');
        $data['level_halfyr'] = $this->input->post('level_halfyr');
        $data['level_ann'] = $this->input->post('level_ann');
        $data['inc_month'] = $this->input->post('inc_month');
        $data['inc_quarter'] = $this->input->post('inc_quarter');
        $data['inc_ann'] = $this->input->post('inc_ann');
        $data['inc_halfyr'] = $this->input->post('inc_halfyr');
        $data['plan1'] = $this->input->post('plan1');

        if (isset($_REQUEST['send_mail'])) {
            $data['step'] = "4";
            $data['thankyou'] = "Thankyou";        
            $sendmail = true;
			$data=array_merge($data, $_POST);
            $this->update_broker_api($data, "Income Protection");
            if ($sendmail) {
                redirect('quoteengine/Thanks', 'refresh');
            } else {
                $this->viewData['message'] = "Operation Failed. Please Try Again";
                $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
                $this->load->view('quoteengine/error', $this->viewData);
                $this->load->view('common/quoteengine/footer', $this->viewData);
            }

        } else {
            $data['step'] = "3";

            $data['gender'] = $this->input->post('gender');
            $data['smoking'] = $this->input->post('smoking');
            $data['dob'] = $this->input->post('dob');

			$data['name'] = $this->input->post('name');
            $data['email'] = $this->input->post('email');
            $data['contact'] = $this->input->post('contact');

			$data['partner_gender'] = $this->input->post('partner_gender');
            $data['partner_smoking'] = $this->input->post('partner_smoking');
            $data['partner_dob'] = $this->input->post('partner_dob');
			
			$data['phone'] = $_SESSION['phone'];

            $this->load->view('quoteengine/ApplyIncomeOnline', $data);
            $this->load->view('common/quoteengine/footer', $this->viewData);
        }
    }

	function get_income_report($term = "", $client = '')
    {
        $cover_amount = $this->input->post('cover_amount');
        $income_age = $this->input->post('income_age');
        $gender = $this->input->post('gender');
        $smoking = $this->input->post('smoking');
        $dob = $this->input->post('dob');

        $array = array(
            "cover_amount" => $cover_amount,
            "income_age" => $income_age,
            "gender" => $gender,
            "smoking" => $smoking,
            "dob" => $dob,
        );

        $frequency = $term; //Annual or Monthly

        $api_data = $this->make_income_api_call($array, $frequency);
        return $api_data;
    }

    function serious_illness($client = '')
    {
        $userID = $this->_baseSettings("Serious Illness Protection");
        $data = $this->viewData;
        $data['client'] = $client;
        if (isset($_REQUEST['get_illness_quote'])) {
            $data['link'] = "Serious";
            $data['step'] = "2";
            $flag = false;
            $result = $this->get_life_insurance_report("Annual", '', 'serious_illness');
            $monthly = $this->get_life_insurance_report("Monthly", '', 'serious_illness');

            if ($monthly != "empty") {
                if (array_key_exists('0', $monthly['Outputs']['Quotes']['Type'])) {
                    foreach ($monthly['Outputs']['Quotes']['Type'] as $arr) {
                        //print_r($arr);exit;
                        if ($arr['Desc'] == "Serious Illness Only") {
                            $flag = true;
                        }
                    }
                }
            }

            if ($result == "empty" || !$flag) {
                $this->viewData['message'] = "No Quotes have been generated for the data entered by you. Please contact us to discuss your needs.";
                $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
                $this->load->view('quoteengine/error', $this->viewData);
                $this->load->view('common/quoteengine/footer', $this->viewData);
            } else {
                $data['cover_type'] = $this->input->post('cover_type');
                $data['gender'] = $this->input->post('gender');
                $data['smoking'] = $this->input->post('smoking');
                $data['dob'] = $this->input->post('dob');

				$data['name'] = $this->input->post('name');
				$data['contact'] = $this->input->post('contact');
				$data['email'] = $this->input->post('email');

                if ($data['cover_type'] == "Joint") {
                    $data['partner_gender'] = $this->input->post('partner_gender');
                    $data['partner_smoking'] = $this->input->post('partner_smoking');
                    $data['partner_dob'] = $this->input->post('partner_dob');
                } else {
                    $data['partner_gender'] = "";
                    $data['partner_smoking'] = "";
                    $data['partner_dob'] = "";
                }
                $data['api_data'] = $result;
                $data['monthly_data'] = $monthly;
                $_SESSION['api_data'] = $result;
                $_SESSION['monthly_data'] = $monthly;

				foreach($monthly['Outputs']['Quotes']['Type'] as $arr)
				{
				    if($arr['Desc'] == "Serious Illness Only")
					{
				        if(array_key_exists('Level', $arr))
				            $mon_level =  $arr['Level'];
				    }
				}

				foreach($result['Outputs']['Quotes']['Type'] as $arr)
				{
				    if($arr['Desc'] == "Serious Illness Only")
					{
				        if(array_key_exists('Level', $arr))
				            $ann_level =  $arr['Level'];
				    }
				}

				$_SESSION['annual'] = $ann_level;
	            $_SESSION['monthly'] = $mon_level;

				$sendmail = $this->sendEmail($client, 'Serious Illness');

                $this->load->view('quoteengine/showIllnessDetails', $data);
                $this->load->view('common/quoteengine/footer', $this->viewData);
            }
        }
    }

	function apply_serious_illness($client = '')
    {
        $userID = $this->_baseSettings("Serious Illness Protection");
        $data = $this->viewData;
        $data['client'] = $client;
        $data['link'] = "Serious";
        if (isset($_REQUEST['send_mail'])) {
            $data['step'] = "4";
            $data['thankyou'] = "Thankyou";

            $sendmail = true;
			$data=array_merge($data, $_POST);
            $this->update_broker_api($data, "Serious Illness");
            if ($sendmail) {
                redirect('quoteengine/Thanks', 'refresh');
            } else {
                $this->viewData['message'] = "Operation Failed. Please Try Again";
                $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
                $this->load->view('quoteengine/error', $this->viewData);
                $this->load->view('common/quoteengine/footer', $this->viewData);
            }
        } else {
            $data['step'] = "3";
            $data['monthly'] = $this->input->post('monthly');
            $data['annual'] = $this->input->post('annual');
            $data['gender'] = $this->input->post('gender');
            $data['smoking'] = $this->input->post('smoking');
            $data['dob'] = $this->input->post('dob');

			$data['name'] = $this->input->post('name');
			$data['contact'] = $this->input->post('contact');
			$data['email'] = $this->input->post('email');

            $data['partner_gender'] = $this->input->post('partner_gender');
            $data['partner_smoking'] = $this->input->post('partner_smoking');
            $data['partner_dob'] = $this->input->post('partner_dob');
            $data['api_data'] = $_SESSION['api_data'];
            $data['monthly_data'] = $_SESSION['monthly_data'];
            $data['cover_type'] = $this->input->post('cover_type');
			
			$data['phone'] = $_SESSION['phone'];

            $this->load->view('quoteengine/ApplyIllnessOnline', $data);
            $this->load->view('common/quoteengine/footer', $this->viewData);

        }
        // prettyprint($result);
    }

	function leavemessage()
    {
        $userID = $this->_baseSettings("Leave a Message");
        $this->load->view('quoteengine/leavemessage', $this->viewData);
        $this->load->view('common/quoteengine/footer', $this->viewData);
    }

    function keepmeinformed()
    {
        $userID = $this->_baseSettings("Keep Me Informed");
        $this->load->view('quoteengine/keepInform', $this->viewData);
        $this->load->view('common/quoteengine/footer', $this->viewData);
    }

    function bookappointment()
    {
        $userID = $this->_baseSettings("Book an Appointment");
        $this->load->view('quoteengine/bookAppointment', $this->viewData);
        $this->load->view('common/quoteengine/footer', $this->viewData);
    }

    function saveAppointment()
    {
        if (isset($_POST['book_appointment'])) {
            $userId = $_SESSION['user_id'];
            $user = $this->_getUserDetails($userId);
            $to = $user->email;

            $email = $_POST["email"];
            $phone = $_POST["phone"];
            $name = $_POST["name"];
            $time = $_POST["time"];
            $date = $_POST["date"];
            $st = $this->generic_model->addGenericData('appointments', array('name' => $name, 'email' => $email, 'phone' => $phone, 'time' => $time, 'date' => $date));


            $message = "Hi User,<br />The Appointment details are as follows:<br><br />";
            $message .= "<b>Email:</b><br />" . $email . "<br /><br />";
            $message .= "<b>Name:</b><br />" . $name . "<br /><br />";
            $message .= "<b>Phone:</b><br />" . $phone . "<br /><br />";
            $message .= "<b>Date:</b><br />" . $date . "<br /><br />";
            $message .= "<b>Time:</b><br />" . $time . "<br /><br />";
            $message .= "Best Regards <br > Money Advice Team";

            $st = $this->_sendBasemail($to, "New Appointment Request from Money Advice", $message);

            $this->_sendBasemail($email, "Confirmation mail for Appointment from Money Advice", $message);


            $status = ($st) ? "Congrats. You have successfully booked an appointment" : "An Error Occurred. Please Try Again.";
            $this->session->set_flashdata('status', $status);
            redirect('quoteengine/bookappointment', 'refresh');

        }
    }

    function saveInform()
    {
        if (isset($_POST['keep_inform'])) {
            $userId = $_SESSION['user_id'];

            $email = $_POST["email"];
            $phone = $_POST["phone"];
            $name = $_POST["name"];

            $st = $this->generic_model->addGenericData('keep_inform', array('name' => $name, 'email' => $email, 'phone' => $phone));

            $status = ($st) ? "Thanks. We have recieved your info. We will keep you up-to date" : "An Error Occurred. Please Try Again.";
            $this->session->set_flashdata('status', $status);
            redirect('quoteengine/keepmeinformed', 'refresh');

        }
    }

    function mailMessage()
    {
        if (isset($_POST['leave_message'])) {
            $userId = $_SESSION['user_id'];
            $user = $this->_getUserDetails($userId);
            $to = $user->email;
            $email = $_POST["email"];
            $phone = $_POST["phone"];
            $subject = $_POST["subject"];

            $message = "Hi User,<br />The message details are as follows:<br><br />";
            $message .= "<b>Email:</b><br />" . $email . "<br /><br />";
            $message .= "<b>Subject:</b><br />" . $subject . "<br /><br />";
            $message .= "<b>Phone:</b><br />" . $phone . "<br /><br />";
            $message .= "<b>Message:</b><br />" . $_POST['message'] . "<br /><br />";
            $message .= "Best Regards <br > Money Advice Team";

            $st = $this->_sendBasemail($to, "New Message from Money Advice", $message);

            $this->_sendBasemail($email, "Confirmation mail from Money Advice", $message);

            $status = ($st) ? "Message Sent Successfully" : "Message Sending Failed";
            $this->session->set_flashdata('status', $status);
            redirect('quoteengine/leavemessage', 'refresh');

        }
    }

    // private functions

	function Thanks()
    {
        $userID = $this->_baseSettings("Thanks");
        $this->load->view('quoteengine/ThankYou', $this->viewData);
        $this->load->view('common/quoteengine/footer', $this->viewData);
    }


    function _sendBasemail($to, $subject, $message)
    {
        $this->load->library('email');
        $config = array(
            'protocol' => 'smtp',
            'smtp_host' => 'ssl://smtp.googlemail.com',
            'smtp_port' => 465,
            'smtp_user' => 'demo.iglulabs@gmail.com',
            'smtp_pass' => 'password123+',
            'mailtype' => 'html',
            'charset' => 'iso-8859-1'
        );

        $this->email->initialize($config);
        $this->email->set_newline("\r\n");

        $this->email->from('info@moneyadvice.ie', 'Money Advice');
        $this->email->to($to);
        $this->email->bcc('contact@iglulabs.com');
        // $this->email->bcc('sat@moneyadvice.ie'); 

        $this->email->subject($subject);
        $this->email->message($message);

        return $this->email->send();
    }

    function _baseSettings($title)
    {
        $userID = $_SESSION['user_id'];
        $this->viewData['details'] = $this->_getAllSettings($userID);
        $this->viewData['details']['pageTitle'] = $title;
        return $userID;
    }

    function _getAllSettings($userID)
    {

        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID), null, null, null, true);
        $details = array();
        foreach ($result as $attr) {
            $details[$attr->variable] = $attr->value;
            $details[$attr->variable . '_sub'] = $attr->enabled;
        }

        return $details;
    }

    function  _getThemeSettings($userID)
    {
        $needed = array('logo', 'theme_color', 'news_link');
        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID, 'variable' => $needed));
        $details = array('logo' => '', 'theme_color' => '#18B3CF', 'news_link' => '');
        foreach ($result as $attr) {
            $details[$attr->variable] = $attr->value;
        }
        return $details;
    }

    function _getWebLinks($userID)
    {
        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID, 'variable' => array('website_link')), null, null, null, true);
        $link = "";
        foreach ($result as $attr) {
            $link = $attr->value;
        }
        return $link;
    }

    function _getHomeLinks($userID)
    {
        $result = $this->generic_model->getGenericData('home_links', array('user_id' => $userID));
        $de = array();
        foreach ($result[0] as $attr => $val) {
            $de[$attr] = $val;
        }
        return $de;
    }

    function _getContent($userID, $contentType)
    {
        $contentTitle = array(
            "about_us" => "About Us",
            "terms" => "Terms & Conditions",
            "office_hours" => "Office Hours",
            "services" => "Our Services",
            "ulinks" => "Useful Links",
            "news_link" => "News & Events",
            "working_with" => "Working With",
            "telephone" => "Call Us",
            "termsofb" => "Terms of Business",
            "privacy" => "Privacy Statement",
            "logo_redirect_url" => "Where to take when the logo is clicked",
            "back_button_url" => "Where to take when the back button is clicked",
            "is_header_enabled_yn" => "Is header enabled?",
            "is_footer_enabled_yn" => "Is footer enabled?"
        );

        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID, 'variable' => $contentType), null, null, null, true);
        $content = array();
        foreach ($result as $attr) {
            $content['content'] = $attr->value;
        }
        $content['title'] = $contentTitle[$contentType];

        return $content;
    }

    function _getContactInfo($userID)
    {
        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID, 'variable' => array('facebook_link', 'twitter_link', 'telephone', 'address', 'location')), null, null, null, true);
        $details = array();
        foreach ($result as $attr) {
            $details[$attr->variable] = $attr->value;
        }
        return $details;
    }

    function _getFooterContent($userID)
    {
        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID, 'variable' => array('thanks', 'footer')), null, null, null, true);
        $details = array();
        foreach ($result as $attr) {
            $details[$attr->variable] = $attr->value;
        }
        return $details;
    }

    function _getUserDetails($userID)
    {
        $details = $this->generic_model->getGenericData('users', array('id' => $userID), null, null, null, true);
        return $details[0];
    }

	function sendEmail($client, $quote_type = '')
    {
		$arrUtm = array( 'fb' => 'Facebook', 'gl' => 'Google', '' => '');

        $userId = $_SESSION['user_id'];
        $user = $this->_getUserDetails($userId);
        $client_email = $user->email;

	//	echo $client_email.$_SESSION['broker_id'];

        $monthly = number_format(round($_SESSION['monthly'],2), 2);
        $annual = number_format(round($_SESSION['annual'],2), 2);
        
		$name = $this->input->post('name');
        $email = $this->input->post('email');
        $phone = $this->input->post('contact');

        $time = $this->input->post('best_time');
        $utm = $arrUtm[base64_decode($this->input->post('utm'))];

		if( $utm != '')
			$utm = " - ".$utm;

        $api_data = $_SESSION['api_data'];

        $life1 = "";
        $life2 = "";
        $plan = $api_data['Outputs']['Summary']['Plan'];;

		if( $quote_type == 'Income Protection')
        {
		    $life1 = $api_data['PHIQuote']['Summary']['Life1'];;
	        $plan = $api_data['PHIQuote']['Summary']['Plan'];;

		}

        $premium_annual = "";
        $premium_month = "";
        $quote = "";

        if (array_key_exists('Life1', $api_data['Outputs']['Summary'])) {
            $life1 = $api_data['Outputs']['Summary']['Life1'];
        }
        if (array_key_exists('Life2', $api_data['Outputs']['Summary']) && !empty($api_data['Outputs']['Summary']['Life2'])) {
            $life2 = $api_data['Outputs']['Summary']['Life2'];
        }

        $body = "
            <html>
            <table>            
            <tr>
            <td><strong>Name: </strong></td>
            <td> $name </td>
            </tr>
            <tr>
            <td><strong>Email: </strong></td>
            <td> $email </td>
            </tr>
            <tr>
            <td><strong>Phone: </strong></td>
            <td> $phone </td>
            </tr>";
		
		if( $utm != '')
           $body .= "<tr><td><strong>Source: </strong></td><td>$utm</td></tr>";

		$body .= '</table>';
		 		 
		 if( $life1 != '' || $life2 != '' || $plan != '')
		 {
			 $body .= "<table> 
            <tr>
            <td><strong>Quote Summary</strong></td>
            </tr>
            <tr>
            <td>$life1</td>
            </tr>
            <tr>
            <td>$life2</td>
            </tr>
            <tr>
            <td>$plan</td>
            </tr>
           </table>";
		}

		  
		$body .= "<table> 
            <tr>
            <td><strong>Your Quote</strong></td>
            </tr>
            <tr>
            <td>Monthly Premium:</td>
            <td>$monthly</td>
            </tr>
            <tr>
            <td>Annual Premium:</td>
            <td>$annual</td>
            </tr>
           
            </table>
            </html>";
        $this->load->library('email');
        $config = array(
            'protocol' => 'smtp',
            'smtp_host' => 'smtp.office365.com',
            'smtp_port' => 587,
            'smtp_user' => 'noreply@moneyadvice.ie',
            'smtp_pass' => 'money@dv1ce',
            'mailtype' => 'html',
            'charset' => 'iso-8859-1',
			'smtp_crypto' => 'tls'

        );


        $this->email->initialize($config);
        $this->email->set_newline("\r\n");

        $this->email->from('noreply@moneyadvice.ie', 'Money Advice');
        $this->email->to($client_email);
//        $this->email->bcc('swetha043@gmail.com');
        $this->email->bcc('sat@moneyadvice.ie, swetha043@gmail.com');

        $this->email->subject('Web Quote - '.$quote_type.' '.$utm);
        $this->email->message($body);

//        return $this->email->send();
    }

    function sendEmailIncome()
    {
        $userId = $_SESSION['user_id'];
        $user = $this->_getUserDetails($userId);
        $client_email = $user->email;
        
        $level_month = number_format(round($_SESSION['level_month'],2), 2);

        $name = $this->input->post('name');
        $email = $this->input->post('email');
        $phone = $this->input->post('contact');

        $body = "
            <html>
            <table>
            
            <tr>
            <td><strong>Name: </strong></td>
            <td> $name </td>
            </tr>
            <tr>
            <td><strong>Email: </strong></td>
            <td> $email </td>
            </tr>
            <tr>
            <td><strong>Phone: </strong></td>
            <td> $phone </td>
            </tr>
            </table>
            <table>
           <tr>
            <td><strong>Your Quote</strong></td>
            </tr>
            <tr>
            <td>Monthly Premium:</td>
            <td>$level_month</td>
            </tr>
            </table>
            </html>";

        $this->load->library('email');

		$config = array(
            'protocol' => 'smtp',
            'smtp_host' => 'smtp.office365.com',
            'smtp_port' => 587,
            'smtp_user' => 'noreply@moneyadvice.ie',
            'smtp_pass' => 'money@dv1ce',
            'mailtype' => 'html',
            'charset' => 'iso-8859-1',
			'smtp_crypto' => 'tls'
        );

        $this->email->initialize($config);
        $this->email->set_newline("\r\n");

        $this->email->from('info@moneyadvice.ie', 'Money Advice');
        $this->email->to($client_email);
//        $this->email->bcc('swetha043@gmail.com');

        $this->email->bcc('sat@moneyadvice.ie, swetha043@gmail.com');

        $this->email->subject('Web Quote - Income Protection');
        $this->email->message($body);

        return $this->email->send();

    }

	function make_income_api_call($array, $frequency)
    {

        $url = "http://www.mortgagecrmlite.com/StagingQuotes/BrokerCRMPHIQuote/BrokerCRMPHIQuote.asmx?WSDL";
        $client = new SoapClient($url);

        $xml = '<PHIQuote>
                      <Authentication>
                            <BrokerKey>test</BrokerKey>
                            <BrokerWebsiteURL>http://www.brokercrmlite.com/test.html</BrokerWebsiteURL>
                      </Authentication>
                      <QuoteDetails>
                            <OccupationClass>Class 1</OccupationClass>
                            <Gender>' . $array['gender'] . '</Gender>
                            <CessationAge>' . $array['income_age'] . '</CessationAge>
                            <DeferredPeriod>26 Weeks</DeferredPeriod>
                            <AnnualBenefit>' . $array['cover_amount'] . '</AnnualBenefit>
							<DeferredPeriod2/>
							<AnnualBenefit2>0</AnnualBenefit2>
							<DeferredPeriod3/>
							<AnnualBenefit3>0</AnnualBenefit3>
                            <Smoker>' . $array['smoking'] . '</Smoker>
							<DOB>' . $array['dob'] . '</DOB>
							<Indexation>0</Indexation>
                            <Frequency>' . $frequency . '</Frequency>
							<CBR>'.$_SESSION['cbr_code'].'</CBR>
                            <QuoteFriendsFirst>Y</QuoteFriendsFirst>
                            <QuoteIrishLife>Y</QuoteIrishLife>
                            <QuoteNewIreland>Y</QuoteNewIreland>
							<QuoteCaledonian>Y</QuoteCaledonian>
							<QuotePersonalExecutive>Personal</QuotePersonalExecutive>
                      </QuoteDetails>
                </PHIQuote>';

        $doc = new DOMDocument();
        $doc->loadXML($xml);
        $xml_str = $doc->saveXML();

        $result = $client->GetBestQuote(array('xmlQuotationDetails' => $xml_str));
		$restt = $result->GetBestQuoteResult;

        $res_arr = $this->xmlstr_to_array($restt);

		$file = fopen("/var/www/html/money_advice/www/".'income-'.date('d-m-Y').".log","a+");
		fwrite($file, "\n << START >> ----".date("F j, Y, g:i:s a")."---- \n");
		fwrite($file, $xml);
		fwrite($file, "\n << ------ Results ------- >>-\n");
		fwrite($file, $restt);
		fwrite($file, "\n << ------ << END >> ------- >>-\n");
		fclose($file);

        return $res_arr;
    }
    function xmlstr_to_array($xmlstr) {
        $doc = new DOMDocument();
        $doc->loadXML($xmlstr);
        return domnode_to_array($doc->documentElement);
    }
    function domnode_to_array($node) {
        $output = array();
        switch ($node->nodeType) {
            case XML_CDATA_SECTION_NODE:
            case XML_TEXT_NODE:
                $output = trim($node->textContent);
                break;
            case XML_ELEMENT_NODE:
                for ($i=0, $m=$node->childNodes->length; $i<$m; $i++) {
                    $child = $node->childNodes->item($i);
                    $v = domnode_to_array($child);
                    if(isset($child->tagName)) {
                        $t = $child->tagName;
                        if(!isset($output[$t])) {
                            $output[$t] = array();
                        }
                        $output[$t][] = $v;
                    }
                    elseif($v) {
                        $output = (string) $v;
                    }
                }
                if(is_array($output)) {
                    if($node->attributes->length) {
                        $a = array();
                        foreach($node->attributes as $attrName => $attrNode) {
                            $a[$attrName] = (string) $attrNode->value;
                        }
                        $output['@attributes'] = $a;
                    }
                    foreach ($output as $t => $v) {
                        if(is_array($v) && count($v)==1 && $t!='@attributes') {
                            $output[$t] = $v[0];
                        }
                    }
                }
                break;
        }
        return $output;
    }
    function update_broker_api($data, $product_type)
    {
		$userId = $_SESSION['user_id'];
        $user = $this->_getUserDetails($userId);
        $broker_id = $user->broker_id;
        
		$api_data = array(
            "BrokerID" => $broker_id,
            "FirstName" => $data['name'],
            "Surname" => $data['name'],
            "Title" => "",
            "DateOfBirth" => $data['dob'],
            "Gender" => $data['gender'],
            "Smoker" => $data['smoking'],
            "quoteengine" => $data['contact'],
            "Email" => $data['email'],
            "Address1" => "",
            "Address2" => "",
            "TownCity" => "",
            "County" => "",
            "WorkPhone" => "",
            "HomePhone" => "" ,
            "SourceOfBusiness" => "Web Site",
            "Product" => "Protection",
            "ProductType" => $product_type,
            "Provider" => "",
            "Premium" => $data['monthly'],
            "Frequency" => "Monthly",
            "Description" => isset($data['quote_summary']) ? $data['quote_summary']: ""
        );

        if ($data['cover_type'] == "Joint") {

			$api_data1 = array(
                "IsJoint" => "1",
                "FirstName2" => "",
                "Surname2" => "",
                "Title2" => "",
                "DateOfBirth2" => $data['partner_dob'],
                "Gender2" => $data['partner_gender'],
                "Smoker2" => $data['partner_smoking'],
                "quoteengine2" => "",
                "Email2" => "", //$data['email2'],
                "Address12" => "",
                "Address22" => "",
                "TownCity2" => "",
                "County2" => "",
                "WorkPhone2" => "",
                "HomePhone2" => "",
                "SourceOfBusiness2" => "Web Site"
            );
        } else {
            $api_data1 = array(
                "IsJoint" => "0",
                "FirstName2" => "",
                "Surname2" => "",
                "Title2" => "",
                "DateOfBirth2" => "",
                "Gender2" => "",
                "Smoker2" => "",
                "quoteengine2" => "",
                "Email2" => "",
                "Address12" => "",
                "Address22" => "",
                "TownCity2" => "",
                "County2" => "",
                "WorkPhone2" => "",
                "HomePhone2" => "",
                "SourceOfBusiness2" => ""
            );
        }

        $result_array = array_merge((array)$api_data, (array)$api_data1);
        //print_r($result_array);exit;
        $url = "http://www.mortgagecrmlite.com/MoneyAdviceClientDataSync/ClientDataWebQuote.asmx?WSDL";

        $client = new SoapClient($url);

        $result = $client->WebQuote($result_array);

		
    }

}


