<?php 
defined('BASEPATH') OR exit('No direct script access allowed');
session_cache_limiter('private-no-expire'); 

class Quotesrb extends CI_Controller
{
    public $viewData = array();

    function __construct()
    {
        session_start();
        parent::__construct();

		$broker_host = $_SERVER['SERVER_NAME'];
        if (!empty($broker_host)) {
            if (!isset($_SESSION['user_id'])) {
                $brokers = $this->generic_model->getGenericData('users', array('sub_domain' => $broker_host));

                if (count($brokers) == 1) {
                    $_SESSION['user_id'] = $brokers[0]->id;
                    $_SESSION['broker_id'] = $brokers[0]->broker_id;
					$_SESSION['phone'] = $brokers[0]->phone;
					$_SESSION['cbr_code'] = $brokers[0]->cbr_code;

                    $_SESSION['base_url'] = "http://" . $brokers[0]->sub_domain;

                } else {
					    $_SESSION['user_id'] = 88;
                   $_SESSION['broker_id'] = 888;
                    $_SESSION['base_url'] = "http://localhost/money_advice/www/"; 
                  
                  //  exit("<br>Domain Configuration went wrong. Please Contact the Admin.");
                }
            }
        } else {
            exit("<br>Domain Configuration went wrong. Please Contact the Admin. Not forwarded");
        }

		$_SESSION['lead_source'] = $_SERVER['HTTP_REFERER'];

		$this->viewData['pixel_data'] = $this->db->query('SELECT * FROM pixels where user_id = '.$_SESSION['user_id'])->result();
		$this->viewData['details'] = $this->_getAllSettings($_SESSION['user_id']);
        $this->viewData['userDetails'] = $this->_getUserDetails($_SESSION['user_id']);
        $this->viewData['footerDetails'] = $this->_getFooterContent($_SESSION['user_id']);

        $this->config->set_item('base_url', $_SESSION['base_url']);
    }

    function index()
    {
        $this->home();
    }

    function home()
    {
        $userID = $_SESSION['user_id'];
        $this->viewData['settings'] = $this->_getHomeLinks($userID);
        $this->load->view('quotesrb/home', $this->viewData);
        $this->load->view('common/quotesrb/footer', $this->viewData);
    }

    function lifeInsurance()
    {
        $userID = $this->_baseSettings("Life Insurance");

		if( $this->input->get('ld') != '')
		{
			$this->viewData['lead_id'] = base64_decode($this->input->get('ld'));
			$lead_data = $this->getLeadTracker('life_insurance', $this->viewData['lead_id'] );
			$this->viewData = array_merge( $this->viewData, $lead_data);
		}
		else
		{
			$this->viewData['lead_id'] = $this->addLeadTracker('life_insurance');
		}

        $this->load->view('quotesrb/lifeInsurance', $this->viewData);
        $this->load->view('common/quotesrb/footer', $this->viewData);
    }

	function mortgageProtection()
    {
        $userID = $this->_baseSettings("Mortgage Protection");

		if( $this->input->get('ld') != '')
		{
			$this->viewData['lead_id'] = base64_decode($this->input->get('ld'));
			$lead_data = $this->getLeadTracker('mortgage_protection', $this->viewData['lead_id'] );
			$this->viewData = array_merge( $this->viewData, $lead_data);
		}
		else
		{
			$this->viewData['lead_id'] = $this->addLeadTracker('mortgage_protection');
		}

		$this->load->view('quotesrb/mortgage', $this->viewData);
        $this->load->view('common/quotesrb/footer', $this->viewData);
    }

	function incomeProtection()
    {
        $userID = $this->_baseSettings("Income Protection");

		if( $this->input->get('ld') != '')
		{
			$this->viewData['lead_id'] = base64_decode($this->input->get('ld'));
			$lead_data = $this->getLeadTracker('income_protection', $this->viewData['lead_id'] );

			$this->viewData = array_merge( $this->viewData, $lead_data);
		}
		else
		{
			$this->viewData['lead_id'] = $this->addLeadTracker('income_protection');
		}

        $this->load->view('quotesrb/income', $this->viewData);
        $this->load->view('common/quotesrb/footer', $this->viewData);
    }

	function seriousIllness()
    {
        $userID = $this->_baseSettings("Serious Illness");

		if( $this->input->get('ld') != '')
		{
			$this->viewData['lead_id'] = base64_decode($this->input->get('ld'));
			$lead_data = $this->getLeadTracker('serious_illness', $this->viewData['lead_id'] );
			$this->viewData = array_merge( $this->viewData, $lead_data);
		}
		else
		{
			$this->viewData['lead_id'] = $this->addLeadTracker('serious_illness');
		}

        $this->load->view('quotesrb/illness', $this->viewData);
        $this->load->view('common/quotesrb/footer', $this->viewData);
    }

    function lifeQuote($client = '')
    {
        $userID = $this->_baseSettings("Life Insurance");
		$data = $this->viewData;

		$data['client'] = $client;
        $data['link'] = "Life";
        $data['step'] = "2";
        $flag = false;

		if( $this->input->get('ld') != '' )		
		{
			$data['lead_id'] = base64_decode($this->input->get('ld'));
			$data = array_merge( $data, $this->getLeadTracker('life_insurance', $data['lead_id']));

			$this->load->view('quotesrb/showDetails', $data);
			$this->load->view('common/quotesrb/footer', $this->viewData);

		}
		else if( $this->input->post('lead_id') != '' )
		{
			$data['lead_id'] = $this->input->post('lead_id');

	        $monthly = $this->get_life_insurance_report("Monthly", '', 'life');

			if ($monthly != "empty") {
				if (array_key_exists('0', $monthly['Outputs']['Quotes']['Type'])) {
					foreach ($monthly['Outputs']['Quotes']['Type'] as $arr) {
						if ($arr['Desc'] == "Life Cover Only") {
							$flag = true;
						}
					}
				}
			}

			if ($monthly == "empty" || !$flag) {
				$this->viewData['message'] = "No Quotes have been generated for the data entered by you. Please contact us to discuss your needs.";
				$this->viewData['url'] = $_SERVER['HTTP_REFERER'];

				//Lead Tracker
				$input = $this->input->post();
				$input['step'] = 2;
				$input['summary'] = 'No quotes are generated';
				$this->updLeadTracker($input);

				$this->load->view('quotesrb/error', $this->viewData);
				$this->load->view('common/quotesrb/footer', $this->viewData);
			} 
			else 
			{
				foreach($monthly['Outputs']['Quotes']['Type'] as $arr)
				{
					if($arr['Desc'] == "Life Cover Only")
					{
						if(array_key_exists('Level', $arr))
							$level =  $arr['Level'];
					}
				}

				$_SESSION['monthly_data'] = $monthly;			
				$_SESSION['monthly'] = $level;
				$data['monthly_data'] = $monthly;
				$data['level'] = number_format(round($level, 2), 2);

				$body = $this->sendEmail($client, 'Life Insurance');

				$data['email_message'] = $body;
				$data['utm'] =  $this->input->post('utm');

				$this->load->view('quotesrb/showDetails', $data);
				$this->load->view('common/quotesrb/footer', $this->viewData);
	        }
		}
    }

	function get_life_insurance_report($term, $client = '', $quote_type = '')
    {
        $data['client'] = $client;

        $array = array(
            "cover_amount" => $this->input->post('cover_amount'),
            "cover_type" => $this->input->post('cover_type'),
            "length" => $this->input->post('length'),
            "indexation" => $this->input->post('indexation'),
			"gender" => $this->input->post('gender'),
            "smoking" => $this->input->post('smoking'),
            "dob" => $this->input->post('datepicker_birth')['month']."/".$this->input->post('datepicker_birth')['day']."/".$this->input->post('datepicker_birth')['year'],
            "partner_gender" => $this->input->post('partner_gender'),
            "partner_smoking" => $this->input->post('partner_smoking'),
            "partner_dob" => $this->input->post('datepicker2_birth')['month']."/".$this->input->post('datepicker2_birth')['day']."/".$this->input->post('datepicker2_birth')['year'],
        );

		$array['quote_type'] = $quote_type;
		$array['cbr_code'] = $_SESSION['cbr_code'];

        $frequency = $term; //Annual or Monthly

		if( $quote_type != '' )
	        $api_data = getLifeQuoteByType($array, $frequency);
		else
			$api_data = getLifeQuote($array, $frequency);

        return $api_data;
    }

	function apply_life_insurance($client = '')
    {
        $userID = $this->_baseSettings("Life Insurance");
        $data = $this->viewData;
        $data['client'] = $client;
        $data['link'] = "Life";

		if( $this->input->get('ld') != '')
		{
			$data['lead_id'] = base64_decode($this->input->get('ld'));
			$data = array_merge($data, $this->getLeadTracker('life_insurance', $data['lead_id']));

		    $this->load->view('quotesrb/ApplyOnline', $data);
	        $this->load->view('common/quotesrb/footer', $this->viewData);
		}
		else if( $this->input->post('lead_id') != '' )
		{
			$data['lead_id'] = $this->input->post('lead_id');

	        if (isset($_REQUEST['send_mail'])) 
			{
				$data['step'] = "4";
				$data['thankyou'] = "Thankyou";
        
				$sendmail = true;

				//Lead Tracker
			    $this->generic_model->updateGenericData('lead_tracker', array('id' => $this->input->post('lead_id')), array( 'step' => 4, 'best_time' => $this->input->post('best_time'), 'address1' => $this->input->post('address1'), 'address2' => $this->input->post('address2'), 'city' => $this->input->post('city'), 'country' => $this->input->post('country') ) );
            
				$lead_data = $this->getLeadTracker('life_insurance', $data['lead_id']);
				$data = array_merge($data, $lead_data);

				$this->update_broker_api($data, "Life Insurance");
			    if ($sendmail) {
				    redirect('quotesrb/Thanks', 'refresh');
	            } else {
		            $this->viewData['message'] = "Operation Failed. Please Try Again";
			        $this->viewData['url'] = $_SERVER['HTTP_REFERER'];
				    $this->load->view('quotesrb/error', $this->viewData);
					$this->load->view('common/quotesrb/footer', $this->viewData);
		        }

			} 
			else {
				$data['step'] = "3";
				$data['phone'] = $_SESSION['phone'];
				$data['sbutton'] = isset( $_REQUEST['apply'] ) ?  "Apply" : "Send me the Forms";

				$lead_data = $this->getLeadTracker('life_insurance', $data['lead_id']);				
				$data = array_merge($data, $lead_data);

				//Lead Tracker
		        $this->generic_model->updateGenericData('lead_tracker', array('id' => $this->input->post('lead_id')), array( 'step' => 3, 'button' => $data['sbutton']));

	            $this->load->view('quotesrb/ApplyOnline', $data);
		        $this->load->view('common/quotesrb/footer', $this->viewData);
			}
		}
    }

	function mortgage_insurance($client = '')
    {
        $userID = $this->_baseSettings("Mortgage Protection");
        $data = $this->viewData;
        $data['client'] = $client;

		if( $this->input->get('ld') != '' )		
		{
			$data['lead_id'] = base64_decode($this->input->get('ld'));
			$data = array_merge( $data, $this->getLeadTracker('mortgage_protection', $data['lead_id']));

			$this->load->view('quotesrb/showMortgageDetails', $data);
			$this->load->view('common/quotesrb/footer', $this->viewData);

		}
		else if( $this->input->post('lead_id') != '' )
		{
			$data['lead_id'] = $this->input->post('lead_id');

			if (isset($_REQUEST['get_life_quote'])) 
			{

				$data['link'] = "Mortgage";
				$data['step'] = "2";
				$flag = false;
		
				$monthly = $this->get_life_insurance_report("Monthly", '', 'mortgage');
				
				if ($monthly != "empty") {
					if (array_key_exists('0', $monthly['Outputs']['Quotes']['Type'])) {
						foreach ($monthly['Outputs']['Quotes']['Type'] as $arr) {
							//print_r($arr);exit;
							if ($arr['Desc'] == "Life Cover Only") {
								$flag = true;
							}
						}
					}
				}

				if ($monthly == "empty" || !$flag) {
					$this->viewData['message'] = "No Quotes have been generated for the data entered by you. Please contact us to discuss your needs.";
					$this->viewData['url'] = $_SERVER['HTTP_REFERER'];
			
					//Lead Tracker
					$input = $this->input->post();
					$input['step'] = 2;
					$input['summary'] = 'No quotes are generated';
					$this->updLeadTracker($input);

					$this->load->view('quotesrb/error', $this->viewData);
					$this->load->view('common/quotesrb/footer', $this->viewData);
				} 
				else
				{
					foreach($monthly['Outputs']['Quotes']['Type'] as $arr)
					{
						if($arr['Desc'] == "Life Cover Only")
						{
							if(array_key_exists('MortgageProtection', $arr))
								$mon_mort =  $arr['MortgageProtection'];
						}
					}

					$data['monthly_data'] = $monthly;
					$_SESSION['monthly_data'] = $monthly;
					$_SESSION['monthly'] = $mon_mort;
					$data['level'] = number_format(round($mon_mort, 2), 2);

					$body = $this->sendEmail($client, 'Mortgage Protection');
					$data['email_message'] = $body;
					$data['utm'] =  $this->input->post('utm');

					$this->load->view('quotesrb/showMortgageDetails', $data);
					$this->load->view('common/quotesrb/footer', $this->viewData);
				}
			}
		}
    }

	function apply_mortgage_insurance($client = '')
    {
        $userID = $this->_baseSettings("Mortgage Protection");
        $data = $this->viewData;
        $data['client'] = $client;
        $data['link'] = "Mortgage";
		if( $this->input->get('ld') != '')
		{
			$data['lead_id'] = base64_decode($this->input->get('ld'));
			$data = array_merge($data, $this->getLeadTracker('mortgage_protection', $data['lead_id']));

		    $this->load->view('quotesrb/ApplyMortgageOnline', $data);
	        $this->load->view('common/quotesrb/footer', $this->viewData);
		}
		else if( $this->input->post('lead_id') != '' )
		{
			$data['lead_id'] = $this->input->post('lead_id');

			if (isset($_REQUEST['send_mail'])) {

				$data['step'] = "4";
				$data['thankyou'] = "Thankyou";
				$sendmail = true;

				//Lead Tracker
				$this->generic_model->updateGenericData('lead_tracker', array('id' => $this->input->post('lead_id')), array( 'step' => 4, 'best_time' => $this->input->post('best_time'), 'address1' => $this->input->post('address1'), 'address2' => $this->input->post('address2'), 'city' => $this->input->post('city'), 'country' => $this->input->post('country') ) );
				
				$lead_data = $this->getLeadTracker('mortgage_protection', $data['lead_id']);
				$data = array_merge($data, $lead_data);
				
				$this->update_broker_api($data, "Mortgage");

				if ($sendmail) {
					redirect('quotesrb/Thanks', 'refresh');
				} else {
					$this->viewData['message'] = "Operation Failed. Please Try Again";
					$this->viewData['url'] = $_SERVER['HTTP_REFERER'];
					$this->load->view('quotesrb/error', $this->viewData);
					$this->load->view('common/quotesrb/footer', $this->viewData);
				}


			} else {
				$data['step'] = "3";
				$data['phone'] = $_SESSION['phone'];
				$data['sbutton'] = isset( $_REQUEST['apply'] ) ?  "Apply" : "Send me the Forms";

				//Lead Tracker
				$this->generic_model->updateGenericData('lead_tracker', array('id' => $this->input->post('lead_id')), array( 'step' => 3, 'button' => $data['sbutton']));

				$lead_data = $this->getLeadTracker('mortgage_protection', $data['lead_id']);				
				$data = array_merge($data, $lead_data);

				$this->load->view('quotesrb/ApplyMortgageOnline', $data);
				$this->load->view('common/quotesrb/footer', $this->viewData);
			}
		}
    }

	function income_protection($client = '')
    {
        $userID = $this->_baseSettings("Income Protection");
        $data = $this->viewData;

		if( $this->input->get('ld') != '' )		
		{
			$data['lead_id'] = base64_decode($this->input->get('ld'));
			$data = array_merge( $data, $this->getLeadTracker('income_protection', $data['lead_id']));

			$this->load->view('quotesrb/showIncomeDetails', $data);
			$this->load->view('common/quotesrb/footer', $this->viewData);
		}
		else if( $this->input->post('lead_id') != '' )
		{
			$data['lead_id'] = $this->input->post('lead_id');

			if (isset($_REQUEST['get_income_quote']))
			{
				$data['client'] = $client;
				$userID = $this->_baseSettings("Income Protection");
				$data['link'] = "Income";
				$data['step'] = "2";
				$monthly = $this->get_income_report("Monthly");


				if (empty($monthly['PHIQuote']['QuoteResults'])) {
					$this->viewData['message'] = "No Quotes have been generated for the data entered by you. Please contact us to discuss your needs.";
					$this->viewData['url'] = $_SERVER['HTTP_REFERER'];

					//Lead Tracker
					$input = $this->input->post();
					$input['step'] = 2;
					$input['summary'] = 'No quotes are generated';
					$this->updLeadTracker($input);

					$this->load->view('quotesrb/error', $this->viewData);
					$this->load->view('common/quotesrb/footer', $this->viewData);
				} 
				else 
				{
					$data['monthly'] = $monthly;
					$_SESSION['monthly_data'] = $monthly;

					$_SESSION['monthly'] = round($monthly['PHIQuote']['QuoteResults']['Type'][0]['GuarLevelRate'],2);
					$data['level']  = number_format(round($monthly['PHIQuote']['QuoteResults']['Type'][0]['GuarLevelRate'], 2), 2);

					$body = $this->sendEmail($client, 'Income Protection');

					$data['email_message'] = $body;
					$data['utm'] =  $this->input->post('utm');
					
					$this->load->view('quotesrb/showIncomeDetails', $data);
					$this->load->view('common/quotesrb/footer', $this->viewData);
				}
			}
		}
    }

	function apply_income_protection($client = '')
    {
        $userID = $this->_baseSettings("Income Protection");
        $data = $this->viewData;
        $data['link'] = "Income";
        $data['client'] = $client;

		if( $this->input->get('ld') != '')
		{
			$data['lead_id'] = base64_decode($this->input->get('ld'));
			$data = array_merge($data, $this->getLeadTracker('income_protection', $data['lead_id']));

		    $this->load->view('quotesrb/ApplyIncomeOnline', $data);
	        $this->load->view('common/quotesrb/footer', $this->viewData);
		}
		else if( $this->input->post('lead_id') != '' )
		{
			$data['lead_id'] = $this->input->post('lead_id');


			if (isset($_REQUEST['send_mail'])) {
				$data['step'] = "4";
				$data['thankyou'] = "Thankyou";   
				
				//Lead Tracker
				$this->generic_model->updateGenericData('lead_tracker', array('id' => $this->input->post('lead_id')), array( 'step' => 4, 'best_time' => $this->input->post('best_time'), 'address1' => $this->input->post('address1'), 'address2' => $this->input->post('address2'), 'city' => $this->input->post('city'), 'country' => $this->input->post('country') ) );

				$sendmail = true;
				$lead_data = $this->getLeadTracker('income_protection', $data['lead_id']);
				$data = array_merge($data, $lead_data);

				$this->update_broker_api($data, "Income Protection");
				if ($sendmail) {
					redirect('quotesrb/Thanks', 'refresh');
				} else {
					$this->viewData['message'] = "Operation Failed. Please Try Again";
					$this->viewData['url'] = $_SERVER['HTTP_REFERER'];
					$this->load->view('quotesrb/error', $this->viewData);
					$this->load->view('common/quotesrb/footer', $this->viewData);
				}

			} else {
				$data['step'] = "3";
				$data['phone'] = $_SESSION['phone'];
				$data['sbutton'] = isset( $_REQUEST['apply'] ) ?  "Apply" : "Send me the Forms";

				//Lead Tracker
				$this->generic_model->updateGenericData('lead_tracker', array('id' => $this->input->post('lead_id')), array( 'step' => 3, 'button' => $data['sbutton']));

				$lead_data = $this->getLeadTracker('income_protection', $data['lead_id']);				
				$data = array_merge($data, $lead_data);

				$this->load->view('quotesrb/ApplyIncomeOnline', $data);
				$this->load->view('common/quotesrb/footer', $this->viewData);
			}
		}
    }

	function get_income_report($term = "", $client = '')
    {
        $cover_amount = $this->input->post('cover_amount');
        $income_age = $this->input->post('income_age');
        $gender = $this->input->post('gender');
        $smoking = $this->input->post('smoking');
        $dob = $this->input->post('dob');

        $array = array(
            "cover_amount" => $cover_amount,
            "income_age" => $income_age,
            "gender" => $gender,
            "smoking" => $smoking,
            "dob" => $dob,
        );

        $frequency = $term; //Annual or Monthly

        $api_data = $this->make_income_api_call($array, $frequency);
        return $api_data;
    }

    function serious_illness($client = '')
    {
        $userID = $this->_baseSettings("Serious Illness Protection");
        $data = $this->viewData;
        $data['client'] = $client;

		if( $this->input->get('ld') != '' )		
		{
			$data['lead_id'] = base64_decode($this->input->get('ld'));
			$data = array_merge( $data, $this->getLeadTracker('serious_illness', $data['lead_id']));

			$this->load->view('quotesrb/showIllnessDetails', $data);
			$this->load->view('common/quotesrb/footer', $this->viewData);

		}
		else if( $this->input->post('lead_id') != '' )
		{
			$data['lead_id'] = $this->input->post('lead_id');

			if (isset($_REQUEST['get_illness_quote'])) {
				$data['link'] = "Serious";
				$data['step'] = "2";
				$flag = false;

				$monthly = $this->get_life_insurance_report("Monthly", '', 'serious_illness');

				if ($monthly != "empty") {
					if (array_key_exists('0', $monthly['Outputs']['Quotes']['Type'])) {
						foreach ($monthly['Outputs']['Quotes']['Type'] as $arr) {
							//print_r($arr);exit;
							if ($arr['Desc'] == "Serious Illness Only") {
								$flag = true;
							}
						}
					}
				}

				if ($monthly == "empty" || !$flag) {
					$this->viewData['message'] = "No Quotes have been generated for the data entered by you. Please contact us to discuss your needs.";
					$this->viewData['url'] = $_SERVER['HTTP_REFERER'];

					//Lead Tracker
					$input = $this->input->post();
					$input['step'] = 2;
					$input['summary'] = 'No quotes are generated';
					$this->updLeadTracker($input);

					$this->load->view('quotesrb/error', $this->viewData);
					$this->load->view('common/quotesrb/footer', $this->viewData);
				} 
				else 
				{
					foreach($monthly['Outputs']['Quotes']['Type'] as $arr)
					{
						if($arr['Desc'] == "Serious Illness Only")
						{
							if(array_key_exists('Level', $arr))
								$mon_level =  $arr['Level'];
						}
					}

					$data['monthly_data'] = $monthly;
					$_SESSION['monthly_data'] = $monthly;
					$_SESSION['monthly'] = $mon_level;
					$data['level'] = number_format(round($mon_level, 2), 2);

					$body = $this->sendEmail($client, 'Serious Illness');

					$data['email_message'] = $body;
					$data['utm'] =  $this->input->post('utm');

					$this->load->view('quotesrb/showIllnessDetails', $data);
					$this->load->view('common/quotesrb/footer', $this->viewData);
				}
			}
		}
    }

	function apply_serious_illness($client = '')
    {
        $userID = $this->_baseSettings("Serious Illness Protection");
        $data = $this->viewData;
        $data['client'] = $client;
        $data['link'] = "Serious";
		
		if( $this->input->get('ld') != '')
		{
			$data['lead_id'] = base64_decode($this->input->get('ld'));
			$data = array_merge($data, $this->getLeadTracker('serious_illness', $data['lead_id']));

		    $this->load->view('quotesrb/ApplyIllnessOnline', $data);
	        $this->load->view('common/quotesrb/footer', $this->viewData);
		}
		else if( $this->input->post('lead_id') != '' )
		{
			$data['lead_id'] = $this->input->post('lead_id');

			if (isset($_REQUEST['send_mail'])) {
				$data['step'] = "4";
				$data['thankyou'] = "Thankyou";
				$sendmail = true;

				//Lead Tracker
				$this->generic_model->updateGenericData('lead_tracker', array('id' => $this->input->post('lead_id')), array( 'step' => 4, 'best_time' => $this->input->post('best_time'), 'address1' => $this->input->post('address1'), 'address2' => $this->input->post('address2'), 'city' => $this->input->post('city'), 'country' => $this->input->post('country') ) );

				$lead_data = $this->getLeadTracker('serious_illness', $data['lead_id']);
				$data = array_merge($data, $lead_data);

				$this->update_broker_api($data, "Serious Illness");
				if ($sendmail) {
					redirect('quotesrb/Thanks', 'refresh');
				} else {
					$this->viewData['message'] = "Operation Failed. Please Try Again";
					$this->viewData['url'] = $_SERVER['HTTP_REFERER'];
					$this->load->view('quotesrb/error', $this->viewData);
					$this->load->view('common/quotesrb/footer', $this->viewData);
				}
			} else {
				$data['step'] = "3";				
				$data['phone'] = $_SESSION['phone'];
				$data['sbutton'] = isset( $_REQUEST['apply'] ) ?  "Apply" : "Send me the Forms";

				//Lead Tracker
				$this->generic_model->updateGenericData('lead_tracker', array('id' => $this->input->post('lead_id')), array( 'step' => 3, 'button' => $data['sbutton']));

				$lead_data = $this->getLeadTracker('serious_illness', $data['lead_id']);				
				$data = array_merge($data, $lead_data);

				$this->load->view('quotesrb/ApplyIllnessOnline', $data);
				$this->load->view('common/quotesrb/footer', $this->viewData);

			}
		}
    }

    // private functions

	function Thanks()
    {
        $userID = $this->_baseSettings("Thanks");
        $this->load->view('quotesrb/ThankYou', $this->viewData);
        $this->load->view('common/quotesrb/footer', $this->viewData);
    }


    function _baseSettings($title)
    {
        $userID = $_SESSION['user_id'];
        $this->viewData['details'] = $this->_getAllSettings($userID);
        $this->viewData['details']['pageTitle'] = $title;
        return $userID;
    }

    function _getAllSettings($userID)
    {

        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID), null, null, null, true);
        $details = array();
        foreach ($result as $attr) {
            $details[$attr->variable] = $attr->value;
            $details[$attr->variable . '_sub'] = $attr->enabled;
        }

        return $details;
    }

    function  _getThemeSettings($userID)
    {
        $needed = array('logo', 'theme_color', 'news_link');
        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID, 'variable' => $needed));
        $details = array('logo' => '', 'theme_color' => '#18B3CF', 'news_link' => '');
        foreach ($result as $attr) {
            $details[$attr->variable] = $attr->value;
        }
        return $details;
    }

    function _getWebLinks($userID)
    {
        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID, 'variable' => array('website_link')), null, null, null, true);
        $link = "";
        foreach ($result as $attr) {
            $link = $attr->value;
        }
        return $link;
    }

    function _getHomeLinks($userID)
    {
        $result = $this->generic_model->getGenericData('home_links', array('user_id' => $userID));
        $de = array();
        foreach ($result[0] as $attr => $val) {
            $de[$attr] = $val;
        }
        return $de;
    }

    function _getContent($userID, $contentType)
    {
        $contentTitle = array(
            "about_us" => "About Us",
            "terms" => "Terms & Conditions",
            "office_hours" => "Office Hours",
            "services" => "Our Services",
            "ulinks" => "Useful Links",
            "news_link" => "News & Events",
            "working_with" => "Working With",
            "telephone" => "Call Us",
            "termsofb" => "Terms of Business",
            "privacy" => "Privacy Statement",
            "logo_redirect_url" => "Where to take when the logo is clicked",
            "back_button_url" => "Where to take when the back button is clicked",
            "is_header_enabled_yn" => "Is header enabled?",
            "is_footer_enabled_yn" => "Is footer enabled?"
        );

        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID, 'variable' => $contentType), null, null, null, true);
        $content = array();
        foreach ($result as $attr) {
            $content['content'] = $attr->value;
        }
        $content['title'] = $contentTitle[$contentType];

        return $content;
    }

    function _getContactInfo($userID)
    {
        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID, 'variable' => array('facebook_link', 'twitter_link', 'telephone', 'address', 'location')), null, null, null, true);
        $details = array();
        foreach ($result as $attr) {
            $details[$attr->variable] = $attr->value;
        }
        return $details;
    }

    function _getFooterContent($userID)
    {
        $result = $this->generic_model->getGenericData('settings', array('user_id' => $userID, 'variable' => array('thanks', 'footer')), null, null, null, true);
        $details = array();
        foreach ($result as $attr) {
            $details[$attr->variable] = $attr->value;
        }
        return $details;
    }

    function _getUserDetails($userID)
    {
        $details = $this->generic_model->getGenericData('users', array('id' => $userID), null, null, null, true);
        return $details[0];
    }

	function sendEmail($client, $quote_type = '')
    {
        $monthly = number_format(round($_SESSION['monthly'],2), 2);
        
		$name = $this->input->post('name');
        $email = $this->input->post('email');
        $phone = $this->input->post('contact');

        $api_data = $_SESSION['monthly_data'];

        $life1 = "";
        $life2 = "";
        $plan = $api_data['Outputs']['Summary']['Plan'];;

		if( $quote_type == 'Income Protection')
        {
		    $life1 = $api_data['PHIQuote']['Summary']['Life1'];;
	        $plan = $api_data['PHIQuote']['Summary']['Plan'];;

		}

	    $premium_month = "";
        $quote = "";

        if (array_key_exists('Life1', $api_data['Outputs']['Summary'])) {
            $life1 = $api_data['Outputs']['Summary']['Life1'];
        }
        if (array_key_exists('Life2', $api_data['Outputs']['Summary']) && !empty($api_data['Outputs']['Summary']['Life2'])) {
            $life2 = $api_data['Outputs']['Summary']['Life2'];
        }

        $body = "
            <html>
            <table>            
            <tr>
            <td><strong>Name: </strong></td>
            <td> $name </td>
            </tr>
            <tr>
            <td><strong>Email: </strong></td>
            <td> $email </td>
            </tr>
            <tr>
            <td><strong>Phone: </strong></td>
            <td> $phone </td>
            </tr>";
		
//		$arrUtm = array( 'fb' => 'Facebook', 'gl' => 'Google', '' => '');
//		$utm = $arrUtm[base64_decode($this->input->post('utm'))];
		$utm = $this->input->post('utm');
        $utm_cmp = $this->input->post('utm_cmp');
        $utm_params = $this->input->post('utm_params');
	
		if( $utm != '')
           $body .= "<tr><td><strong>Source: </strong></td><td>$utm</td></tr>";
		
		if( $utm_cmp != '')
           $body .= "<tr><td><strong>Source - Campaign # </strong></td><td>$utm_cmp</td></tr>";

		if( $utm_params != '')
		   $body .= "<tr><td><strong>Params: </strong></td><td>$utm_params</td></tr>";

		$body .= '</table>';

		 if( $life1 != '' || $life2 != '' || $plan != '')
		 {
			 $body .= "<table> 
            <tr>
            <td><strong>Quote Summary</strong></td>
            </tr>
            <tr>
            <td>$life1</td>
            </tr>
            <tr>
            <td>$life2</td>
            </tr>
            <tr>
            <td>$plan</td>
            </tr>
           </table>";
		}

		//Lead Tracker
		$input = $this->input->post();
		$input['step'] = 2;
		$input['summary'] = $life1." --  ".$life2." -- ".$plan;
		$input['premium'] = $monthly;
		$this->updLeadTracker($input);

		$body .= "<table> 
            <tr>
            <td><strong>Your Quote</strong></td>
            </tr>
            <tr>
            <td>Monthly Premium:</td>
            <td>$monthly</td>
            </tr>
            </table>
            </html>";

        return $body;
    }

	function updLeadTracker( $post )
	{
		$input = array();

		$input['step'] = $post['step'];
		$input['summary'] = $post['summary'];
		$input['cover_amount'] = $post['cover_amount'];
		$input['length'] = $post['length'];
		$input['cover_type'] = $post['cover_type'];
		$input['name'] = $post['name'];
		$input['contact'] = $post['contact'];
		$input['email'] = $post['email'];
		$input['gender'] = $post['gender'];
		$input['smoking'] = $post['smoking'];
		$input['dob'] = Date('Y-m-d H:i:s', strtotime($post['dob']));

		if( $input['cover_type'] == 'Joint')
		{
			$input['partner_gender'] = $post['partner_gender'];
			$input['partner_smoking'] = $post['partner_smoking'];
			$input['partner_dob'] = Date('Y-m-d H:i:s', strtotime($post['partner_dob']));
		}
		else
		{
			$input['partner_gender'] = '';
			$input['partner_smoking'] = '';
			$input['partner_dob'] = '';
		}
		$input['premium'] = $post['premium'];
		
		$input['income_paye'] = isset( $post['income_paye'] )? $post['income_paye'] : '';
		 $input['income_age'] =  isset( $post['income_age'] )? $post['income_age'] : '';
		
		//Lead Tracker
		$this->generic_model->updateGenericData('lead_tracker', array('id' => $post['lead_id']), $input);

	}

	function addLeadTracker( $type )
	{
		$input = array();

		$input['step'] = 1;
		$input['type'] = $type;
		$input['source'] = $_SESSION['lead_source'];
		$input['broker_id'] = $_SESSION['broker_id'];

		$leadid = $this->generic_model->addGenericData('lead_tracker', $input );

		return $leadid;
	}

	function getLeadTracker( $type , $lead_id )
	{
		$input = array();

		$lead_data = $this->db->query("SELECT * FROM lead_tracker where broker_id = ".$_SESSION['broker_id']." and type='".$type."' and id = ".$lead_id)->result();

		if( count($lead_data) > 0)
		{
			$input['cover_amount'] = $lead_data[0]->cover_amount;
			$input['cover_type'] = $lead_data[0]->cover_type;
			$input['length'] = $lead_data[0]->length;
			$input['name'] = $lead_data[0]->name;
			$input['contact'] = $lead_data[0]->contact;
			$input['email'] = $lead_data[0]->email;
			$input['gender'] = $lead_data[0]->gender;
			$input['smoking'] = $lead_data[0]->smoking;
			$input['dob'] = Date('d M, Y', strtotime($lead_data[0]->dob));
			$input['partner_gender'] = $lead_data[0]->partner_gender;
			$input['partner_smoking'] = $lead_data[0]->partner_smoking;
			$input['partner_dob'] = Date('d M, Y', strtotime($lead_data[0]->partner_dob));
			$input['best_time'] = $lead_data[0]->best_time;
			$input['address1'] = $lead_data[0]->address1;
			$input['address2'] = $lead_data[0]->address2;
			$input['city'] = $lead_data[0]->city;
			$input['country'] = $lead_data[0]->country;
			$input['premium'] = $lead_data[0]->premium;
			$input['level'] = $lead_data[0]->premium;
			$input['income_paye'] = $lead_data[0]->income_paye;
			$input['income_age'] = $lead_data[0]->income_age;
			$input['step'] = $lead_data[0]->step;
			$input['description'] = $lead_data[0]->summary." ### ".$lead_data[0]->button;
		}

		return $input;

	}

    function sendJSEmail()
    {
		$body = $this->input->post('message');
		$quote_type = $this->input->post('quote_type');

		$userId = $_SESSION['user_id'];
        $user = $this->_getUserDetails($userId);
        $client_email = $user->email;

		$arrUtm = array( 'fb' => 'Facebook', 'gl' => 'Google', '' => '');
		$utm = $arrUtm[base64_decode($this->input->post('utm'))];
		if( $utm != '')
			$utm = " - ".$utm;

		$this->load->library('email');

		$config = array(
            'protocol' => 'smtp',
            'smtp_host' => 'smtp.office365.com',
            'smtp_port' => 587,
            'smtp_user' => 'noreply@moneyadvice.ie',
            'smtp_pass' => 'money@dv1ce',
            'mailtype' => 'html',
            'charset' => 'iso-8859-1',
			'smtp_crypto' => 'tls'
        );

        $this->email->initialize($config);
        $this->email->set_newline("\r\n");

        $this->email->from('noreply@moneyadvice.ie', 'Money Advice');
        $this->email->to($client_email);
        $this->email->bcc('sat@moneyadvice.ie, swetha043@gmail.com');
//        $this->email->to('swetha043@gmail.com');

        $this->email->subject('Web Quote - '.$quote_type.' '.$utm);
        $this->email->message($body);

     return $this->email->send();
    }

	function make_income_api_call($array, $frequency)
    {

//        $url = "http://www.mortgagecrmlite.com/BrokerCRMPHIQuote/BrokerCRMPHIQuote.asmx?WSDL";
        $url = "https://services.moneyadvice.ie/BrokerCRMPHIQuote/BrokerCRMPHIQuote.asmx?WSDL"; 
		// http://www.mortgagecrmlite.com/StagingQuotes/BrokerCRMPHIQuote/BrokerCRMPHIQuote.asmx
//        $url = "http://www.mortgagecrmlite.com/BrokerCRMPHIQuote/BrokerCRMPHIQuote.asmx?WSDL";
//	      $url = "http://www.theworkscrm.com/BrokerCRMPHIQuote/BrokerCRMPHIQuote.asmx?WSDL";


        $client = new SoapClient($url);

        $xml = '<PHIQuote>
                      <Authentication>
                            <BrokerKey>test</BrokerKey>
                            <BrokerWebsiteURL>http://www.brokercrmlite.com/test.html</BrokerWebsiteURL>
                      </Authentication>
                      <QuoteDetails>
                            <OccupationClass>Class 1</OccupationClass>
                            <Gender>' . $array['gender'] . '</Gender>
                            <CessationAge>' . $array['income_age'] . '</CessationAge>
                            <DeferredPeriod>26 Weeks</DeferredPeriod>
                            <AnnualBenefit>' . $array['cover_amount'] . '</AnnualBenefit>
							<DeferredPeriod2/>
							<AnnualBenefit2>0</AnnualBenefit2>
							<DeferredPeriod3/>
							<AnnualBenefit3>0</AnnualBenefit3>
                            <Smoker>' . $array['smoking'] . '</Smoker>
							<DOB>' . $array['dob'] . '</DOB>
							<Indexation>0</Indexation>
                            <Frequency>' . $frequency . '</Frequency>
							<CBR>'.$_SESSION['cbr_code'].'</CBR>
                            <QuoteFriendsFirst>Y</QuoteFriendsFirst>
                            <QuoteIrishLife>Y</QuoteIrishLife>
                            <QuoteNewIreland>Y</QuoteNewIreland>
							<QuoteCaledonian>Y</QuoteCaledonian>
							<QuotePersonalExecutive>Personal</QuotePersonalExecutive>
                      </QuoteDetails>
                </PHIQuote>';

        $doc = new DOMDocument();
        $doc->loadXML($xml);
        $xml_str = $doc->saveXML();

        $result = $client->GetBestQuote(array('xmlQuotationDetails' => $xml_str));
		$restt = $result->GetBestQuoteResult;

        $res_arr = $this->xmlstr_to_array($restt);

		$file = fopen("/var/www/html/money_advice/www/".'income-'.date('d-m-Y').".log","a+");
		fwrite($file, "\n << START >> ----".date("F j, Y, g:i:s a")."---- \n");
		fwrite($file, $url);
		fwrite($file, "\n ");
		fwrite($file, $xml);
		fwrite($file, "\n << ------ Results ------- >>-\n");
		fwrite($file, $restt);
		fwrite($file, "\n << ------ << END >> ------- >>-\n");
		fclose($file);

        return $res_arr;
    }
    function xmlstr_to_array($xmlstr) {
        $doc = new DOMDocument();
        $doc->loadXML($xmlstr);
        return domnode_to_array($doc->documentElement);
    }
    function domnode_to_array($node) {
        $output = array();
        switch ($node->nodeType) {
            case XML_CDATA_SECTION_NODE:
            case XML_TEXT_NODE:
                $output = trim($node->textContent);
                break;
            case XML_ELEMENT_NODE:
                for ($i=0, $m=$node->childNodes->length; $i<$m; $i++) {
                    $child = $node->childNodes->item($i);
                    $v = domnode_to_array($child);
                    if(isset($child->tagName)) {
                        $t = $child->tagName;
                        if(!isset($output[$t])) {
                            $output[$t] = array();
                        }
                        $output[$t][] = $v;
                    }
                    elseif($v) {
                        $output = (string) $v;
                    }
                }
                if(is_array($output)) {
                    if($node->attributes->length) {
                        $a = array();
                        foreach($node->attributes as $attrName => $attrNode) {
                            $a[$attrName] = (string) $attrNode->value;
                        }
                        $output['@attributes'] = $a;
                    }
                    foreach ($output as $t => $v) {
                        if(is_array($v) && count($v)==1 && $t!='@attributes') {
                            $output[$t] = $v[0];
                        }
                    }
                }
                break;
        }
        return $output;
    }
    function update_broker_api($data, $product_type)
    {
		$userId = $_SESSION['user_id'];
        $user = $this->_getUserDetails($userId);
        $broker_id = $user->broker_id;

		$description = isset($data['description']) ? $data['description'] : '';
        
		$api_data = array(
            "BrokerID" => $broker_id,
            "FirstName" => $data['name'],
            "Surname" => $data['name'],
            "Title" => "",
            "DateOfBirth" => $data['dob'],
            "Gender" => $data['gender'],
            "Smoker" => $data['smoking'],
            "Mobile" => $data['contact'],
            "Email" => $data['email'],
            "Address1" => $data['address1'],
            "Address2" => $data['address2'],
            "TownCity" => $data['city'],
            "County" => $data['country'],
            "WorkPhone" => "",
            "HomePhone" => "" ,
            "SourceOfBusiness" => "Web Site",
            "Product" => "Protection",
            "ProductType" => $product_type,
            "Provider" => "",
            "Premium" => $data['monthly'],
            "Frequency" => "Monthly",
            "Description" => $description
        );

        if ($data['cover_type'] == "Joint") {

			$api_data1 = array(
                "IsJoint" => "1",
                "FirstName2" => "",
                "Surname2" => "",
                "Title2" => "",
                "DateOfBirth2" => $data['partner_dob'],
                "Gender2" => $data['partner_gender'],
                "Smoker2" => $data['partner_smoking'],
                "Mobile2" => "",
                "Email2" => "", //$data['email2'],
                "Address12" => "",
                "Address22" => "",
                "TownCity2" => "",
                "County2" => "",
                "WorkPhone2" => "",
                "HomePhone2" => "",
                "SourceOfBusiness2" => "Web Site"
            );
        } else {
            $api_data1 = array(
                "IsJoint" => "0",
                "FirstName2" => "",
                "Surname2" => "",
                "Title2" => "",
                "DateOfBirth2" => "",
                "Gender2" => "",
                "Smoker2" => "",
                "Mobile2" => "",
                "Email2" => "",
                "Address12" => "",
                "Address22" => "",
                "TownCity2" => "",
                "County2" => "",
                "WorkPhone2" => "",
                "HomePhone2" => "",
                "SourceOfBusiness2" => ""
            );
        }

        $result_array = array_merge((array)$api_data, (array)$api_data1);

//		echo '<pre>';
//		print_R($result_array);

        $url = "https://services.moneyadvice.ie/MoneyAdviceClientDataSync/ClientDataWebQuote.asmx?WSDL"; 
		
		//http://www.mortgagecrmlite.com/MoneyAdviceClientDataSync/ClientDataWebQuote.asmx

        $client = new SoapClient($url);

        $result = $client->WebQuote2($result_array);

//		print_R($result);
//		echo '</pre>';
//		exit;


		
    }

}


