<?php

function generateRandomString($length)
{
    $base = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
    $max = strlen($base)-1;
    $randomString = '';
    mt_srand((double)microtime()*1000000);
    while (strlen($randomString)< $length+1)
        $randomString = $randomString . $base[mt_rand(0, $max)];

    return $randomString;
}
function time_now()
{
    $timestampInSeconds = now();

    $timezone = 'UP45';
    $daylight_saving = TRUE;

   $timestampInSeconds= gmt_to_local($timestampInSeconds, $timezone, $daylight_saving);
    $dateTimeNow= gmdate("Y-m-d H:i:s", $timestampInSeconds);

    return $dateTimeNow;
}

function indent($json) {

    $tab = "    ";
    $new_json = "";
    $indent_level = 0;
    $in_string = false;

    $json_obj = json_decode($json);

    if($json_obj === false)
        return false;

    $json = json_encode($json_obj);
    $len = strlen($json);

    for($c = 0; $c < $len; $c++)
    {
        $char = $json[$c];
        switch($char)
        {
            case '{':
            case '[':
                if(!$in_string)
                {
                    $new_json .= $char . "\n" . str_repeat($tab, $indent_level+1);
                    $indent_level++;
                }
                else
                {
                    $new_json .= $char;
                }
                break;
            case '}':
            case ']':
                if(!$in_string)
                {
                    $indent_level--;
                    $new_json .= "\n" . str_repeat($tab, $indent_level) . $char;
                }
                else
                {
                    $new_json .= $char;
                }
                break;
            case ',':
                if(!$in_string)
                {
                    $new_json .= ",\n" . str_repeat($tab, $indent_level);
                }
                else
                {
                    $new_json .= $char;
                }
                break;
            case ':':
                if(!$in_string)
                {
                    $new_json .= ": ";
                }
                else
                {
                    $new_json .= $char;
                }
                break;
            case '"':
                if($c > 0 && $json[$c-1] != '\\')
                {
                    $in_string = !$in_string;
                }
            default:
                $new_json .= $char;
                break;
        }
    }

    return $new_json;
}

function timeDif($from_time,$to_time)
{

    $timeDiff=round(abs($to_time - $from_time) / 60,0);
    $differenceTxt=" min. ago";

    if($timeDiff>=60)
    {
        $timeDiff=round(abs($timeDiff) /60,0);
        $differenceTxt=" hours ago";
        if($timeDiff>=24)
        {
            $timeDiff=round(abs($timeDiff)/24,0);
            $differenceTxt=" days ago";
            if($timeDiff>=7)
            {
                $timeDiff=round(abs($timeDiff)/7,0);
                $differenceTxt=" weeks ago";
                if($timeDiff>4)
                {
                    $timeDiff=round(abs($timeDiff)/4,0);
                    $differenceTxt=" months ago";
                    if($timeDiff>=12)
                    {
                        $timeDiff=round(abs($timeDiff)/12,0);
                        $differenceTxt=" years ago";
                    }
                }
            }
        }
    }

    return $timeDiff.$differenceTxt;



}
/*
* Sorts json object by the specified index
*/
function sortArray($objectJson, $index)
{
    $object=json_decode($objectJson);
    $sorted=array();
    foreach($object as $obj)
    {
        $sorted[$obj->$index]=$obj;
    }
    ksort($sorted);
    return json_encode($sorted);
}

/*
* Sorts json object by the specified index in reverse order
*/
function sortArrayRev($objectJson, $index)
{
    $object=json_decode($objectJson);
    $sorted=array();
    uksort($object,"localCompare");
    foreach($object as $obj)
    {
        $sorted[$obj->$index]=$obj;
    }
    krsort($sorted);
    $retData=array();
    foreach($sorted as $item)
    {
        $retData[]=$item;
    }
    return json_encode($retData);
}

/*
 * FORMATS date
 */

function formatDate($unixTimestamp)
{
    return date("d M y",$unixTimestamp);
}

/*
 * Formats time
 */
function formatTime($unixTimestamp)
{
    return date('g:i A',$unixTimestamp);
}


function objectify($array)
{
    return json_decode(json_encode($array));
}

/**
 * Ajax utilities
 */

/**
 * @param $array array of post data to check
 * @return bool
 */
function checkPost($array)
{
    $status=true;
    foreach($array as $postItem)
    {
        if(!(isset($_POST[$postItem])))
        {
            $status=false;
            break;
        }

    }
    return $status;
}

/**
 * @param $val
 * @param $settings
 * @param string $responseTrue
 * @param string $responseFalse
 * @return string
 */
function checkCheckedValue($val,$settings, $responseTrue="checked", $responseFalse=""){
    return (isset($settings[$val]) && $settings[$val])? $responseTrue: $responseFalse;
}

function checkCheckedValueIfSet($val,$settings, $responseTrue="checked", $responseFalse=""){
    return (isset($settings[$val]) ? ($settings[$val]) ? $responseTrue: $responseFalse : $responseTrue);
}
//to add http:// as a prefix in a link if it is not there
function addhttp($url) {
    if (!preg_match("~^(?:f|ht)tps?://~i", $url)) {
        $url = "http://" . $url;
    }
    return $url;
}

