<?php
/**
 * Created by PhpStorm.
 * User: smit
 * Date: 03/07/14
 * Time: 6:32 PM
 */

/**
 * read XML data from the money advice servers
 */



function xmlstr_to_array($xmlstr) {
    $doc = new DOMDocument();
    $doc->loadXML($xmlstr);
    return domnode_to_array($doc->documentElement);
}

function domnode_to_array($node) {
    $output = array();
    switch ($node->nodeType) {
        case XML_CDATA_SECTION_NODE:
        case XML_TEXT_NODE:
            $output = trim($node->textContent);
            break;
        case XML_ELEMENT_NODE:
            for ($i=0, $m=$node->childNodes->length; $i<$m; $i++) {
                $child = $node->childNodes->item($i);
                $v = domnode_to_array($child);
                if(isset($child->tagName)) {
                    $t = $child->tagName;
                    if(!isset($output[$t])) {
                        $output[$t] = array();
                    }

                    $output[$t][] = $v;
                }
                elseif($v) {
                    $output = (string) $v;
                }								
            }
            if(is_array($output)) {
                if($node->attributes->length) {
                    $a = array();
                    foreach($node->attributes as $attrName => $attrNode) {
                        $a[$attrName] = (string) $attrNode->value;
                    }
                    $output['@attributes'] = $a;
                }
                foreach ($output as $t => $v) {
                    if(is_array($v) && count($v)==1 && $t!='@attributes') {
						if( $t != 'Type') //Swetha; mar 30
	                        $output[$t] = $v[0];
                    }
                }
            }

		

            break;
    }
    return $output;
}

function getPolicyList($brokerID,$clientID){

    $url = "https://services.moneyadvice.ie/MoneyAdviceClientDataSync/MortgageTreeService.asmx?WSDL";
//  $url = "http://www.mortgagecrmlite.com/MoneyAdviceClientDataSync/MortgageTreeService.asmx?WSDL";
    $client = new SoapClient($url);
    $clientID2 = '0';

    $xml = '<?xml version="1.0" encoding="utf-8"?>
            <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
              <soap:Body>
                <GetPortfolioReportXMLForClient xmlns="http://tempuri.org/">
                  <BrokerID>$brokerID</BrokerID>
                  <ClientID>$clientID</ClientID>
                  <ClientID2>$clientID2</ClientID2>
                </GetPortfolioReportXMLForClient>
              </soap:Body>
            </soap:Envelope>
            ';
    $data=array('BrokerID'=>$brokerID,'ClientID'=>$clientID,'ClientID2'=>$clientID2);


    $doc = new DOMDocument();
    $doc->loadXML($xml);
    $xml_str =  $doc->saveXML();

    $result = $client->GetPortfolioReportXMLForClient($data);
    $res_arr = xmlstr_to_array($result->GetPortfolioReportXMLForClientResult);


    return $res_arr;
}

function getLifeQuote($array,$frequency){
        
//        $url = "http://www.mortgagecrmlite.com/LifeQuotes/BrokerCRMLifeQuotes.asmx?WSDL";
		$url = "https://services.moneyadvice.ie/LifeQuotes/BrokerCRMLifeQuotes.asmx?WSDL";

        $client     = new SoapClient($url);   
        
        $xml = '<Inputs>
                    <Authentication>
                        <BrokerKey>test</BrokerKey>
                        <BrokerWebsiteURL>http://www.brokercrmlite.com/test.html</BrokerWebsiteURL>
                    </Authentication>
                    <RequestType>Term</RequestType>
                    <Life1>
                           <DOB>'.$array['dob'].'</DOB> 
                        <Sex>'.$array['gender'].'</Sex>
                        <Smoker>'.$array['smoking'].'</Smoker>
                        <LifeCover>'.$array['cover_amount'].'</LifeCover>
                        <IllnessCover>'.$array['cover_amount'].'</IllnessCover>
                    </Life1>';
                    
                    if($array['cover_type']== "Joint")
                   {
                       $xml .= '<Life2>
                            <DOB>'.$array['partner_dob'].'</DOB>
                            <Sex>'.$array['partner_gender'].'</Sex>
                            <Smoker>'.$array['partner_smoking'].'</Smoker>
                            <LifeCover>'.$array['cover_amount'].'</LifeCover>
                            <IllnessCover>'.$array['cover_amount'].'</IllnessCover>
                        </Life2>';
                    }
                    
                    $xml .= '<Plan>
				            <Term>'.$array['length'].'</Term>
                            <Indexation>'.$array['indexation'].'</Indexation>
                            <MortgageInterest>6</MortgageInterest>
                            <Frequency>'.$frequency.'</Frequency>
							<CBR>'.$array['cbr_code'].'</CBR>
                            <QuoteLifeOnly>Y</QuoteLifeOnly>
                            <QuoteLifeAccelerated>Y</QuoteLifeAccelerated>
                            <QuoteLifeIllness>Y</QuoteLifeIllness>
                            <QuoteIllnessOnly>Y</QuoteIllnessOnly>
                          </Plan>
                </Inputs>'; 
//		echo Date('d, F Y', strtotime($array['dob']));

				
	    $doc = new DOMDocument();
        $doc->loadXML($xml);
        $xml_str =  $doc->saveXML();
                
        $result = $client->GetBestQuote(array('xmlQuotationDetails'=>$xml_str));
        $restt = $result->GetBestQuoteResult;

		$file = fopen("/var/www/html/money_advice/www/".date('d-m-Y').".log","a+");
		fwrite($file, "\n << START >> ----".date("F j, Y, g:i:s a")."---- \n");
		fwrite($file, $xml);
		fwrite($file, "\n << ------ Results ------- >>-\n");
		fwrite($file, $restt);
		fwrite($file, "\n << ------ << END >> ------- >>-\n");
		fclose($file);

        if($restt ==""){
            return "empty";
        }
        else{
            $res_arr = xmlstr_to_array($result->GetBestQuoteResult);		

            return $res_arr;
        }
}

function getLifeQuoteByType($array,$frequency)
{
        
        $url = "https://services.moneyadvice.ie/LifeQuotes/BrokerCRMLifeQuotes.asmx?WSDL";
//		$url = "http://www.mortgagecrmlite.com/StagingQuotes/BrokerCRMLifeQuotes/BrokerCRMLifeQuotes.asmx?WSDL";


        $client     = new \SoapClient($url);   
        
        $xml = '<Inputs>
                    <Authentication>
                        <BrokerKey>test</BrokerKey>
                        <BrokerWebsiteURL>http://www.brokercrmlite.com/test.html</BrokerWebsiteURL>
                    </Authentication>
                    <RequestType>Term</RequestType>
                    <Life1>
                           <DOB>'.$array['dob'].'</DOB> 
                        <Sex>'.$array['gender'].'</Sex>
                        <Smoker>'.$array['smoking'].'</Smoker>';

				if( $array['quote_type'] == 'life' || $array['quote_type'] == 'mortgage')
					$xml .= '<LifeCover>'.$array['cover_amount'].'</LifeCover>';
				else if( $array['quote_type'] == 'serious_illness')
					$xml .=  '<IllnessCover>'.$array['cover_amount'].'</IllnessCover>';
                    
					$xml .= '</Life1>';
                    
                    if($array['cover_type']== "Joint")
                   {
                       $xml .= '<Life2>
                            <DOB>'.$array['partner_dob'].'</DOB>
                            <Sex>'.$array['partner_gender'].'</Sex>
                            <Smoker>'.$array['partner_smoking'].'</Smoker>';
					   
				if( $array['quote_type'] == 'life' || $array['quote_type'] == 'mortgage')
					$xml .= '<LifeCover>'.$array['cover_amount'].'</LifeCover>';
				else if( $array['quote_type'] == 'serious_illness')
					$xml .=  '<IllnessCover>'.$array['cover_amount'].'</IllnessCover>';

                        $xml .= '</Life2>';
                    }
                    
                    $xml .= '<Plan>
                            <Term>'.$array['length'].'</Term>
                            <Indexation>'.$array['indexation'].'</Indexation>
                            <MortgageInterest>6</MortgageInterest>
                            <Frequency>'.$frequency.'</Frequency>
							<CBR>'.$array['cbr_code'].'</CBR>';

					if( $array['quote_type'] == 'life')
						$xml .= '<QuoteLifeOnly>Y</QuoteLifeOnly>';

					if( $array['quote_type'] == 'mortgage')
						$xml .= '<QuoteLifeOnly>Y</QuoteLifeOnly>';
//						$xml .= '<QuoteLifeAccelerated>Y</QuoteLifeAccelerated>';

					if( $array['quote_type'] == 'serious_illness')
						$xml .= '<QuoteIllnessOnly>Y</QuoteIllnessOnly>';

					//	$xml .= '<QuoteLifeIllness>Y</QuoteLifeIllness>';

					$xml .= '</Plan>
				             </Inputs>'; 

//		echo Date('d, F Y', strtotime($array['dob']));
				
	    $doc = new DOMDocument();
        $doc->loadXML($xml);
        $xml_str =  $doc->saveXML();
                
        $result = $client->GetBestQuote(array('xmlQuotationDetails'=>$xml_str));
        $restt = $result->GetBestQuoteResult;

		$file = fopen("/var/www/html/money_advice/www/qe-".date('d-m-Y').".log","a+");
		fwrite($file, "\n << START >> ----".$array['quote_type'].'::'.date("F j, Y, g:i:s a")."---- \n");
		fwrite($file, $url);
		fwrite($file, $xml);
		fwrite($file, "\n << ------ Results ------- >>-\n");
		fwrite($file, $restt);
		fwrite($file, "\n << ------ << END >> ------- >>-\n");
		fclose($file);

        if($restt ==""){
            return "empty";
        }
        else{
            $res_arr = xmlstr_to_array($result->GetBestQuoteResult);		

            return $res_arr;
        }
}

function prettyPrint($obj){
    echo "<pre>"; print_r($obj); echo "</pre>";
}

function getUserPolicies($broker_id,$client_id){

	$url = "https://services.moneyadvice.ie/MoneyAdviceClientDataSync/MortgageTreeService.asmx?WSDL";
//    $url = "http://www.mortgagecrmlite.com/MoneyAdviceClientDataSync/MortgageTreeService.asmx?WSDL";
    $client = new SoapClient($url);   
    // $data=array('BrokerID'=>402,'ClientID'=>218374);
    $data=array('BrokerID'=>$broker_id,'ClientID'=>$client_id);            
    $result = $client->GetPortfolioReportXMLForClient($data);
    log_message('info','retunr from server is '.$result->GetPortfolioReportXMLForClientResult);
	return xmlstr_to_array($result->GetPortfolioReportXMLForClientResult);
}

?>
