<?php
/**
 * Created by PhpStorm.
 * User: smit
 * Date: 03/07/14
 * Time: 6:32 PM
 */

/**
 * read XML data from the money advice servers
 */



function xmlstr_to_array($xmlstr) {
    $doc = new DOMDocument();
    $doc->loadXML($xmlstr);
    return domnode_to_array($doc->documentElement);
}

function domnode_to_array($node) {
    $output = array();
    switch ($node->nodeType) {
        case XML_CDATA_SECTION_NODE:
        case XML_TEXT_NODE:
            $output = trim($node->textContent);
            break;
        case XML_ELEMENT_NODE:
            for ($i=0, $m=$node->childNodes->length; $i<$m; $i++) {
                $child = $node->childNodes->item($i);
                $v = domnode_to_array($child);
                if(isset($child->tagName)) {
                    $t = $child->tagName;
                    if(!isset($output[$t])) {
                        $output[$t] = array();
                    }
                    $output[$t][] = $v;
                }
                elseif($v) {
                    $output = (string) $v;
                }
            }
            if(is_array($output)) {
                if($node->attributes->length) {
                    $a = array();
                    foreach($node->attributes as $attrName => $attrNode) {
                        $a[$attrName] = (string) $attrNode->value;
                    }
                    $output['@attributes'] = $a;
                }
                foreach ($output as $t => $v) {
                    if(is_array($v) && count($v)==1 && $t!='@attributes') {
                        $output[$t] = $v[0];
                    }
                }
            }
            break;
    }
    return $output;
}

function getPolicyList($brokerID,$clientID){

    $url = "http://www.mortgagecrmlite.com/MoneyAdviceClientDataSync/MortgageTreeService.asmx?WSDL";
    $client = new SoapClient($url);
    $clientID2 = '0';

    $xml = '<?xml version="1.0" encoding="utf-8"?>
            <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
              <soap:Body>
                <GetPortfolioReportXMLForClient xmlns="http://tempuri.org/">
                  <BrokerID>$brokerID</BrokerID>
                  <ClientID>$clientID</ClientID>
                  <ClientID2>$clientID2</ClientID2>
                </GetPortfolioReportXMLForClient>
              </soap:Body>
            </soap:Envelope>
            ';
    $data=array('BrokerID'=>$brokerID,'ClientID'=>$clientID,'ClientID2'=>$clientID2);


    $doc = new DOMDocument();
    $doc->loadXML($xml);
    $xml_str =  $doc->saveXML();

    $result = $client->GetPortfolioReportXMLForClient($data);
    $res_arr = xmlstr_to_array($result->GetPortfolioReportXMLForClientResult);

    return $res_arr;
}

function getLifeQuote($array,$frequency){
        
        $url = "http://www.mortgagecrmlite.com/LifeQuotes/BrokerCRMLifeQuotes.asmx?WSDL";

        $client     = new SoapClient($url);   
        
        $xml = '<Inputs>
                    <Authentication>
                        <BrokerKey>test</BrokerKey>
                        <BrokerWebsiteURL>http://www.brokercrmlite.com/test.html</BrokerWebsiteURL>
                    </Authentication>
                    <RequestType>Term</RequestType>
                    <Life1>
                        <DOB>'.$array['dob'].'</DOB>
                        <Sex>'.$array['gender'].'</Sex>
                        <Smoker>'.$array['smoking'].'</Smoker>
                        <LifeCover>'.$array['cover_amount'].'</LifeCover>
                        <IllnessCover>'.$array['cover_amount'].'</IllnessCover>
                    </Life1>';
                    
                    if($array['cover_type']== "Joint")
                   {
                       $xml .= '<Life2>
                            <DOB>'.$array['partner_dob'].'</DOB>
                            <Sex>'.$array['partner_gender'].'</Sex>
                            <Smoker>'.$array['partner_smoking'].'</Smoker>
                            <LifeCover>'.$array['cover_amount'].'</LifeCover>
                            <IllnessCover>'.$array['cover_amount'].'</IllnessCover>
                        </Life2>';
                    }
                    
                    $xml .= '<Plan>
                            <Term>'.$array['length'].'</Term>
                            <Indexation>'.$array['indexation'].'</Indexation>
                            <MortgageInterest>6</MortgageInterest>
                            <Frequency>'.$frequency.'</Frequency>
                            <QuoteLifeOnly>Y</QuoteLifeOnly>
                            <QuoteLifeAccelerated>Y</QuoteLifeAccelerated>
                            <QuoteLifeIllness>Y</QuoteLifeIllness>
                            <QuoteIllnessOnly>Y</QuoteIllnessOnly>
                          </Plan>
                </Inputs>';          
        $doc = new DOMDocument();
        $doc->loadXML($xml);
        $xml_str =  $doc->saveXML();
                
        $result = $client->GetBestQuote(array('xmlQuotationDetails'=>$xml_str));
        $restt = $result->GetBestQuoteResult;
        if($restt ==""){
            return "empty";
        }
        else{
            $res_arr = xmlstr_to_array($result->GetBestQuoteResult);

            return $res_arr;
        }
}

function prettyPrint($obj){
    echo "<pre>"; print_r($obj); echo "</pre>";
}

function getUserPolicies($broker_id,$client_id){
    $url = "http://www.mortgagecrmlite.com/MoneyAdviceClientDataSync/MortgageTreeService.asmx?WSDL";
    $client = new SoapClient($url);   
    // $data=array('BrokerID'=>402,'ClientID'=>218374);
    $data=array('BrokerID'=>$broker_id,'ClientID'=>$client_id);            
    $result = $client->GetPortfolioReportXMLForClient($data);
    log_message('info','retunr from server is '.$result->GetPortfolioReportXMLForClientResult);
	return xmlstr_to_array($result->GetPortfolioReportXMLForClientResult);
}

?>
