<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class generic_model extends CI_Model
{

    /** Constructor **/
    function __construct(){
        parent::__construct();
    }

    /**
     * @param $table
     * @param null $paramList
     * @param null $attrList
     * @param null $sortParams
     * @param null $limitBy
     * @param bool $distinct
     * @return mixed
     */
    function getGenericData($table,$paramList=null,$attrList=null,$sortParams=null,$limitBy=null,$distinct=false){

        if($attrList==null)
            $attrList ="*";

        $this->db->select($attrList);
        $this->db->from($table);

        if($paramList!=null){
            foreach($paramList as $key => $value){
                if(is_array($value)){
                    $this->db->where_in($key,$value);
                    unset($paramList[$key]);
                }
            }
        }
        $this->db->where($paramList);

        if($sortParams!=null)
        {

            if(isset($sortParams['multiple'])){
                foreach($sortParams['params'] as $sortParam)
                {
                    log_message('info',indent(json_encode($sortParams)));
                    $this->db->order_by($sortParam['col'],$sortParam['order']);
                }
            }
            else{
                $this->db->order_by($sortParams['col'],$sortParams['order']);
            }
        }
        if($limitBy!=null)
            $this->db->limit($limitBy);

        if($distinct)
            $this->db->distinct();

        $data = $this->db->get();

        return $data->result();
    }

    /** Generic function to insert a row
     * @param null $table
     * @param null $data
     * @return mixed
     */
    function addGenericData($table=null,$data=null)
    {
        if($table!=null && $data!=null)
        {
            $this->db->insert($table, $data);
            return $this->db->insert_id();
        }
    }

    /** generic function to update matching rows
     * @param $table
     * @param $paramList
     * @param $data
     * @return bool
     */
    function updateGenericData($table,$paramList,$data){
        $this->db->where($paramList);
        $this->db->update($table, $data);
        return true;
    }

    /** generic function to remove matching rows
     * @param $table
     * @param $paramList
     */
    function removeGenericData($table,$paramList){
        $this->db->delete($table, $paramList);
    }

    /** Gets data for autocompleter
     * @deprecated : No longer in use, refer autocomplete.php
     * @param array $options
     * @param $table
     * @param $name
     * @param $id
     * @return mixed
     */
    function GetAutocomplete($table, $name, $id, $options = array())
    {
        $element=$options['keyword'];
        $sql="SELECT ".$id.",".$name." from ".$table." where ".$name." like '$element%' limit 10 ";
        $query = $this->db->query($sql);
        return $query->result();
    }


}


/**
 * End of model
 */