<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">

	<title>Money Advice</title>
    <link href='http://fonts.googleapis.com/css?family=Raleway' rel='stylesheet' type='text/css'>

    <!-- Bootstrap core CSS -->
    <link href="<?php echo CSS_PATH.'normalize'.CSS_EXT; ?>" rel="stylesheet">
    <link href="<?php echo CSS_PATH.'bootstrap'.CSS_EXT; ?>" rel="stylesheet">

    <!-- Add custom CSS here -->
    <link href="<?php echo CSS_PATH.'common'.CSS_EXT; ?>" rel="stylesheet">
    <link href="<?php echo CSS_PATH.'font-awesome.min'.CSS_EXT; ?>" rel="stylesheet">
    <link href="https://cdn.datatables.net/1.10.12/css/jquery.dataTables.min.css" rel="stylesheet">	
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
    <link href="<?php echo CSS_PATH.'AdminLTE.min'.CSS_EXT; ?>" rel="stylesheet">

    <script src="<?php echo JS_PATH.'jquery-1.10.2'.JS_EXT ?> "></script>
    <script src="<?php echo JS_PATH.'bootstrap.min'.JS_EXT ?> "></script>
    <script src="<?php echo JS_PATH.'Chart.min'.JS_EXT ?> "></script>

  </head>
  <body>
    <div id="wrapper">

<?php
	$this->load->view('common/lead-header'); 
?>

<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">

	<section class="content">
      <div class="row">
        <div class="col-lg-3 col-xs-6">
          <!-- small box -->
          <div class="small-box bg-aqua">
            <div class="inner">
              <h3><?=$life['total']?></h3>
              <p>Life Insurance</p>
            </div>
            <div class="icon">
              <i class="ion ion-heart"></i>
            </div>
            <a href="lead?t=li" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
          </div>
        </div>
        <!-- ./col -->
        <div class="col-lg-3 col-xs-6">
          <!-- small box -->
          <div class="small-box bg-green">
            <div class="inner">
              <h3><?=$mortgage['total']?></h3>
              <p>Mortgage Protection</p>
            </div>
            <div class="icon">
              <i class="ion ion-ios-home"></i>
            </div>
            <a href="lead?t=mp" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
          </div>
        </div>
        <!-- ./col -->
        <div class="col-lg-3 col-xs-6">
          <!-- small box -->
          <div class="small-box bg-yellow">
            <div class="inner">
              <h3><?=$serious['total']?></h3>

              <p>Serious Illness</p>
            </div>
            <div class="icon">
              <i class="ion ion-medkit"></i>
            </div>
            <a href="lead?t=si" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
          </div>
        </div>
        <!-- ./col -->
        <div class="col-lg-3 col-xs-6">
          <!-- small box -->
          <div class="small-box bg-red">
            <div class="inner">
              <h3><?=$income['total']?></h3>

              <p>Income Protection</p>
            </div>
            <div class="icon">
              <i class="ion ion-cash"></i>
            </div>
			 <a href="lead?t=ip" class="small-box-footer">More info <i class="fa fa-arrow-circle-right"></i></a>
          </div>
        </div>
        <!-- ./col -->
      </div>
      <!-- /.row -->
	<div class="row">
      <div class="col-md-12">
	    <div class="col-lg-3 col-xs-6">
          <div class="box box-default">
            <div class="box-header with-border">
              <h3 class="box-title">Life Insurance</h3>
              <div class="box-tools pull-right">
              </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <div class="row">
                <div class="col-md-12">
                  <div class="chart-responsive">
                    <canvas id="pieChart_life" height="150"></canvas>
                  </div>
                </div>
			  </div>
			  <div class="row">
                <div class="col-md-8">
					<span class="label bg-red"><?=$life['1']?></span> Step 1 
					<span class="label bg-green"><?=$life['2']?></span> Step 2
					<span class="label bg-yellow"><?=$life['3']?></span> Step 3
					<span class="label bg-aqua"><?=$life['4']?></span> Step 4
                </div>
				<div class="col-md-4">
					<span class="label bg-gray"><?=$life['1']+$life['2']+$life['3']+$life['4']?></span> Total
                </div>
                <!-- /.col -->
              </div>
              <!-- /.row -->
            </div>
          </div>
          <!-- /.box -->
		</div>
	  <div class="col-lg-3 col-xs-6">
           <div class="box box-default">
            <div class="box-header with-border">
              <h3 class="box-title">Mortgage Protection</h3>
              <div class="box-tools pull-right">
              </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <div class="row">
                <div class="col-md-12">
                  <div class="chart-responsive">
                    <canvas id="pieChart_mortgage" height="150"></canvas>
                  </div>
                </div>
			  </div>
			  <div class="row">
                <div class="col-md-8">
					<span class="label bg-red"><?=$mortgage['1']?></span> Step 1 
					<span class="label bg-green"><?=$mortgage['2']?></span> Step 2
					<span class="label bg-yellow"><?=$mortgage['3']?></span> Step 3
					<span class="label bg-aqua"><?=$mortgage['4']?></span> Step 4
                </div>
				<div class="col-md-4">
					<span class="label bg-gray"><?=$mortgage['1']+$mortgage['2']+$mortgage['3']+$mortgage['4']?></span> Total
                </div>
                <!-- /.col -->
              </div>
              <!-- /.row -->
            </div>
          </div>
          <!-- /.box -->
		  		</div>
	  <div class="col-lg-3 col-xs-6">
		            <div class="box box-default">
            <div class="box-header with-border">
              <h3 class="box-title">Serious Illness</h3>
              <div class="box-tools pull-right">
              </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <div class="row">
                <div class="col-md-12">
                  <div class="chart-responsive">
                    <canvas id="pieChart_serious" height="150"></canvas>
                  </div>
                </div>
			  </div>
			  <div class="row">
                <div class="col-md-8">
					<span class="label bg-red"><?=$serious['1']?></span> Step 1 
					<span class="label bg-green"><?=$serious['2']?></span> Step 2
					<span class="label bg-yellow"><?=$serious['3']?></span> Step 3
					<span class="label bg-aqua"><?=$serious['4']?></span> Step 4
                </div>
				<div class="col-md-4">
					<span class="label bg-gray"><?=$serious['1']+$serious['2']+$serious['3']+$serious['4']?></span> Total
                </div>
                <!-- /.col -->
              </div>
              <!-- /.row -->
            </div>
          </div>
		</div>
	  <div class="col-lg-3 col-xs-6">
           <div class="box box-default">
            <div class="box-header with-border">
              <h3 class="box-title">Income Protection</h3>
              <div class="box-tools pull-right">
              </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <div class="row">
                <div class="col-md-12">
                  <div class="chart-responsive">
                    <canvas id="pieChart_income" height="150"></canvas>
                  </div>
                </div>
			  </div>
			  <div class="row">
                <div class="col-md-8">
					<span class="label bg-red"><?=$income['1']?></span> Step 1 
					<span class="label bg-green"><?=$income['2']?></span> Step 2
					<span class="label bg-yellow"><?=$income['3']?></span> Step 3
					<span class="label bg-aqua"><?=$income['4']?></span> Step 4
                </div>
				<div class="col-md-4">
					<span class="label bg-gray"><?=$income['1']+$income['2']+$income['3']+$income['4']?></span> Total
                </div>
                <!-- /.col -->
              </div>

            </div>
          </div>
          <!-- /.box -->
		</div>

		</div>
	</div>
      <!-- /.row -->
	<div class="row">

		<div class="col-lg-6">
	          <!-- BAR CHART -->
          <div class="box box-success">
            <div class="box-header with-border">
              <h3 class="box-title">Single Vs Joint</h3>
            </div>
            <div class="box-body">
              <div class="chart">
                <canvas id="barChart_SJ" style="height:230px"></canvas>
              </div>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
		 </div>

		 <div class="col-lg-6">
	          <!-- BAR CHART -->
          <div class="box box-success">
            <div class="box-header with-border">
              <h3 class="box-title">Single Vs Joint</h3>
            </div>
            <div class="box-body">
              <div class="chart">
                <canvas id="barChart_Single" style="height:230px"></canvas>
              </div>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
		 </div>

	</div>
    </section>

	<section >
		<div class="col-lg-5">
          <!-- Map box -->
          <div class="box box-solid bg-light-blue-gradient">
            <div class="box-header">
              <!-- tools box -->
              <div class="pull-right box-tools">
                <button type="button" class="btn btn-primary btn-sm daterange pull-right" data-toggle="tooltip" title="Date range">
                  <i class="fa fa-calendar"></i></button>
                <button type="button" class="btn btn-primary btn-sm pull-right" data-widget="collapse" data-toggle="tooltip" title="Collapse" style="margin-right: 5px;">
                  <i class="fa fa-minus"></i></button>
              </div>
              <!-- /. tools -->

              <i class="fa fa-map-marker"></i>

              <h3 class="box-title">
                Visitors
              </h3>
            </div>
            <div class="box-body">
              <div id="world-map" style="height: 250px; width: 100%;"></div>
            </div>
            <!-- /.box-body-->
            <div class="box-footer no-border">
              <div class="row">
                <div class="col-xs-4 text-center" style="border-right: 1px solid #f4f4f4">
                  <div id="sparkline-1"></div>
                  <div class="knob-label">Visitors</div>
                </div>
                <!-- ./col -->
                <div class="col-xs-4 text-center" style="border-right: 1px solid #f4f4f4">
                  <div id="sparkline-2"></div>
                  <div class="knob-label">Online</div>
                </div>
                <!-- ./col -->
                <div class="col-xs-4 text-center">
                  <div id="sparkline-3"></div>
                  <div class="knob-label">Exists</div>
                </div>
                <!-- ./col -->
              </div>
              <!-- /.row -->
            </div>
          </div>
          <!-- /.box -->
		</div>
	    <div class="col-md-6">
          <!-- LINE CHART -->
          <div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title">Line Chart</h3>
            </div>
            <div class="box-body">
              <div class="chart">
                <canvas id="lineChart" style="height:250px"></canvas>
              </div>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
		</div>

</section>

        </div>
    </div>
</div>

<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.11.2/moment.min.js"></script>
<script src="plugins/daterangepicker/daterangepicker.js"></script>


<script>
  $(function () {
    /* ChartJS
     * -------
     * Here we will create a few charts using ChartJS
     */

    //-------------
    //- PIE CHART -
    //-------------
    // Get context with jQuery - using jQuery's .get() method.
    var pieChartCanvas = $("#pieChart_life").get(0).getContext("2d");
    var pieChart = new Chart(pieChartCanvas);
    var PieData = [
      {
        value: <?php echo $life['1']; ?>,
        color: "#f56954",
        highlight: "#f56954",
        label: "Step 1"
      },
      {
        value: <?php echo $life['2']; ?>,
        color: "#00a65a",
        highlight: "#00a65a",
        label: "Step 2"
      },
      {
        value: <?php echo $life['3']; ?>,
        color: "#f39c12",
        highlight: "#f39c12",
        label: "Step 3"
      },
      {
        value: <?php echo $life['4']; ?>,
        color: "#00c0ef",
        highlight: "#00c0ef",
        label: "Step 4"
      },
    ];
    var pieOptions = {

      segmentShowStroke: true,
      segmentStrokeColor: "#fff",
      segmentStrokeWidth: 2,
      percentageInnerCutout: 50, // This is 0 for Pie charts
      animationSteps: 100,
      animationEasing: "easeOutBounce",
      animateRotate: true,
      animateScale: false,
      responsive: true,
      maintainAspectRatio: true,
      legend: {
                display: true,
				onClick: function(event, legendItem) { alert(legendItem); }
            },
    };
    //Create pie or douhnut chart
    // You can switch between pie and douhnut using the method below.
    pieChart.Doughnut(PieData, pieOptions);

	var pieChartCanvas_mortgage = $("#pieChart_mortgage").get(0).getContext("2d");
    var pieChart_mortgage = new Chart(pieChartCanvas_mortgage);
    var PieData_mortgage = [
      {
        value: <?php echo $mortgage['1']; ?>,
        color: "#f56954",
        highlight: "#f56954",
        label: "Step 1"
      },
      {
        value: <?php echo $mortgage['2']; ?>,
        color: "#00a65a",
        highlight: "#00a65a",
        label: "Step 2"
      },
      {
        value: <?php echo $mortgage['3']; ?>,
        color: "#f39c12",
        highlight: "#f39c12",
        label: "Step 3"
      },
      {
        value: <?php echo $mortgage['4']; ?>,
        color: "#00c0ef",
        highlight: "#00c0ef",
        label: "Step 4"
      },
    ];
    pieChart_mortgage.Doughnut(PieData_mortgage, pieOptions);

	var pieChartCanvas_si = $("#pieChart_serious").get(0).getContext("2d");
    var pieChart_si = new Chart(pieChartCanvas_si);
    var PieData_si = [
      {
        value: <?php echo $serious['1']; ?>,
        color: "#f56954",
        highlight: "#f56954",
        label: "Step 1"
      },
      {
        value: <?php echo $serious['2']; ?>,
        color: "#00a65a",
        highlight: "#00a65a",
        label: "Step 2"
      },
      {
        value: <?php echo $serious['3']; ?>,
        color: "#f39c12",
        highlight: "#f39c12",
        label: "Step 3"
      },
      {
        value: <?php echo $serious['4']; ?>,
        color: "#00c0ef",
        highlight: "#00c0ef",
        label: "Step 4"
      },
    ];
    pieChart_si.Doughnut(PieData_si, pieOptions);

	var pieChartCanvas_ip = $("#pieChart_income").get(0).getContext("2d");
    var pieChart_ip = new Chart(pieChartCanvas_ip);
    var PieData_ip = [
      {
        value: <?php echo $income['1']; ?>,
        color: "#f56954",
        highlight: "#f56954",
        label: "Step 1"
      },
      {
        value: <?php echo $income['2']; ?>,
        color: "#00a65a",
        highlight: "#00a65a",
        label: "Step 2"
      },
      {
        value: <?php echo $income['3']; ?>,
        color: "#f39c12",
        highlight: "#f39c12",
        label: "Step 3"
      },
      {
        value: <?php echo $income['4']; ?>,
        color: "#00c0ef",
        highlight: "#00c0ef",
        label: "Step 4"
      },
    ];
    pieChart_ip.Doughnut(PieData_ip, pieOptions);


   $("#pieChart_life").click( 
          function(evt){
			 alert(pieChart.getElementAtEvent(evt));
           }
	   );                  
   });

    var areaChartData = {
      labels: ["19-08-2016", "February", "March", "April", "May", "June", "July"],
      datasets: [
        {
          label: "Electronics",
          fillColor: "rgba(210, 214, 222, 1)",
          strokeColor: "rgba(210, 214, 222, 1)",
          pointColor: "rgba(210, 214, 222, 1)",
          pointStrokeColor: "#c1c7d1",
          pointHighlightFill: "#fff",
          pointHighlightStroke: "rgba(220,220,220,1)",
          data: [65, 59, 80, 81, 56, 55, 40]
        },
        {
          label: "Digital Goods",
          fillColor: "rgba(60,141,188,0.9)",
          strokeColor: "rgba(60,141,188,0.8)",
          pointColor: "#3b8bba",
          pointStrokeColor: "rgba(60,141,188,1)",
          pointHighlightFill: "#fff",
          pointHighlightStroke: "rgba(60,141,188,1)",
          data: [28, 48, 40, 19, 86, 27, 90]
        }
      ]
    };

    var areaChartOptions = {
      //Boolean - If we should show the scale at all
      showScale: true,
      //Boolean - Whether grid lines are shown across the chart
      scaleShowGridLines: false,
      //String - Colour of the grid lines
      scaleGridLineColor: "rgba(0,0,0,.05)",
      //Number - Width of the grid lines
      scaleGridLineWidth: 1,
      //Boolean - Whether to show horizontal lines (except X axis)
      scaleShowHorizontalLines: true,
      //Boolean - Whether to show vertical lines (except Y axis)
      scaleShowVerticalLines: true,
      //Boolean - Whether the line is curved between points
      bezierCurve: true,
      //Number - Tension of the bezier curve between points
      bezierCurveTension: 0.3,
      //Boolean - Whether to show a dot for each point
      pointDot: false,
      //Number - Radius of each point dot in pixels
      pointDotRadius: 4,
      //Number - Pixel width of point dot stroke
      pointDotStrokeWidth: 1,
      //Number - amount extra to add to the radius to cater for hit detection outside the drawn point
      pointHitDetectionRadius: 20,
      //Boolean - Whether to show a stroke for datasets
      datasetStroke: true,
      //Number - Pixel width of dataset stroke
      datasetStrokeWidth: 2,
      //Boolean - Whether to fill the dataset with a color
      datasetFill: true,
      //String - A legend template
      legendTemplate: "<ul class=\"<%=name.toLowerCase()%>-legend\"><% for (var i=0; i<datasets.length; i++){%><li><span style=\"background-color:<%=datasets[i].lineColor%>\"></span><%if(datasets[i].label){%><%=datasets[i].label%><%}%></li><%}%></ul>",
      //Boolean - whether to maintain the starting aspect ratio or not when responsive, if set to false, will take up entire container
      maintainAspectRatio: true,
      //Boolean - whether to make the chart responsive to window resizing
      responsive: true
    };
   
    //-------------
    //- LINE CHART -
    //--------------
    var lineChartCanvas = $("#lineChart").get(0).getContext("2d");
    var lineChart = new Chart(lineChartCanvas);
    var lineChartOptions = areaChartOptions;
    lineChartOptions.datasetFill = false;
    lineChart.Line(areaChartData, lineChartOptions);

    var barChartCanvas = $("#barChart_SJ").get(0).getContext("2d");
    var barChart = new Chart(barChartCanvas);
    var barChartData = areaChartData;
    barChartData.datasets[1].fillColor = "#00a65a";
    barChartData.datasets[1].strokeColor = "#00a65a";
    barChartData.datasets[1].pointColor = "#00a65a";
    var barChartOptions = {
      //Boolean - Whether the scale should start at zero, or an order of magnitude down from the lowest value
      scaleBeginAtZero: true,
      //Boolean - Whether grid lines are shown across the chart
      scaleShowGridLines: true,
      //String - Colour of the grid lines
      scaleGridLineColor: "rgba(0,0,0,.05)",
      //Number - Width of the grid lines
      scaleGridLineWidth: 1,
      //Boolean - Whether to show horizontal lines (except X axis)
      scaleShowHorizontalLines: true,
      //Boolean - Whether to show vertical lines (except Y axis)
      scaleShowVerticalLines: true,
      //Boolean - If there is a stroke on each bar
      barShowStroke: true,
      //Number - Pixel width of the bar stroke
      barStrokeWidth: 2,
      //Number - Spacing between each of the X value sets
      barValueSpacing: 5,
      //Number - Spacing between data sets within X values
      barDatasetSpacing: 1,
      //String - A legend template
      legendTemplate: "<ul class=\"<%=name.toLowerCase()%>-legend\"><% for (var i=0; i<datasets.length; i++){%><li><span style=\"background-color:<%=datasets[i].fillColor%>\"></span><%if(datasets[i].label){%><%=datasets[i].label%><%}%></li><%}%></ul>",
      //Boolean - whether to make the chart responsive
      responsive: true,
      maintainAspectRatio: true
    };

    barChartOptions.datasetFill = false;
    barChart.Bar(barChartData, barChartOptions);

</script>

<?php $this->load->view('common/footer'); ?>

