<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">

	<title>Money Advice</title>
    <link href='http://fonts.googleapis.com/css?family=Raleway' rel='stylesheet' type='text/css'>

    <!-- Bootstrap core CSS -->
    <link href="<?php echo CSS_PATH.'normalize'.CSS_EXT; ?>" rel="stylesheet">
    <link href="<?php echo CSS_PATH.'bootstrap'.CSS_EXT; ?>" rel="stylesheet">

    <!-- Add custom CSS here -->
    <link href="<?php echo CSS_PATH.'common'.CSS_EXT; ?>" rel="stylesheet">
    <link href="<?php echo CSS_PATH.'font-awesome.min'.CSS_EXT; ?>" rel="stylesheet">
    <link href="https://cdn.datatables.net/1.10.12/css/jquery.dataTables.min.css" rel="stylesheet">	

    <script src="<?php echo JS_PATH.'jquery-1.10.2'.JS_EXT ?> "></script>
    <script src="<?php echo JS_PATH.'bootstrap.min'.JS_EXT ?> "></script>
	<script src="https://cdn.datatables.net/1.10.12/js/jquery.dataTables.min.js"></script>

  </head>

  <body>

    <div id="wrapper">

<?php
	$this->load->view('common/lead-header'); 
?>

<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
      		<table class="table" id="tblSummary">
				<thead>
					<tr>
						<th></th>
						<th>Total Life Insurance Leads # <?=$life['total']?> </th>
						<th>Total Mortgage  Leads # <?=$mortgage['total']?> </th>
						<th>Total Serious Illness Leads # <?=$serious['total']?> </th>
						<th>Total Income Leads # <?=$income['total']?> </th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td> Step 1 Views </td>
						<td><?=$life['1']?></td>
						<td><?=$mortgage['1']?></td>
						<td><?=$serious['1']?></td>
						<td><?=$income['1']?></td>
					</tr>
					<tr>
						<td> Step 2 </td>
						<td><?=$life['2']?></td>
						<td><?=$mortgage['2']?></td>
						<td><?=$serious['2']?></td>
						<td><?=$income['2']?></td>
					</tr>
					<tr>
						<td> Step 3 </td>
						<td><?=$life['3']?></td>
						<td><?=$mortgage['3']?></td>
						<td><?=$serious['3']?></td>
						<td><?=$income['3']?></td>
					</tr>
					<tr>
						<td> Step 4 </td>
						<td><?=$life['4']?></td>
						<td><?=$mortgage['4']?></td>
						<td><?=$serious['4']?></td>
						<td><?=$income['4']?></td>
					</tr>
				</tbody>
			</table>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
        		<table class="table table-striped" id="tblLeads">
					<thead>
						<tr>
							<th>Sno</th>
							<th>Type</th>
							<th>Step</th>
							<th>Sum Assured</th>
							<th>Duration</th>
							<th>Gender</th>
							<th>Dob</th>
							<th>Smoking</th>
							<th>Name</th>
							<th>Email</th>
							<th>Time</th>
						</tr>
					</thead>
					<tbody>
 						<?php
							if(count($leads)>0){
								foreach ($leads as $i => $lead) 
								{
						?>
							<tr data-colid="<?php echo $lead->id ?>" data-table="leads">
								<td><?php echo $i+1 ?></td>
								<td><?php echo $lead->type ?></td>
								<td><?php echo $lead->step ?></td>
								<td><?php echo ($lead->cover_amount != '')? '&euro;  '.$lead->cover_amount : '' ?></td>
								<td><?php echo ($lead->length != '')? $lead->length.' years' : '' ?></td>
								<td><?php echo $lead->gender ?></td>
								<td><?php echo ($lead->dob != '')? date('d M, y', strtotime($lead->dob)) : '' ?></td>
								<td><?php echo $lead->smoking ?></td>
								<td><?php echo $lead->name ?></td>
								<td><?php echo $lead->email ?></td>
								<td><?php echo $lead->timestamp; ?></td>
							</tr>
						<?php
								}
							}else{
								echo "<tr style='text-align:center'><td colspan='9'> No leads found</tr>";
							}
						?>
					</tbody>
				</table>
        </div>
    </div>
</div>


<script>
$(document).ready(function() {
    $('#tblLeads').DataTable();
} );
</script>
<?php $this->load->view('common/footer'); ?>
