/*
 *  jQuery Date Dropdowns - v1.0.0
 *  A simple, customisable date select plugin
 *
 *  Made by Chris Brown
 *  Under MIT License
 */
!function(a,b,c){"use strict";function d(b,c){return this.element=b,this.$element=a(b),this.config=a.extend({},f,c),this.internals={objectRefs:{}},this._defaults=f,this._name=e,this.init(),this}var e="dateDropdowns",f={defaultDate:null,defaultDateFormat:"yyyy-mm-dd",displayFormat:"dmy",submitFormat:"yyyy-mm-dd",minAge:0,maxAge:120,minYear:null,maxYear:null,submitFieldName:"date",wrapperClass:"date-dropdowns",daySuffixes:!0,monthSuffixes:!0,monthFormat:"long",required:!1};d.message={day:"Day",month:"Month",year:"Year"},a.extend(d.prototype,{init:function(){this.checkForDuplicateElement(),this.setInternalVariables(),this.setupMarkup(),this.buildDropdowns(),this.attachDropdowns(),this.bindChangeEvent(),this.config.defaultDate&&this.populateDefaultDate()},checkForDuplicateElement:function(){return a('input[name="'+this.config.submitFieldName+'"]').length?(a.error("Duplicate element found"),!1):!0},setInternalVariables:function(){var a=new Date;this.internals.currentDay=a.getDate(),this.internals.currentMonth=a.getMonth()+1,this.internals.currentYear=a.getFullYear(),this.internals.monthShort=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],this.internals.monthLong=["January","February","March","April","May","June","July","August","September","October","November","December"]},setupMarkup:function(){var b,c;return"input"===this.element.tagName.toLowerCase()?(this.config.defaultDate||(this.config.defaultDate=this.element.value),c=this.$element.attr("type","hidden").wrap('<div class="'+this.config.wrapperClass+'"></div>'),b=this.$element.parent()):(c=a("<input/>",{type:"hidden",name:this.internals.submitFieldName}),this.$element.append(c).addClass(this.config.wrapperClass),b=this.$element),this.internals.objectRefs.pluginWrapper=b,this.internals.objectRefs.hiddenField=c,!0},buildDropdowns:function(){var a,b,c;return a=this.buildDayDropdown(),this.internals.objectRefs.dayDropdown=a,b=this.buildMonthDropdown(),this.internals.objectRefs.monthDropdown=b,c=this.buildYearDropdown(),this.internals.objectRefs.yearDropdown=c,!0},attachDropdowns:function(){var a=this.internals.objectRefs.pluginWrapper,b=this.internals.objectRefs.dayDropdown,c=this.internals.objectRefs.monthDropdown,d=this.internals.objectRefs.yearDropdown;switch(this.config.displayFormat){case"mdy":a.append(c,b,d);break;case"ymd":a.append(d,c,b);break;case"dmy":default:a.append(b,c,d)}return!0},bindChangeEvent:function(){var a=this.internals.objectRefs.dayDropdown,b=this.internals.objectRefs.monthDropdown,c=this.internals.objectRefs.yearDropdown,d=this,e=this.internals.objectRefs;e.pluginWrapper.on("change","select",function(){var f,g=a.val(),h=b.val(),i=c.val(),j=!0;return(j=d.checkDate(g,h,i))?(e.dayDropdown.addClass("invalid"),!1):("00"!==e.dayDropdown.val()&&e.dayDropdown.removeClass("invalid"),e.hiddenField.val(""),j||g*h*i===0||(f=d.formatSubmitDate(g,h,i),e.hiddenField.val(f)),void e.hiddenField.change())})},populateDefaultDate:function(){var a=this.config.defaultDate,b=[],c="",d="",e="";switch(this.config.defaultDateFormat){case"yyyy-mm-dd":default:b=a.split("-"),c=b[2],d=b[1],e=b[0];break;case"dd/mm/yyyy":b=a.split("/"),c=b[0],d=b[1],e=b[2];break;case"mm/dd/yyyy":b=a.split("/"),c=b[1],d=b[0],e=b[2];break;case"unix":b=new Date,b.setTime(1e3*a),c=b.getDate()+"",d=b.getMonth()+1+"",e=b.getFullYear(),c.length<2&&(c="0"+c),d.length<2&&(d="0"+d)}return this.internals.objectRefs.dayDropdown.val(c),this.internals.objectRefs.monthDropdown.val(d),this.internals.objectRefs.yearDropdown.val(e),this.internals.objectRefs.hiddenField.val(a),!0===this.checkDate(c,d,e)&&this.internals.objectRefs.dayDropdown.addClass("invalid"),!0},buildBaseDropdown:function(b){return a("<select></select>",{"class":b+" form-control",name:this.config.submitFieldName+"_["+b+"]",required:this.config.required})},buildDayDropdown:function(){var a,b=this.buildBaseDropdown("day"),e=c.createElement("option");e.setAttribute("value",""),e.appendChild(c.createTextNode(d.message.day)),b.append(e);for(var f=1;10>f;f++)a=this.config.daySuffixes?f+this.getSuffix(f):"0"+f,e=c.createElement("option"),e.setAttribute("value","0"+f),e.appendChild(c.createTextNode(a)),b.append(e);for(var g=10;31>=g;g++)a=g,this.config.daySuffixes&&(a=g+this.getSuffix(g)),e=c.createElement("option"),e.setAttribute("value",g),e.appendChild(c.createTextNode(a)),b.append(e);return b},buildMonthDropdown:function(){var a=this.buildBaseDropdown("month"),b=c.createElement("option");b.setAttribute("value",""),b.appendChild(c.createTextNode(d.message.month)),a.append(b);for(var e=1;12>=e;e++){var f;switch(this.config.monthFormat){case"short":f=this.internals.monthShort[e-1];break;case"long":f=this.internals.monthLong[e-1];break;case"numeric":f=e,this.config.monthSuffixes&&(f+=this.getSuffix(e))}10>e&&(e="0"+e),b=c.createElement("option"),b.setAttribute("value",e),b.appendChild(c.createTextNode(f)),a.append(b)}return a},buildYearDropdown:function(){var a=this.config.minYear,b=this.config.maxYear,e=this.buildBaseDropdown("year"),f=c.createElement("option");f.setAttribute("value",""),f.appendChild(c.createTextNode(d.message.year)),e.append(f),a||(a=this.internals.currentYear-(this.config.maxAge+1)),b||(b=this.internals.currentYear-this.config.minAge);for(var g=b;g>=a;g--)f=c.createElement("option"),f.setAttribute("value",g),f.appendChild(c.createTextNode(g)),e.append(f);return e},getSuffix:function(a){var b="";switch(a%10){case 1:b=a%100===11?"":"";break;case 2:b=a%100===12?"":"";break;case 3:b=a%100===13?"":"";break;default:b=""}return b},checkDate:function(a,b,c){var d;if("00"!==b){var e=new Date(c,b,0).getDate(),f=parseInt(a,10);d=this.updateDayOptions(e,f),d&&this.internals.objectRefs.hiddenField.val("")}return d},updateDayOptions:function(a,b){var d=parseInt(this.internals.objectRefs.dayDropdown.children(":last").val(),10),e="",f="",g=!1;if(d>a){for(;d>a;)this.internals.objectRefs.dayDropdown.children(":last").remove(),d--;b>a&&(g=!0)}else if(a>d)for(;a>d;){e=++d,f=e,this.config.daySuffixes&&(f+=this.getSuffix(d));var h=c.createElement("option");h.setAttribute("value",e),h.appendChild(c.createTextNode(f)),this.internals.objectRefs.dayDropdown.append(h)}return g},formatSubmitDate:function(a,b,c){var d,e;switch(this.config.submitFormat){case"yyyy-mm-dd":default:d=c+"-"+b+"-"+a;break;case"mm/dd/yyyy":d=b+"/"+a+"/"+c;break;case"dd/mm/yyyy":d=a+"/"+b+"/"+c;break;case"unix":e=new Date,e.setDate(a),e.setMonth(b-1),e.setYear(c),d=Math.round(e.getTime()/1e3)}return d},destroy:function(){var a=this.config.wrapperClass;if(this.$element.hasClass(a))this.$element.empty();else{var b=this.$element.parent(),c=b.find("select");this.$element.unwrap(),c.remove()}}}),a.fn[e]=function(b){return this.each(function(){if("string"==typeof b){var c=Array.prototype.slice.call(arguments,1),f=a.data(this,"plugin_"+e);if("undefined"==typeof f)return a.error("Please initialize the plugin before calling this method."),!1;f[b].apply(f,c)}else a.data(this,"plugin_"+e)||a.data(this,"plugin_"+e,new d(this,b))}),this}}(jQuery,window,document);